"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FieldSetParser = void 0;
const node_parser_1 = require("./node-parser");
class FieldSetParser extends node_parser_1.NodeParser {
    constructor(progress) {
        super(progress);
        this.progress = progress;
    }
    open(line, node) {
        switch (node.name) {
            case 'component':
            case 'header':
            case 'trailer': {
                this.beginComponentDefinition(node);
                break;
            }
            case 'field': {
                this.addSimple(node);
                break;
            }
            case 'group': {
                this.beginGroupDefinition(node);
                break;
            }
        }
    }
    close(line, name) {
        switch (name) {
            case 'group': {
                this.addGroupField(name);
                break;
            }
            case 'component':
            case 'header':
            case 'trailer': {
                this.addComponentDefinition(name);
                break;
            }
        }
    }
}
exports.FieldSetParser = FieldSetParser;
//# sourceMappingURL=field-set-parser.js.map