import 'reflect-metadata';
import { IJsFixConfig } from './config';
import { SessionContainer } from './runtime';
declare class ParseSummary {
    readonly content: string;
    readonly view: string;
    readonly msg_type: string;
    readonly iterations: number;
    readonly elapsed_ms: number;
    readonly fields: number;
    readonly micros_per_msg: number;
    readonly chars_per_second: number;
    readonly fields_per_second: number;
    readonly content_length: number;
    constructor(content: string, view: string, msg_type: string, iterations: number, elapsed_ms: number, fields: number);
}
export declare class JsfixCmd {
    private readonly root;
    private definitions;
    private jsonHelper;
    private session;
    private sessionDescription;
    private delimiter;
    private stats;
    private filter;
    private messages;
    private print;
    private static getCommand;
    private static getPrintMode;
    private static writeFile;
    exec(): Promise<any>;
    private firstMessage;
    protected generate(): Promise<void>;
    private single;
    private script;
    private unitTest;
    private encodeObject;
    private msg;
    private field;
    ensureExists(path: string): Promise<any>;
    private compileDefinitions;
    private compile;
    sys: SessionContainer;
    config: IJsFixConfig;
    private init;
    private dispatch;
    private subscribe;
    private onMsg;
    private replay;
    private promisedRead;
    benchParse(contents: string, iterations: number): Promise<ParseSummary>;
    private benchmark;
    private encode;
    private norm;
}
export {};
