"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const path = require("path");
const util_1 = require("../../util");
const index_1 = require("../../index");
const setup_1 = require("../env/setup");
const helper_fn_tst_1 = require("../env/helper-fn.tst");
let definitions;
let jsonHelper;
let config;
const root = path.join(__dirname, '../../../data/examples/FIX.4.3/quickfix');
let setup;
beforeAll(() => __awaiter(void 0, void 0, void 0, function* () {
    setup = new setup_1.Setup('session/test-qf43-initiator.json', null);
    yield setup.init();
    definitions = setup.definitions;
    jsonHelper = new util_1.JsonHelper(definitions);
    config = setup.clientConfig;
}), 45000);
test('test new order single JSON => object => fix => object', () => __awaiter(void 0, void 0, void 0, function* () {
    const msgType = index_1.MsgType.NewOrderSingle;
    const file = path.join(root, 'new-order-single/object.json');
    const msg = jsonHelper.fromJson(file, msgType);
    yield expect((0, helper_fn_tst_1.testEncodeDecode)(config, msgType, msg)).resolves.toEqual(msg);
}), 1000);
//# sourceMappingURL=qf-43-full-msg.test.js.map