"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EncoderTest = void 0;
const setup_1 = require("./setup");
class EncoderTest {
    constructor() {
        this.localDate = new Date(2018, 6, 25);
        this.utcTimeStamp = new Date(Date.UTC(2018, 5, 10, 16, 35, 0, 246));
        this.utcDate = new Date(Date.UTC(2018, 5, 10, 0, 0, 0, 0));
        this.utcTime = new Date(Date.UTC(2018, 0, 1, 16, 35, 0, 246));
    }
    init(sessionConfig) {
        return __awaiter(this, void 0, void 0, function* () {
            this.setup = new setup_1.Setup(sessionConfig, null);
            yield this.setup.init();
            this.definitions = this.setup.definitions;
            const config = this.setup.clientConfig;
            this.definitions = config.definitions;
            this.session = this.setup.client.transmitter;
            this.encoder = this.session.encoder;
            this.nos = this.definitions.message.get('NewOrderSingle');
            const erd = this.definitions.message.get('ExecutionReport');
            if (erd) {
                this.er = erd;
            }
        });
    }
    toFix(o, set, enc) {
        var _a, _b;
        const theEncode = enc !== null && enc !== void 0 ? enc : this.encoder;
        this.session.buffer.reset();
        if (set) {
            theEncode.encode(o, set.name);
        }
        else {
            theEncode.encode(o, (_b = (_a = this.nos) === null || _a === void 0 ? void 0 : _a.name) !== null && _b !== void 0 ? _b : '');
        }
        return this.session.buffer.toString();
    }
    toFixMessage(o, msg) {
        this.session.encodeMessage(msg.msgType, o);
        return this.session.buffer.toString();
    }
}
exports.EncoderTest = EncoderTest;
//# sourceMappingURL=encoder-test.js.map