"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.testEncodeDecode = void 0;
const ascii_msg_transmitter_1 = require("../../transport/ascii/ascii-msg-transmitter");
const runtime_1 = require("../../runtime");
const ascii_1 = require("../../buffer/ascii");
function testEncodeDecode(config, msgType, msg) {
    return __awaiter(this, void 0, void 0, function* () {
        return yield new Promise(function (resolve, reject) {
            return __awaiter(this, void 0, void 0, function* () {
                const session = new ascii_msg_transmitter_1.AsciiMsgTransmitter(config);
                const parseBuffer = config.sessionContainer.resolve(runtime_1.DITokens.ParseBuffer);
                const parser = new ascii_1.AsciiParser(config, session.encodeStream, parseBuffer);
                parser.on('msg', (_, view) => {
                    const o = view.toObject();
                    delete o.StandardHeader;
                    delete o.StandardTrailer;
                    resolve(o);
                });
                parser.on('error', (e) => {
                    reject(e);
                });
                session.send(msgType, msg);
            });
        });
    });
}
exports.testEncodeDecode = testEncodeDecode;
//# sourceMappingURL=helper-fn.tst.js.map