"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetConstraintHelper = void 0;
const contained_1 = require("../../dictionary/contained");
class SetConstraintHelper {
    constructor(definitions) {
        this.definitions = definitions;
    }
    isComponent(set, index, name, expected) {
        expect(set).toBeTruthy();
        const field = set === null || set === void 0 ? void 0 : set.fields[index];
        expect(field === null || field === void 0 ? void 0 : field.type).toEqual(contained_1.ContainedFieldType.Component);
        expect(field === null || field === void 0 ? void 0 : field.name).toEqual(name);
        expect(field === null || field === void 0 ? void 0 : field.required).toEqual(expected);
        expect(set === null || set === void 0 ? void 0 : set.components.get(name)).toBeTruthy();
    }
    isGroup(set, index, name, expected) {
        expect(set).toBeTruthy();
        const field = set === null || set === void 0 ? void 0 : set.fields[index];
        expect(field === null || field === void 0 ? void 0 : field.type).toEqual(contained_1.ContainedFieldType.Group);
        expect(field === null || field === void 0 ? void 0 : field.name).toEqual(name);
        expect(field === null || field === void 0 ? void 0 : field.required).toEqual(expected);
        expect(set === null || set === void 0 ? void 0 : set.groups.get(name)).toBeTruthy();
    }
    isSimple(set, index, name, expected) {
        var _a;
        expect(set).toBeTruthy();
        const field = set === null || set === void 0 ? void 0 : set.fields[index];
        expect(field === null || field === void 0 ? void 0 : field.type).toEqual(contained_1.ContainedFieldType.Simple);
        expect(field === null || field === void 0 ? void 0 : field.name).toEqual(name);
        expect(field === null || field === void 0 ? void 0 : field.required).toEqual(expected);
        const masterDef = this.definitions.simple.get(name);
        expect(masterDef).toBeTruthy();
        expect(masterDef === null || masterDef === void 0 ? void 0 : masterDef.name).toEqual(name);
        const tag = (_a = masterDef === null || masterDef === void 0 ? void 0 : masterDef.tag) !== null && _a !== void 0 ? _a : -1;
        expect(set === null || set === void 0 ? void 0 : set.containedTag[tag]).toBeTruthy();
        expect(set === null || set === void 0 ? void 0 : set.simple.get(name)).toBeTruthy();
        expect(set === null || set === void 0 ? void 0 : set.localTag[tag]).toBeTruthy();
        expect(set === null || set === void 0 ? void 0 : set.tagToSimple[tag]).toBeTruthy();
        expect(set === null || set === void 0 ? void 0 : set.localNameToField.get(name)).toBeTruthy();
        expect(set === null || set === void 0 ? void 0 : set.tagToField[tag]).toBeFalsy();
    }
}
exports.SetConstraintHelper = SetConstraintHelper;
//# sourceMappingURL=set-constraint-helper.js.map