/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IOrdAllocGrp } from './set/ord_alloc_grp';
import { IExecAllocGrp } from './set/exec_alloc_grp';
import { IInstrument } from './set/instrument';
import { IInstrumentExtension } from './set/instrument_extension';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IInstrmtLegGrp } from './set/instrmt_leg_grp';
import { IPriceQualifierGrp } from './set/price_qualifier_grp';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IParties } from './set/parties';
import { IStipulations } from './set/stipulations';
import { IYieldData } from './set/yield_data';
import { IRegulatoryTradeIDGrp } from './set/regulatory_trade_id_grp';
import { IPositionAmountData } from './set/position_amount_data';
import { IAllocGrp } from './set/alloc_grp';
import { IRateSource } from './set/rate_source';
import { IStandardTrailer } from './set/standard_trailer';
export interface IAllocationInstruction {
    StandardHeader: IStandardHeader;
    AllocID: string;
    AllocRequestID?: string;
    AllocTransType: string;
    AllocType: number;
    SecondaryAllocID?: string;
    RefAllocID?: string;
    AllocCancReplaceReason?: number;
    AllocIntermedReqType?: number;
    AllocLinkID?: string;
    AllocLinkType?: number;
    AllocGroupID?: string;
    FirmGroupID?: string;
    BookingRefID?: string;
    AllocNoOrdersType?: number;
    OrdAllocGrp?: IOrdAllocGrp;
    ExecAllocGrp?: IExecAllocGrp;
    PreviouslyReported?: boolean;
    ReversalIndicator?: boolean;
    MatchType?: string;
    Side: string;
    Instrument?: IInstrument;
    InstrumentExtension?: IInstrumentExtension;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp;
    InstrmtLegGrp?: IInstrmtLegGrp;
    Quantity: number;
    QtyType?: number;
    LastMkt?: string;
    TradeOriginationDate?: Date;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    PriceType?: number;
    PriceQualifierGrp?: IPriceQualifierGrp;
    AvgPx?: number;
    AvgParPx?: number;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    Currency?: string;
    CurrencyCodeSource?: string;
    AvgPxPrecision?: number;
    OffshoreIndicator?: number;
    Parties?: IParties;
    TradeDate: Date;
    TransactTime?: Date;
    SettlType?: string;
    SettlDate?: Date;
    BookingType?: number;
    GrossTradeAmt?: number;
    Concession?: number;
    TotalTakedown?: number;
    NetMoney?: number;
    PositionEffect?: string;
    AutoAcceptIndicator?: boolean;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    NumDaysInterest?: number;
    AccruedInterestRate?: number;
    AccruedInterestAmt?: number;
    TotalAccruedInterestAmt?: number;
    InterestAtMaturity?: number;
    EndAccruedInterestAmt?: number;
    StartCash?: number;
    EndCash?: number;
    LegalConfirm?: boolean;
    Stipulations?: IStipulations;
    YieldData?: IYieldData;
    RegulatoryTradeIDGrp?: IRegulatoryTradeIDGrp;
    PositionAmountData?: IPositionAmountData;
    TotNoAllocs?: number;
    LastFragment?: boolean;
    AllocGrp?: IAllocGrp;
    AvgPxIndicator?: number;
    AvgPxGroupID?: string;
    ClearingBusinessDate?: Date;
    TrdType?: number;
    TrdSubType?: number;
    SecondaryTrdType?: number;
    TradeContinuation?: number;
    TradeContinuationText?: string;
    EncodedTradeContinuationTextLen?: number;
    EncodedTradeContinuationText?: Buffer;
    CustOrderCapacity?: number;
    TradeInputSource?: string;
    MultiLegReportingType?: string;
    MessageEventSource?: string;
    RndPx?: number;
    RateSource?: IRateSource;
    VenueType?: string;
    RefRiskLimitCheckID?: string;
    RefRiskLimitCheckIDType?: number;
    RiskLimitCheckStatus?: number;
    StandardTrailer: IStandardTrailer;
}
