/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IOrdAllocGrp } from './set/ord_alloc_grp';
import { IExecAllocGrp } from './set/exec_alloc_grp';
import { IInstrument } from './set/instrument';
import { IInstrumentExtension } from './set/instrument_extension';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IInstrmtLegGrp } from './set/instrmt_leg_grp';
import { IPriceQualifierGrp } from './set/price_qualifier_grp';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IParties } from './set/parties';
import { IStipulations } from './set/stipulations';
import { IYieldData } from './set/yield_data';
import { IPositionAmountData } from './set/position_amount_data';
import { IAllocGrp } from './set/alloc_grp';
import { IStandardTrailer } from './set/standard_trailer';
export interface IAllocationInstructionAlert {
    StandardHeader: IStandardHeader;
    AllocID: string;
    AllocTransType: string;
    AllocType: number;
    AllocRequestID?: string;
    SecondaryAllocID?: string;
    RefAllocID?: string;
    AllocCancReplaceReason?: number;
    AllocIntermedReqType?: number;
    AllocLinkID?: string;
    AllocLinkType?: number;
    AllocGroupID?: string;
    FirmGroupID?: string;
    BookingRefID?: string;
    AllocNoOrdersType?: number;
    OrdAllocGrp?: IOrdAllocGrp;
    ExecAllocGrp?: IExecAllocGrp;
    PreviouslyReported?: boolean;
    ReversalIndicator?: boolean;
    MatchType?: string;
    Side: string;
    Instrument?: IInstrument;
    InstrumentExtension?: IInstrumentExtension;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp;
    InstrmtLegGrp?: IInstrmtLegGrp;
    Quantity?: number;
    QtyType?: number;
    AllocGroupQuantity?: number;
    AllocGroupRemainingQuantity?: number;
    GroupAmount?: number;
    GroupRemainingAmount?: number;
    LastMkt?: string;
    TradeOriginationDate?: Date;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    PriceType?: number;
    PriceQualifierGrp?: IPriceQualifierGrp;
    AvgPx?: number;
    AvgParPx?: number;
    HighPx?: number;
    LowPx?: number;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    Currency?: string;
    CurrencyCodeSource?: string;
    AvgPxPrecision?: number;
    Parties?: IParties;
    TradeDate: Date;
    TransactTime?: Date;
    AllocStatus?: number;
    SettlType?: string;
    SettlDate?: Date;
    BookingType?: number;
    GrossTradeAmt?: number;
    Concession?: number;
    TotalTakedown?: number;
    NetMoney?: number;
    PositionEffect?: string;
    AutoAcceptIndicator?: boolean;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    NumDaysInterest?: number;
    AccruedInterestRate?: number;
    AccruedInterestAmt?: number;
    TotalAccruedInterestAmt?: number;
    InterestAtMaturity?: number;
    EndAccruedInterestAmt?: number;
    StartCash?: number;
    EndCash?: number;
    LegalConfirm?: boolean;
    Stipulations?: IStipulations;
    YieldData?: IYieldData;
    PositionAmountData?: IPositionAmountData;
    TotNoAllocs?: number;
    LastFragment?: boolean;
    AllocGrp?: IAllocGrp;
    AvgPxIndicator?: number;
    AvgPxGroupID?: string;
    ClearingBusinessDate?: Date;
    TrdType?: number;
    TrdSubType?: number;
    CustOrderCapacity?: number;
    TradeInputSource?: string;
    MultiLegReportingType?: string;
    MessageEventSource?: string;
    RndPx?: number;
    CustOrderHandlingInst?: string;
    OrderHandlingInstSource?: number;
    StandardTrailer: IStandardTrailer;
}
