/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { IExecCollGrp } from './set/exec_coll_grp';
import { ITrdCollGrp } from './set/trd_coll_grp';
import { IInstrument } from './set/instrument';
import { IFinancingDetails } from './set/financing_details';
import { IInstrmtLegGrp } from './set/instrmt_leg_grp';
import { IUndInstrmtCollGrp } from './set/und_instrmt_coll_grp';
import { ICollateralAmountGrp } from './set/collateral_amount_grp';
import { ITrdRegTimestamps } from './set/trd_reg_timestamps';
import { IMiscFeesGrp } from './set/misc_fees_grp';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IStipulations } from './set/stipulations';
import { IStandardTrailer } from './set/standard_trailer';
export interface ICollateralResponse {
    StandardHeader: IStandardHeader;
    CollRespID: string;
    CollAsgnID?: string;
    CollReqID?: string;
    CollAsgnReason?: number;
    CollAsgnTransType?: number;
    CollAsgnRespType: number;
    CollAsgnRejectReason?: number;
    TransactTime: Date;
    CollApplType?: number;
    FinancialStatus?: string;
    ClearingBusinessDate?: Date;
    Parties?: IParties;
    Account?: string;
    AccountType?: number;
    ClOrdID?: string;
    OrderID?: string;
    SecondaryOrderID?: string;
    SecondaryClOrdID?: string;
    ExecCollGrp?: IExecCollGrp;
    TrdCollGrp?: ITrdCollGrp;
    Instrument?: IInstrument;
    FinancingDetails?: IFinancingDetails;
    SettlDate?: Date;
    Quantity?: number;
    QtyType?: number;
    Currency?: string;
    CurrencyCodeSource?: string;
    InstrmtLegGrp?: IInstrmtLegGrp;
    UndInstrmtCollGrp?: IUndInstrmtCollGrp;
    MarginExcess?: number;
    TotalNetValue?: number;
    CashOutstanding?: number;
    CollateralAmountGrp?: ICollateralAmountGrp;
    TrdRegTimestamps?: ITrdRegTimestamps;
    Side?: string;
    MiscFeesGrp?: IMiscFeesGrp;
    Price?: number;
    PriceType?: number;
    AccruedInterestAmt?: number;
    EndAccruedInterestAmt?: number;
    StartCash?: number;
    EndCash?: number;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    Stipulations?: IStipulations;
    WireReference?: string;
    TradeDate?: Date;
    TransactionID?: string;
    FirmTransactionID?: string;
    CollateralRequestLinkID?: string;
    TotNumCollateralRequests?: number;
    CollateralRequestNumber?: number;
    CollateralRequestInstruction?: string;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    WarningText?: string;
    EncodedWarningTextLen?: number;
    EncodedWarningText?: Buffer;
    RejectText?: string;
    EncodedRejectTextLen?: number;
    EncodedRejectText?: Buffer;
    StandardTrailer: IStandardTrailer;
}
