/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IApplicationSequenceControl } from './set/application_sequence_control';
import { IParties } from './set/parties';
import { ITargetParties } from './set/target_parties';
import { IContraGrp } from './set/contra_grp';
import { IRegulatoryTradeIDGrp } from './set/regulatory_trade_id_grp';
import { IPreAllocGrp } from './set/pre_alloc_grp';
import { IInstrument } from './set/instrument';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IPaymentGrp } from './set/payment_grp';
import { IStipulations } from './set/stipulations';
import { IOrderQtyData } from './set/order_qty_data';
import { IPriceQualifierGrp } from './set/price_qualifier_grp';
import { ITriggeringInstruction } from './set/triggering_instruction';
import { IPegInstructions } from './set/peg_instructions';
import { IDiscretionInstructions } from './set/discretion_instructions';
import { IStrategyParametersGrp } from './set/strategy_parameters_grp';
import { IOrderAttributeGrp } from './set/order_attribute_grp';
import { ILimitAmts } from './set/limit_amts';
import { IFillsGrp } from './set/fills_grp';
import { IOrderEventGrp } from './set/order_event_grp';
import { ICommissionData } from './set/commission_data';
import { ICommissionDataGrp } from './set/commission_data_grp';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IRelativeValueGrp } from './set/relative_value_grp';
import { IYieldData } from './set/yield_data';
import { IRateSource } from './set/rate_source';
import { IValueChecksGrp } from './set/value_checks_grp';
import { IMatchingInstructions } from './set/matching_instructions';
import { IDisplayInstruction } from './set/display_instruction';
import { IDisclosureInstructionGrp } from './set/disclosure_instruction_grp';
import { IContAmtGrp } from './set/cont_amt_grp';
import { IInstrmtLegExecGrp } from './set/instrmt_leg_exec_grp';
import { IMiscFeesGrp } from './set/misc_fees_grp';
import { ITrdRegTimestamps } from './set/trd_reg_timestamps';
import { ITrdRegPublicationGrp } from './set/trd_reg_publication_grp';
import { ITradePriceConditionGrp } from './set/trade_price_condition_grp';
import { IThrottleResponse } from './set/throttle_response';
import { IRelatedOrderGrp } from './set/related_order_grp';
import { IStandardTrailer } from './set/standard_trailer';
export interface IExecutionReport {
    StandardHeader: IStandardHeader;
    ApplicationSequenceControl?: IApplicationSequenceControl;
    OrderID: string;
    OrderRequestID?: number;
    MassOrderRequestID?: string;
    SecondaryOrderID?: string;
    SecondaryClOrdID?: string;
    SecondaryExecID?: string;
    ClOrdID?: string;
    QuoteMsgID?: string;
    OrigClOrdID?: string;
    ClOrdLinkID?: string;
    MDEntryID?: string;
    QuoteRespID?: string;
    OrdStatusReqID?: string;
    MassStatusReqID?: string;
    HostCrossID?: string;
    TotNumReports?: number;
    LastRptRequested?: boolean;
    Parties?: IParties;
    TargetParties?: ITargetParties;
    TradeOriginationDate?: Date;
    ContraGrp?: IContraGrp;
    ListID?: string;
    CrossID?: string;
    OrigCrossID?: string;
    CrossType?: number;
    RefRiskLimitCheckID?: string;
    RefRiskLimitCheckIDType?: number;
    TrdMatchID?: string;
    TrdMatchSubID?: string;
    ExecID: string;
    ExecRefID?: string;
    ExecType: string;
    ExecTypeReason?: number;
    OrdStatus: string;
    WorkingIndicator?: boolean;
    CurrentWorkingPrice?: number;
    OrdRejReason?: number;
    RejectText?: string;
    EncodedRejectTextLen?: number;
    EncodedRejectText?: Buffer;
    ExecRestatementReason?: number;
    AnonymousTradeIndicator?: boolean;
    AlgorithmicTradeIndicator?: number;
    TrdType?: number;
    TrdSubType?: number;
    SecondaryTrdType?: number;
    RegulatoryTransactionType?: number;
    RegulatoryTradeIDGrp?: IRegulatoryTradeIDGrp;
    PreviouslyReported?: boolean;
    TradeReportingIndicator?: number;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    DayBookingInst?: string;
    BookingUnit?: string;
    PreallocMethod?: string;
    AllocID?: string;
    PreAllocGrp?: IPreAllocGrp;
    SettlType?: string;
    SettlDate?: Date;
    MatchType?: string;
    OrderCategory?: string;
    CashMargin?: string;
    ClearingFeeIndicator?: string;
    Instrument?: IInstrument;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp;
    PaymentGrp?: IPaymentGrp;
    Side: string;
    ShortMarkingExemptIndicator?: boolean;
    ShortSaleExemptionReason?: number;
    Stipulations?: IStipulations;
    QtyType?: number;
    OrderQtyData?: IOrderQtyData;
    LotType?: string;
    OrdType?: string;
    PriceType?: number;
    PriceQualifierGrp?: IPriceQualifierGrp;
    Price?: number;
    PriceProtectionScope?: string;
    StopPx?: number;
    TriggeringInstruction?: ITriggeringInstruction;
    Triggered?: number;
    PegInstructions?: IPegInstructions;
    DiscretionInstructions?: IDiscretionInstructions;
    PeggedPrice?: number;
    PeggedRefPrice?: number;
    DiscretionPrice?: number;
    TradePriceNegotiationMethod?: number;
    UpfrontPrice?: number;
    UpfrontPriceType?: number;
    TargetStrategy?: number;
    StrategyParametersGrp?: IStrategyParametersGrp;
    TargetStrategyParameters?: string;
    ParticipationRate?: number;
    TargetStrategyPerformance?: number;
    Currency?: string;
    CurrencyCodeSource?: string;
    ComplianceID?: string;
    ComplianceText?: string;
    EncodedComplianceTextLen?: number;
    EncodedComplianceText?: Buffer;
    SolicitedFlag?: boolean;
    TimeInForce?: string;
    EffectiveTime?: Date;
    ExpireDate?: Date;
    ExpireTime?: Date;
    ExposureDuration?: number;
    ExposureDurationUnit?: number;
    ExecInst?: string;
    AuctionInstruction?: number;
    AggressorIndicator?: boolean;
    OrderCapacity?: string;
    OrderRestrictions?: string;
    TradingCapacity?: number;
    RegulatoryReportType?: number;
    PreTradeAnonymity?: boolean;
    TradePublishIndicator?: number;
    CustOrderCapacity?: number;
    OrderAttributeGrp?: IOrderAttributeGrp;
    LastQty?: number;
    CalculatedCcyLastQty?: number;
    LastSwapPoints?: number;
    UnderlyingLastQty?: number;
    LastQtyVariance?: number;
    LastPx?: number;
    UnderlyingLastPx?: number;
    LastParPx?: number;
    MidPx?: number;
    LastSpotRate?: number;
    LastForwardPoints?: number;
    LastUpfrontPrice?: number;
    ReportingPx?: number;
    ReportingQty?: number;
    LastMkt?: string;
    VenueType?: string;
    MarketSegmentID?: string;
    ExDestination?: string;
    ExDestinationIDSource?: string;
    ExDestinationType?: number;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    TimeBracket?: string;
    LastCapacity?: string;
    LimitAmts?: ILimitAmts;
    LeavesQty: number;
    CumQty: number;
    CxlQty?: number;
    AvgPx?: number;
    DayOrderQty?: number;
    DayCumQty?: number;
    DayAvgPx?: number;
    TotNoFills?: number;
    LastFragment?: boolean;
    FillsGrp?: IFillsGrp;
    OrderEventGrp?: IOrderEventGrp;
    EventInitiatorType?: string;
    GTBookingInst?: number;
    TradeDate?: Date;
    TransactTime?: Date;
    ReportToExch?: boolean;
    CommissionData?: ICommissionData;
    CommissionDataGrp?: ICommissionDataGrp;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    RelativeValueGrp?: IRelativeValueGrp;
    YieldData?: IYieldData;
    GrossTradeAmt?: number;
    NumDaysInterest?: number;
    ExDate?: Date;
    AccruedInterestRate?: number;
    AccruedInterestAmt?: number;
    InterestAtMaturity?: number;
    EndAccruedInterestAmt?: number;
    StartCash?: number;
    EndCash?: number;
    TradedFlatSwitch?: boolean;
    BasisFeatureDate?: Date;
    BasisFeaturePrice?: number;
    Concession?: number;
    TotalTakedown?: number;
    NetMoney?: number;
    SettlCurrAmt?: number;
    SettlCurrency?: string;
    SettlCurrencyCodeSource?: string;
    RateSource?: IRateSource;
    OffshoreIndicator?: number;
    SettlCurrFxRate?: number;
    SettlCurrFxRateCalc?: string;
    HandlInst?: string;
    MinQty?: number;
    MinQtyMethod?: number;
    MatchIncrement?: number;
    MaxPriceLevels?: number;
    MaximumPriceDeviation?: number;
    ValueChecksGrp?: IValueChecksGrp;
    MatchingInstructions?: IMatchingInstructions;
    SelfMatchPreventionID?: string;
    SelfMatchPreventionInstruction?: number;
    CrossedIndicator?: number;
    DisplayInstruction?: IDisplayInstruction;
    DisclosureInstructionGrp?: IDisclosureInstructionGrp;
    MaxFloor?: number;
    ClearingAccountType?: number;
    PositionEffect?: string;
    MaxShow?: number;
    BookingType?: number;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    SettlDate2?: Date;
    OrderQty2?: number;
    LastForwardPoints2?: number;
    MultiLegReportingType?: string;
    ContingencyType?: number;
    CancellationRights?: string;
    MoneyLaunderingStatus?: string;
    RegistID?: string;
    Designation?: string;
    TransBkdTime?: Date;
    ExecValuationPoint?: Date;
    ExecPriceType?: string;
    ExecPriceAdjustment?: number;
    PriorityIndicator?: number;
    PriceImprovement?: number;
    LastLiquidityInd?: number;
    ContAmtGrp?: IContAmtGrp;
    InstrmtLegExecGrp?: IInstrmtLegExecGrp;
    CopyMsgIndicator?: boolean;
    MiscFeesGrp?: IMiscFeesGrp;
    DividendYield?: number;
    ManualOrderIndicator?: boolean;
    CustDirectedOrder?: boolean;
    ReceivedDeptID?: string;
    CustOrderHandlingInst?: string;
    OrderHandlingInstSource?: number;
    OrderOrigination?: number;
    ContraOrderOrigination?: number;
    OriginatingDeptID?: string;
    ReceivingDeptID?: string;
    RoutingArrangmentIndicator?: number;
    ContraRoutingArrangmentIndicator?: number;
    AffiliatedFirmsTradeIndicator?: boolean;
    OwnerType?: number;
    OrderOwnershipIndicator?: number;
    TrdRegTimestamps?: ITrdRegTimestamps;
    TrdRegPublicationGrp?: ITrdRegPublicationGrp;
    TradePriceConditionGrp?: ITradePriceConditionGrp;
    TradeContinuation?: number;
    TradeContinuationText?: string;
    EncodedTradeContinuationTextLen?: number;
    EncodedTradeContinuationText?: Buffer;
    Volatility?: number;
    TimeToExpiration?: number;
    RiskFreeRate?: number;
    PriceDelta?: number;
    CoverPrice?: number;
    ThrottleResponse?: IThrottleResponse;
    RefOrderID?: string;
    RefOrderIDSource?: string;
    RefClOrdID?: string;
    RelatedOrderGrp?: IRelatedOrderGrp;
    AuctionType?: number;
    AuctionAllocationPct?: number;
    LockedQty?: number;
    SecondaryLockedQty?: number;
    LockType?: number;
    ReleaseInstruction?: number;
    ReleaseQty?: number;
    RelatedHighPrice?: number;
    RelatedLowPrice?: number;
    RelatedPriceSource?: number;
    StandardTrailer: IStandardTrailer;
}
