/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IApplicationSequenceControl } from './set/application_sequence_control';
import { IInstrument } from './set/instrument';
import { IInstrumentExtension } from './set/instrument_extension';
import { IParties } from './set/parties';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IRelatedInstrumentGrp } from './set/related_instrument_grp';
import { IOrderQtyData } from './set/order_qty_data';
import { IStipulations } from './set/stipulations';
import { IInstrmtLegIOIGrp } from './set/instrmt_leg_ioi_grp';
import { IPriceQualifierGrp } from './set/price_qualifier_grp';
import { IIOIQualGrp } from './set/ioi_qual_grp';
import { IRoutingGrp } from './set/routing_grp';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IRelativeValueGrp } from './set/relative_value_grp';
import { IYieldData } from './set/yield_data';
import { IStandardTrailer } from './set/standard_trailer';
export interface IIOI {
    StandardHeader: IStandardHeader;
    ApplicationSequenceControl?: IApplicationSequenceControl;
    IOIID: string;
    IOITransType: string;
    IOIRefID?: string;
    Instrument?: IInstrument;
    InstrumentExtension?: IInstrumentExtension;
    Parties?: IParties;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp;
    RelatedInstrumentGrp?: IRelatedInstrumentGrp;
    Side: string;
    QtyType?: number;
    OrderQtyData?: IOrderQtyData;
    IOIQty: string;
    Currency?: string;
    CurrencyCodeSource?: string;
    Stipulations?: IStipulations;
    InstrmtLegIOIGrp?: IInstrmtLegIOIGrp;
    PriceType?: number;
    PriceQualifierGrp?: IPriceQualifierGrp;
    Price?: number;
    ValidUntilTime?: Date;
    IOIQltyInd?: string;
    IOINaturalFlag?: boolean;
    IOIQualGrp?: IIOIQualGrp;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    TransactTime?: Date;
    URLLink?: string;
    RoutingGrp?: IRoutingGrp;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    RelativeValueGrp?: IRelativeValueGrp;
    YieldData?: IYieldData;
    StandardTrailer: IStandardTrailer;
}
