/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IApplicationSequenceControl } from './set/application_sequence_control';
import { IParties } from './set/parties';
import { ITrdRegTimestamps } from './set/trd_reg_timestamps';
import { IInstrument } from './set/instrument';
import { IMarginAmount } from './set/margin_amount';
import { IStandardTrailer } from './set/standard_trailer';
export interface IMarginRequirementReport {
    StandardHeader: IStandardHeader;
    ApplicationSequenceControl?: IApplicationSequenceControl;
    MarginReqmtRptID: string;
    MarginReqmtInqID?: string;
    MarginReqmtRptType: number;
    TotNumReports?: number;
    LastRptRequested?: boolean;
    UnsolicitedIndicator?: boolean;
    Parties?: IParties;
    RegulatoryReportType?: number;
    RegulatoryReportTypeBusinessDate?: Date;
    TrdRegTimestamps?: ITrdRegTimestamps;
    ClearingBusinessDate?: Date;
    ClearingPortfolioID?: string;
    SettlSessID?: string;
    SettlSessSubID?: string;
    MarginClass?: string;
    Currency?: string;
    CurrencyCodeSource?: string;
    Instrument?: IInstrument;
    MarginAmount?: IMarginAmount;
    TransactTime?: Date;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StandardTrailer: IStandardTrailer;
}
