/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IApplicationSequenceControl } from './set/application_sequence_control';
import { IParties } from './set/parties';
import { IInstrument } from './set/instrument';
import { IInstrumentExtension } from './set/instrument_extension';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IInstrmtLegGrp } from './set/instrmt_leg_grp';
import { IRelatedInstrumentGrp } from './set/related_instrument_grp';
import { IMDStatisticRptGrp } from './set/md_statistic_rpt_grp';
import { IStandardTrailer } from './set/standard_trailer';
export interface IMarketDataStatisticsReport {
    StandardHeader: IStandardHeader;
    ApplicationSequenceControl?: IApplicationSequenceControl;
    MDStatisticRptID: string;
    MDStatisticReqID?: string;
    MDStatisticRequestResult?: number;
    UnsolicitedIndicator?: boolean;
    Parties?: IParties;
    CustOrderCapacity?: number;
    TradeDate?: Date;
    MarketID?: string;
    MarketSegmentID?: string;
    MarketSegmentDesc?: string;
    EncodedMktSegmDescLen?: number;
    EncodedMktSegmDesc?: Buffer;
    SecurityListID?: string;
    Currency?: string;
    CurrencyCodeSource?: string;
    Instrument?: IInstrument;
    InstrumentExtension?: IInstrumentExtension;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp;
    InstrmtLegGrp?: IInstrmtLegGrp;
    RelatedInstrumentGrp?: IRelatedInstrumentGrp;
    MDStatisticRptGrp?: IMDStatisticRptGrp;
    TransactTime?: Date;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StandardTrailer: IStandardTrailer;
}
