/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { ITargetParties } from './set/target_parties';
import { IPreAllocGrp } from './set/pre_alloc_grp';
import { IValueChecksGrp } from './set/value_checks_grp';
import { IMatchingInstructions } from './set/matching_instructions';
import { IDisplayInstruction } from './set/display_instruction';
import { IDisclosureInstructionGrp } from './set/disclosure_instruction_grp';
import { ITrdgSesGrp } from './set/trdg_ses_grp';
import { IInstrument } from './set/instrument';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IStipulations } from './set/stipulations';
import { IOrderQtyData } from './set/order_qty_data';
import { ITriggeringInstruction } from './set/triggering_instruction';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IYieldData } from './set/yield_data';
import { IPegInstructions } from './set/peg_instructions';
import { IDiscretionInstructions } from './set/discretion_instructions';
import { IStrategyParametersGrp } from './set/strategy_parameters_grp';
import { ICommissionData } from './set/commission_data';
import { ICommissionDataGrp } from './set/commission_data_grp';
import { IOrderAttributeGrp } from './set/order_attribute_grp';
import { IRateSource } from './set/rate_source';
import { ITrdRegTimestamps } from './set/trd_reg_timestamps';
import { IStandardTrailer } from './set/standard_trailer';
export interface IOrderCancelReplaceRequest {
    StandardHeader: IStandardHeader;
    OrderID?: string;
    OrderRequestID?: number;
    Parties?: IParties;
    TargetParties?: ITargetParties;
    TradeOriginationDate?: Date;
    TradeDate?: Date;
    OrigClOrdID?: string;
    ClOrdID: string;
    SecondaryClOrdID?: string;
    ClOrdLinkID?: string;
    DuplicateClOrdIDIndicator?: boolean;
    ListID?: string;
    OrigOrdModTime?: Date;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    DayBookingInst?: string;
    BookingUnit?: string;
    PreallocMethod?: string;
    AllocID?: string;
    PreAllocGrp?: IPreAllocGrp;
    SettlType?: string;
    SettlDate?: Date;
    CashMargin?: string;
    ClearingFeeIndicator?: string;
    HandlInst?: string;
    ExecInst?: string;
    AuctionInstruction?: number;
    MinQty?: number;
    MinQtyMethod?: number;
    MatchIncrement?: number;
    MaxPriceLevels?: number;
    MaximumPriceDeviation?: number;
    ValueChecksGrp?: IValueChecksGrp;
    MatchingInstructions?: IMatchingInstructions;
    SelfMatchPreventionID?: string;
    SelfMatchPreventionInstruction?: number;
    DisplayInstruction?: IDisplayInstruction;
    DisclosureInstructionGrp?: IDisclosureInstructionGrp;
    MaxFloor?: number;
    MarketSegmentID?: string;
    ExDestination?: string;
    ExDestinationIDSource?: string;
    ExDestinationType?: number;
    TrdgSesGrp?: ITrdgSesGrp;
    Instrument?: IInstrument;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp;
    Side: string;
    ShortMarkingExemptIndicator?: boolean;
    ShortSaleExemptionReason?: number;
    TransactTime: Date;
    Stipulations?: IStipulations;
    QtyType?: number;
    OrderQtyData?: IOrderQtyData;
    OrdType: string;
    PriceType?: number;
    Price?: number;
    CurrentWorkingPrice?: number;
    PriceProtectionScope?: string;
    StopPx?: number;
    TriggeringInstruction?: ITriggeringInstruction;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    YieldData?: IYieldData;
    PegInstructions?: IPegInstructions;
    DiscretionInstructions?: IDiscretionInstructions;
    TargetStrategy?: number;
    StrategyParametersGrp?: IStrategyParametersGrp;
    TargetStrategyParameters?: string;
    ParticipationRate?: number;
    ComplianceID?: string;
    ComplianceText?: string;
    EncodedComplianceTextLen?: number;
    EncodedComplianceText?: Buffer;
    SolicitedFlag?: boolean;
    Currency?: string;
    CurrencyCodeSource?: string;
    TimeInForce?: string;
    EffectiveTime?: Date;
    ExpireDate?: Date;
    ExpireTime?: Date;
    GTBookingInst?: number;
    ExposureDuration?: number;
    ExposureDurationUnit?: number;
    CommissionData?: ICommissionData;
    CommissionDataGrp?: ICommissionDataGrp;
    OrderCapacity?: string;
    OrderRestrictions?: string;
    TradingCapacity?: number;
    PreTradeAnonymity?: boolean;
    TradePublishIndicator?: number;
    CustOrderCapacity?: number;
    OrderAttributeGrp?: IOrderAttributeGrp;
    ForexReq?: boolean;
    SettlCurrency?: string;
    SettlCurrencyCodeSource?: string;
    RateSource?: IRateSource;
    OffshoreIndicator?: number;
    BookingType?: number;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    SettlDate2?: Date;
    OrderQty2?: number;
    Price2?: number;
    ClearingAccountType?: number;
    PositionEffect?: string;
    CoveredOrUncovered?: number;
    MaxShow?: number;
    LocateReqd?: boolean;
    CancellationRights?: string;
    MoneyLaunderingStatus?: string;
    RegistID?: string;
    Designation?: string;
    ManualOrderIndicator?: boolean;
    CustDirectedOrder?: boolean;
    ReceivedDeptID?: string;
    CustOrderHandlingInst?: string;
    OrderHandlingInstSource?: number;
    OrderOrigination?: number;
    ContraOrderOrigination?: number;
    OriginatingDeptID?: string;
    ReceivingDeptID?: string;
    RoutingArrangmentIndicator?: number;
    ContraRoutingArrangmentIndicator?: number;
    OwnerType?: number;
    OrderOwnershipIndicator?: number;
    TrdRegTimestamps?: ITrdRegTimestamps;
    ThrottleInst?: number;
    AuctionType?: number;
    AuctionAllocationPct?: number;
    ReleaseInstruction?: number;
    ReleaseQty?: number;
    StandardTrailer: IStandardTrailer;
}
