/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IAffectedOrdGrp } from './set/affected_ord_grp';
import { INotAffectedOrdGrp } from './set/not_affected_ord_grp';
import { IAffectedMarketSegmentGrp } from './set/affected_market_segment_grp';
import { INotAffectedMarketSegmentGrp } from './set/not_affected_market_segment_grp';
import { ITargetMarketSegmentGrp } from './set/target_market_segment_grp';
import { IParties } from './set/parties';
import { ITargetParties } from './set/target_parties';
import { IInstrument } from './set/instrument';
import { IUnderlyingInstrument } from './set/underlying_instrument';
import { IStandardTrailer } from './set/standard_trailer';
export interface IOrderMassActionReport {
    StandardHeader: IStandardHeader;
    ClOrdID?: string;
    SecondaryClOrdID?: string;
    MassActionReportID: string;
    MassActionType: number;
    MassActionScope: number;
    MassActionReason?: number;
    MassActionResponse: number;
    MassActionRejectReason?: number;
    TotalAffectedOrders?: number;
    TotalNotAffectedOrders?: number;
    LastFragment?: boolean;
    AffectedOrdGrp?: IAffectedOrdGrp;
    NotAffectedOrdGrp?: INotAffectedOrdGrp;
    AffectedMarketSegmentGrp?: IAffectedMarketSegmentGrp;
    NotAffectedMarketSegmentGrp?: INotAffectedMarketSegmentGrp;
    MarketID?: string;
    MarketSegmentID?: string;
    TargetMarketSegmentGrp?: ITargetMarketSegmentGrp;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    Parties?: IParties;
    TargetParties?: ITargetParties;
    Instrument?: IInstrument;
    UnderlyingInstrument?: IUnderlyingInstrument;
    Side?: string;
    Price?: number;
    TransactTime?: Date;
    ComplianceID?: string;
    ComplianceText?: string;
    EncodedComplianceTextLen?: number;
    EncodedComplianceText?: Buffer;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StandardTrailer: IStandardTrailer;
}
