/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { ITargetMarketSegmentGrp } from './set/target_market_segment_grp';
import { IParties } from './set/parties';
import { ITargetParties } from './set/target_parties';
import { IInstrument } from './set/instrument';
import { IUnderlyingInstrument } from './set/underlying_instrument';
import { IStandardTrailer } from './set/standard_trailer';
export interface IOrderMassActionRequest {
    StandardHeader: IStandardHeader;
    ClOrdID: string;
    SecondaryClOrdID?: string;
    MassActionType: number;
    MassActionScope: number;
    MassActionReason?: number;
    MarketID?: string;
    MarketSegmentID?: string;
    TargetMarketSegmentGrp?: ITargetMarketSegmentGrp;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    Parties?: IParties;
    TargetParties?: ITargetParties;
    Instrument?: IInstrument;
    UnderlyingInstrument?: IUnderlyingInstrument;
    Side?: string;
    Price?: number;
    TransactTime: Date;
    ComplianceID?: string;
    ComplianceText?: string;
    EncodedComplianceTextLen?: number;
    EncodedComplianceText?: Buffer;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StandardTrailer: IStandardTrailer;
}
