/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IAffectedOrdGrp } from './set/affected_ord_grp';
import { INotAffectedOrdGrp } from './set/not_affected_ord_grp';
import { IParties } from './set/parties';
import { ITargetParties } from './set/target_parties';
import { IInstrument } from './set/instrument';
import { IUnderlyingInstrument } from './set/underlying_instrument';
import { IStandardTrailer } from './set/standard_trailer';
export interface IOrderMassCancelReport {
    StandardHeader: IStandardHeader;
    ClOrdID?: string;
    SecondaryClOrdID?: string;
    OrderID: string;
    MassActionReportID: string;
    SecondaryOrderID?: string;
    MassCancelRequestType: string;
    MassCancelResponse: string;
    MassCancelRejectReason?: number;
    TotalAffectedOrders?: number;
    AffectedOrdGrp?: IAffectedOrdGrp;
    NotAffectedOrdGrp?: INotAffectedOrdGrp;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    Parties?: IParties;
    TargetParties?: ITargetParties;
    Instrument?: IInstrument;
    UnderlyingInstrument?: IUnderlyingInstrument;
    MarketID?: string;
    MarketSegmentID?: string;
    Side?: string;
    TransactTime?: Date;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StandardTrailer: IStandardTrailer;
}
