/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IInstrument } from './set/instrument';
import { IRelatedTradeGrp } from './set/related_trade_grp';
import { IParties } from './set/parties';
import { IPostTradePayment } from './set/post_trade_payment';
import { ISettlDetails } from './set/settl_details';
import { IStandardTrailer } from './set/standard_trailer';
export interface IPayManagementReport {
    StandardHeader: IStandardHeader;
    PayReportID: string;
    PayRequestID?: string;
    PayReportTransType: number;
    PayReportRefID?: string;
    ReplaceText?: string;
    EncodedReplaceTextLen?: number;
    EncodedReplaceText?: Buffer;
    PayRequestStatus?: number;
    PayDisputeReason?: number;
    RejectText?: string;
    EncodedRejectTextLen?: number;
    EncodedRejectText?: Buffer;
    ClearingBusinessDate?: Date;
    TransactTime: Date;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    Instrument?: IInstrument;
    RelatedTradeGrp?: IRelatedTradeGrp;
    Parties?: IParties;
    PostTradePayment?: IPostTradePayment;
    SettlDetails?: ISettlDetails;
    StandardTrailer: IStandardTrailer;
}
