/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IInstrument } from './set/instrument';
import { IRelatedTradeGrp } from './set/related_trade_grp';
import { IParties } from './set/parties';
import { IPostTradePayment } from './set/post_trade_payment';
import { ISettlDetails } from './set/settl_details';
import { IStandardTrailer } from './set/standard_trailer';
export interface IPayManagementRequest {
    StandardHeader: IStandardHeader;
    PayRequestID: string;
    PayRequestTransType: number;
    PayRequestRefID?: string;
    CancelText?: string;
    EncodedCancelTextLen?: number;
    EncodedCancelText?: Buffer;
    ClearingBusinessDate?: Date;
    TransactTime: Date;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    Instrument?: IInstrument;
    RelatedTradeGrp?: IRelatedTradeGrp;
    Parties?: IParties;
    PostTradePayment?: IPostTradePayment;
    SettlDetails?: ISettlDetails;
    StandardTrailer: IStandardTrailer;
}
