/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { IInstrument } from './set/instrument';
import { IInstrmtLegGrp } from './set/instrmt_leg_grp';
import { IRelatedInstrumentGrp } from './set/related_instrument_grp';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { ITrdgSesGrp } from './set/trdg_ses_grp';
import { IPositionQty } from './set/position_qty';
import { IPositionAmountData } from './set/position_amount_data';
import { IRegulatoryTradeIDGrp } from './set/regulatory_trade_id_grp';
import { IPaymentGrp } from './set/payment_grp';
import { IRelatedTradeGrp } from './set/related_trade_grp';
import { IStandardTrailer } from './set/standard_trailer';
export interface IPositionMaintenanceReport {
    StandardHeader: IStandardHeader;
    PosMaintRptID: string;
    PosTransType: number;
    PositionID?: string;
    PosReqID?: string;
    PosMaintAction: number;
    OrigPosReqRefID?: string;
    PosMaintStatus?: number;
    PosMaintResult?: number;
    ClearingBusinessDate: Date;
    PreviousClearingBusinessDate?: Date;
    ValuationDate?: Date;
    ValuationTime?: string;
    ValuationBusinessCenter?: string;
    DiscountFactor?: number;
    RejectText?: string;
    EncodedRejectTextLen?: number;
    EncodedRejectText?: Buffer;
    SettlSessID?: string;
    SettlSessSubID?: string;
    ClearedIndicator?: number;
    ContractRefPosType?: number;
    PositionCapacity?: number;
    TerminatedIndicator?: boolean;
    InputSource?: string;
    Parties?: IParties;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    PosMaintRptRefID?: string;
    Instrument?: IInstrument;
    Currency?: string;
    CurrencyCodeSource?: string;
    SettlDate?: Date;
    SettlCurrency?: string;
    SettlCurrencyCodeSource?: string;
    ContraryInstructionIndicator?: boolean;
    PriorSpreadIndicator?: boolean;
    InstrmtLegGrp?: IInstrmtLegGrp;
    RelatedInstrumentGrp?: IRelatedInstrumentGrp;
    UndInstrmtGrp?: IUndInstrmtGrp;
    TrdgSesGrp?: ITrdgSesGrp;
    TransactTime?: Date;
    PositionQty?: IPositionQty;
    PositionAmountData?: IPositionAmountData;
    RegulatoryTradeIDGrp?: IRegulatoryTradeIDGrp;
    PaymentGrp?: IPaymentGrp;
    AdjustmentType?: number;
    ThresholdAmount?: number;
    RelatedTradeGrp?: IRelatedTradeGrp;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StandardTrailer: IStandardTrailer;
}
