/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IApplicationSequenceControl } from './set/application_sequence_control';
import { ITransactionAttributeGrp } from './set/transaction_attribute_grp';
import { ITrdRegTimestamps } from './set/trd_reg_timestamps';
import { IParties } from './set/parties';
import { IInstrument } from './set/instrument';
import { IFinancingDetails } from './set/financing_details';
import { IInstrmtLegGrp } from './set/instrmt_leg_grp';
import { IRelatedInstrumentGrp } from './set/related_instrument_grp';
import { ICollateralAmountGrp } from './set/collateral_amount_grp';
import { IPosUndInstrmtGrp } from './set/pos_und_instrmt_grp';
import { IPositionQty } from './set/position_qty';
import { IPositionAmountData } from './set/position_amount_data';
import { IRegulatoryTradeIDGrp } from './set/regulatory_trade_id_grp';
import { IPaymentGrp } from './set/payment_grp';
import { IRelatedTradeGrp } from './set/related_trade_grp';
import { IStandardTrailer } from './set/standard_trailer';
export interface IPositionReport {
    StandardHeader: IStandardHeader;
    ApplicationSequenceControl?: IApplicationSequenceControl;
    PosMaintRptID: string;
    PositionID?: string;
    PosReqID?: string;
    PosReqType?: number;
    PosReportAction?: number;
    MarginReqmtInqID?: string;
    SubscriptionRequestType?: string;
    TotalNumPosReports?: number;
    TotNumReports?: number;
    LastRptRequested?: boolean;
    PosReqResult?: number;
    UnsolicitedIndicator?: boolean;
    RegulatoryReportType?: number;
    RegulatoryReportTypeBusinessDate?: Date;
    TransactionAttributeGrp?: ITransactionAttributeGrp;
    TrdRegTimestamps?: ITrdRegTimestamps;
    ClearingBusinessDate: Date;
    PreviousClearingBusinessDate?: Date;
    ClearingPortfolioID?: string;
    SettlSessID?: string;
    SettlSessSubID?: string;
    PriceType?: number;
    SettlCurrency?: string;
    SettlCurrencyCodeSource?: string;
    MessageEventSource?: string;
    ClearedIndicator?: number;
    ContractRefPosType?: number;
    PositionCapacity?: number;
    TerminatedIndicator?: boolean;
    TerminationDate?: Date;
    IntraFirmTradeIndicator?: boolean;
    TradeContinuation?: number;
    TradeContinuationText?: string;
    EncodedTradeContinuationTextLen?: number;
    EncodedTradeContinuationText?: Buffer;
    TradeCollateralization?: number;
    Parties?: IParties;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    TaxonomyType?: string;
    Instrument?: IInstrument;
    FinancingDetails?: IFinancingDetails;
    Currency?: string;
    CurrencyCodeSource?: string;
    SettlDate?: Date;
    SettlPrice?: number;
    SettlPriceFxRateCalc?: string;
    SettlForwardPoints?: number;
    SettlPriceUnitOfMeasure?: string;
    SettlPriceUnitOfMeasureCurrency?: string;
    SettlPriceUnitOfMeasureCurrencyCodeSource?: string;
    SettlPriceType?: number;
    PriorSettlPrice?: number;
    PositionContingentPrice?: number;
    DiscountFactor?: number;
    ValuationDate?: Date;
    ValuationTime?: string;
    ValuationBusinessCenter?: string;
    MatchStatus?: string;
    InstrmtLegGrp?: IInstrmtLegGrp;
    RelatedInstrumentGrp?: IRelatedInstrumentGrp;
    CollateralAmountGrp?: ICollateralAmountGrp;
    CollateralizationValueDate?: Date;
    PosUndInstrmtGrp?: IPosUndInstrmtGrp;
    TransactTime?: Date;
    PositionQty?: IPositionQty;
    PositionAmountData?: IPositionAmountData;
    RegulatoryTradeIDGrp?: IRegulatoryTradeIDGrp;
    PaymentGrp?: IPaymentGrp;
    RegistStatus?: string;
    DeliveryDate?: Date;
    ModelType?: number;
    PriceDelta?: number;
    RelatedTradeGrp?: IRelatedTradeGrp;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StandardTrailer: IStandardTrailer;
}
