/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { ITargetParties } from './set/target_parties';
import { IInstrument } from './set/instrument';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IPositionQty } from './set/position_qty';
import { IPositionAmountData } from './set/position_amount_data';
import { IStandardTrailer } from './set/standard_trailer';
export interface IPositionTransferInstruction {
    StandardHeader: IStandardHeader;
    TransferInstructionID: string;
    TransferID?: string;
    TransferTransType?: number;
    TransferType?: number;
    TransferScope?: number;
    Parties?: IParties;
    TargetParties?: ITargetParties;
    ClearingBusinessDate?: Date;
    TradeDate?: Date;
    TransactTime?: Date;
    Instrument?: IInstrument;
    UndInstrmtGrp?: IUndInstrmtGrp;
    PositionQty?: IPositionQty;
    ClearingTradePrice?: number;
    Currency?: string;
    CurrencyCodeSource?: string;
    PriceType?: number;
    PositionAmountData?: IPositionAmountData;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StandardTrailer: IStandardTrailer;
}
