/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IQuotQualGrp } from './set/quot_qual_grp';
import { IQuoteAttributeGrp } from './set/quote_attribute_grp';
import { IValueChecksGrp } from './set/value_checks_grp';
import { IParties } from './set/parties';
import { IInstrument } from './set/instrument';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IOrderQtyData } from './set/order_qty_data';
import { IRateSource } from './set/rate_source';
import { IStipulations } from './set/stipulations';
import { ILegQuotGrp } from './set/leg_quot_grp';
import { ITrdRegTimestamps } from './set/trd_reg_timestamps';
import { ICommissionData } from './set/commission_data';
import { IPriceQualifierGrp } from './set/price_qualifier_grp';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IRelativeValueGrp } from './set/relative_value_grp';
import { IYieldData } from './set/yield_data';
import { IRoutingGrp } from './set/routing_grp';
import { IStandardTrailer } from './set/standard_trailer';
export interface IQuote {
    StandardHeader: IStandardHeader;
    QuoteReqID?: string;
    QuoteID: string;
    BidID?: string;
    OfferID?: string;
    SecondaryQuoteID?: string;
    QuoteMsgID?: string;
    QuoteRespID?: string;
    RefOrderID?: string;
    RefOrderIDSource?: string;
    QuoteType?: number;
    QuoteModelType?: number;
    PrivateQuote?: boolean;
    SingleQuoteIndicator?: boolean;
    QuotQualGrp?: IQuotQualGrp;
    TrdType?: number;
    NegotiationMethod?: number;
    QuoteResponseLevel?: number;
    QuoteAttributeGrp?: IQuoteAttributeGrp;
    ValueChecksGrp?: IValueChecksGrp;
    Parties?: IParties;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    Instrument?: IInstrument;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp;
    Side?: string;
    OrderQtyData?: IOrderQtyData;
    SettlType?: string;
    SettlDate?: Date;
    SettlDate2?: Date;
    OrderQty2?: number;
    Currency?: string;
    CurrencyCodeSource?: string;
    SettlCurrency?: string;
    SettlCurrencyCodeSource?: string;
    RateSource?: IRateSource;
    Stipulations?: IStipulations;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    OwnerType?: number;
    SolicitedFlag?: boolean;
    LegQuotGrp?: ILegQuotGrp;
    BidPx?: number;
    OfferPx?: number;
    MktBidPx?: number;
    MktOfferPx?: number;
    MinBidSize?: number;
    BidSize?: number;
    TotalBidSize?: number;
    MinOfferSize?: number;
    OfferSize?: number;
    TotalOfferSize?: number;
    MinQty?: number;
    ExposureDuration?: number;
    ExposureDurationUnit?: number;
    ValidUntilTime?: Date;
    BidSpotRate?: number;
    OfferSpotRate?: number;
    BidForwardPoints?: number;
    OfferForwardPoints?: number;
    BidSwapPoints?: number;
    OfferSwapPoints?: number;
    MidPx?: number;
    BidYield?: number;
    MidYield?: number;
    OfferYield?: number;
    TransactTime?: Date;
    TrdRegTimestamps?: ITrdRegTimestamps;
    OrdType?: string;
    BidForwardPoints2?: number;
    OfferForwardPoints2?: number;
    SettlCurrBidFxRate?: number;
    SettlCurrOfferFxRate?: number;
    SettlCurrFxRateCalc?: string;
    CommissionData?: ICommissionData;
    CustOrderCapacity?: number;
    ExDestination?: string;
    ExDestinationIDSource?: string;
    BookingType?: number;
    OrderCapacity?: string;
    OrderRestrictions?: string;
    RegulatoryReportType?: number;
    PriceType?: number;
    PriceQualifierGrp?: IPriceQualifierGrp;
    BidSpread?: number;
    OfferSpread?: number;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    RelativeValueGrp?: IRelativeValueGrp;
    YieldData?: IYieldData;
    RoutingGrp?: IRoutingGrp;
    TradeContinuation?: number;
    TradeContinuationText?: string;
    EncodedTradeContinuationTextLen?: number;
    EncodedTradeContinuationText?: Buffer;
    SelfMatchPreventionID?: string;
    SelfMatchPreventionInstruction?: number;
    ThrottleInst?: number;
    ComplianceID?: string;
    ComplianceText?: string;
    EncodedComplianceTextLen?: number;
    EncodedComplianceText?: Buffer;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StrikeTime?: Date;
    StandardTrailer: IStandardTrailer;
}
