/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IApplicationSequenceControl } from './set/application_sequence_control';
import { IInstrument } from './set/instrument';
import { IInstrumentExtension } from './set/instrument_extension';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IInstrmtLegGrp } from './set/instrmt_leg_grp';
import { IRelatedInstrumentGrp } from './set/related_instrument_grp';
import { IClearingPriceParametersGrp } from './set/clearing_price_parameters_grp';
import { IStandardTrailer } from './set/standard_trailer';
export interface ISecurityStatus {
    StandardHeader: IStandardHeader;
    ApplicationSequenceControl?: IApplicationSequenceControl;
    SecurityStatusReqID?: string;
    Instrument?: IInstrument;
    InstrumentExtension?: IInstrumentExtension;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp;
    InstrmtLegGrp?: IInstrmtLegGrp;
    RelatedInstrumentGrp?: IRelatedInstrumentGrp;
    Currency?: string;
    CurrencyCodeSource?: string;
    MarketID?: string;
    MarketSegmentID?: string;
    TradeDate?: Date;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    UnsolicitedIndicator?: boolean;
    SecurityTradingStatus?: number;
    MarketMakerActivity?: number;
    FastMarketIndicator?: boolean;
    SecurityTradingEvent?: number;
    NextAuctionTime?: Date;
    FinancialStatus?: string;
    CorporateAction?: string;
    HaltReasonInt?: number;
    InViewOfCommon?: boolean;
    DueToRelated?: boolean;
    MDBookType?: number;
    MarketDepth?: number;
    BuyVolume?: number;
    SellVolume?: number;
    HighPx?: number;
    LowPx?: number;
    LastPx?: number;
    ClearingPriceParametersGrp?: IClearingPriceParametersGrp;
    SettlPrice?: number;
    SettlPriceType?: number;
    SettlPriceDeterminationMethod?: number;
    TransactTime?: Date;
    Adjustment?: number;
    FirstPx?: number;
    LinkageHandlingIndicator?: boolean;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StandardTrailer: IStandardTrailer;
}
