/// <reference types="node" />
import { IAllocRegulatoryTradeIDGrp } from './alloc_regulatory_trade_id_grp';
import { INestedParties } from './nested_parties';
import { ICommissionData } from './commission_data';
import { IAllocCommissionDataGrp } from './alloc_commission_data_grp';
import { IMiscFeesGrp } from './misc_fees_grp';
import { IClrInstGrp } from './clr_inst_grp';
import { ISettlInstructionsData } from './settl_instructions_data';
import { ITradeAllocAmtGrp } from './trade_alloc_amt_grp';
export interface IAllocGrpNoAllocs {
    AllocAccount?: string;
    AllocAcctIDSource?: number;
    MatchStatus?: string;
    AllocPrice?: number;
    AllocQty?: number;
    AllocCalculatedCcyQty?: number;
    CustodialLotID?: string;
    VersusPurchaseDate?: Date;
    VersusPurchasePrice?: number;
    CurrentCostBasis?: number;
    IndividualAllocID?: string;
    FirmMnemonic?: string;
    ParentAllocID?: string;
    AllocLegRefID?: string;
    AllocRegulatoryTradeIDGrp?: IAllocRegulatoryTradeIDGrp;
    ProcessCode?: string;
    SecondaryIndividualAllocID?: string;
    AllocMethod?: number;
    AllocationRollupInstruction?: number;
    AllocCustomerCapacity?: string;
    AllocPositionEffect?: string;
    IndividualAllocType?: number;
    NestedParties?: INestedParties;
    NotifyBrokerOfCredit?: boolean;
    AllocHandlInst?: number;
    AllocText?: string;
    EncodedAllocTextLen?: number;
    EncodedAllocText?: Buffer;
    FirmAllocText?: string;
    EncodedFirmAllocTextLen?: number;
    EncodedFirmAllocText?: Buffer;
    CommissionData?: ICommissionData;
    AllocCommissionDataGrp?: IAllocCommissionDataGrp;
    AllocAvgPx?: number;
    AllocNetMoney?: number;
    SettlCurrAmt?: number;
    AllocGrossTradeAmt?: number;
    AllocSettlCurrAmt?: number;
    SettlCurrency?: string;
    AllocSettlCurrency?: string;
    AllocSettlCurrencyCodeSource?: string;
    SettlCurrFxRate?: number;
    SettlCurrFxRateCalc?: string;
    AllocAccruedInterestAmt?: number;
    AllocInterestAtMaturity?: number;
    MiscFeesGrp?: IMiscFeesGrp;
    ClrInstGrp?: IClrInstGrp;
    ClearingFeeIndicator?: string;
    AllocSettlInstType?: number;
    SettlInstructionsData?: ISettlInstructionsData;
    AllocRefRiskLimitCheckID?: string;
    AllocRefRiskLimitCheckIDType?: number;
    AllocRiskLimitCheckStatus?: number;
    AllocGroupAmount?: number;
    AllocAvgPxGroupID?: string;
    AllocAvgPxIndicator?: number;
    TradeAllocAmtGrp?: ITradeAllocAmtGrp;
}
