/// <reference types="node" />
import { IPriceQualifierGrp } from './price_qualifier_grp';
import { IYieldData } from './yield_data';
import { ISpreadOrBenchmarkCurveData } from './spread_or_benchmark_curve_data';
import { IRateSource } from './rate_source';
import { ISecSizesGrp } from './sec_sizes_grp';
import { ITradePriceConditionGrp } from './trade_price_condition_grp';
import { ITrdRegPublicationGrp } from './trd_reg_publication_grp';
import { IRelatedTradeGrp } from './related_trade_grp';
import { IPriceLimits } from './price_limits';
import { IParties } from './parties';
export interface IMDFullGrpNoMDEntries {
    MDEntryType: string;
    MDEntryID?: string;
    MDEntryPx?: number;
    PriceType?: number;
    PriceQualifierGrp?: IPriceQualifierGrp;
    AvgPxIndicator?: number;
    YieldData?: IYieldData;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    OrdType?: string;
    Currency?: string;
    CurrencyCodeSource?: string;
    SettlCurrency?: string;
    SettlCurrencyCodeSource?: string;
    RateSource?: IRateSource;
    MDEntrySize?: number;
    SecSizesGrp?: ISecSizesGrp;
    LotType?: string;
    MDEntryDate?: Date;
    MDEntryTime?: Date;
    TickDirection?: string;
    MDMkt?: string;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    SecurityTradingStatus?: number;
    HaltReasonInt?: number;
    FastMarketIndicator?: boolean;
    MarketCondition?: number;
    QuoteCondition?: string;
    TradeCondition?: string;
    TradePriceConditionGrp?: ITradePriceConditionGrp;
    AnonymousTradeIndicator?: boolean;
    AlgorithmicTradeIndicator?: number;
    MDEntryOriginator?: string;
    LocationID?: string;
    DeskID?: string;
    OpenCloseSettlFlag?: string;
    TimeInForce?: string;
    ExpireDate?: Date;
    ExpireTime?: Date;
    ExposureDuration?: number;
    ExposureDurationUnit?: number;
    MinQty?: number;
    ExecInst?: string;
    SellerDays?: number;
    OrderID?: string;
    SecondaryOrderID?: string;
    QuoteEntryID?: string;
    TradeID?: string;
    StrategyLinkID?: string;
    MDEntryBuyer?: string;
    MDEntrySeller?: string;
    NumberOfBuyOrders?: number;
    NumberOfSellOrders?: number;
    NumberOfOrders?: number;
    MDEntryPositionNo?: number;
    Scope?: string;
    PriceDelta?: number;
    TrdType?: number;
    TrdSubType?: number;
    SecondaryTrdType?: number;
    TertiaryTrdType?: number;
    RegulatoryReportType?: number;
    MultiJurisdictionReportingIndicator?: number;
    ExecMethod?: number;
    MatchType?: string;
    OrderCategory?: string;
    TradePublishIndicator?: number;
    TrdRegPublicationGrp?: ITrdRegPublicationGrp;
    IntraFirmTradeIndicator?: boolean;
    PreviouslyReported?: boolean;
    RelatedTradeGrp?: IRelatedTradeGrp;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    MDPriceLevel?: number;
    OrderCapacity?: string;
    MDOriginType?: number;
    HighPx?: number;
    LowPx?: number;
    FirstPx?: number;
    LastPx?: number;
    DiscountFactor?: number;
    TradeVolume?: number;
    PriceLimits?: IPriceLimits;
    MaxPriceVariation?: number;
    SettlPriceType?: number;
    SettlPriceDeterminationMethod?: number;
    SettlType?: string;
    SettlDate?: Date;
    MDQuoteType?: number;
    RptSeq?: number;
    DealingCapacity?: string;
    MDEntrySpotRate?: number;
    MDEntryForwardPoints?: number;
    Parties?: IParties;
    AggressorTime?: Date;
    AggressorSide?: string;
    LegRefID?: string;
}
