/// <reference types="node" />
import { IInstrument } from './instrument';
import { IFinancingDetails } from './financing_details';
import { IUndInstrmtGrp } from './und_instrmt_grp';
import { IOrderQtyData } from './order_qty_data';
import { IRateSource } from './rate_source';
import { IStipulations } from './stipulations';
import { IQuotReqLegsGrp } from './quot_req_legs_grp';
import { IQuotQualGrp } from './quot_qual_grp';
import { IRegulatoryTradeIDGrp } from './regulatory_trade_id_grp';
import { IPriceQualifierGrp } from './price_qualifier_grp';
import { ISpreadOrBenchmarkCurveData } from './spread_or_benchmark_curve_data';
import { IYieldData } from './yield_data';
import { IParties } from './parties';
export interface IQuotReqGrpNoRelatedSym {
    Instrument?: IInstrument;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp;
    PrevClosePx?: number;
    QuoteRequestType?: number;
    QuoteID?: string;
    SecondaryQuoteID?: string;
    QuoteType?: number;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    TradeOriginationDate?: Date;
    NumOfCompetitors?: number;
    Side?: string;
    QtyType?: number;
    OrderQtyData?: IOrderQtyData;
    MinQty?: number;
    SettlType?: string;
    SettlDate?: Date;
    SettlDate2?: Date;
    OrderQty2?: number;
    Currency?: string;
    CurrencyCodeSource?: string;
    SettlCurrency?: string;
    SettlCurrencyCodeSource?: string;
    RateSource?: IRateSource;
    Stipulations?: IStipulations;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    QuotReqLegsGrp?: IQuotReqLegsGrp;
    QuotQualGrp?: IQuotQualGrp;
    TrdType?: number;
    RegulatoryTransactionType?: number;
    RegulatoryTradeIDGrp?: IRegulatoryTradeIDGrp;
    NegotiationMethod?: number;
    QuotePriceType?: number;
    PriceQualifierGrp?: IPriceQualifierGrp;
    OrdType?: string;
    ValidUntilTime?: Date;
    ExpireTime?: Date;
    ResponseTime?: Date;
    QuoteDisplayTime?: Date;
    ExposureDuration?: number;
    ExposureDurationUnit?: number;
    TransactTime?: Date;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    PriceType?: number;
    Price?: number;
    MidPx?: number;
    Price2?: number;
    YieldData?: IYieldData;
    Parties?: IParties;
    TradeContinuation?: number;
    TradeContinuationText?: string;
    EncodedTradeContinuationTextLen?: number;
    EncodedTradeContinuationText?: Buffer;
    StrikeTime?: Date;
}
