/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IRootParties } from './set/root_parties';
import { IPriceQualifierGrp } from './set/price_qualifier_grp';
import { IInstrument } from './set/instrument';
import { IInstrumentExtension } from './set/instrument_extension';
import { IFinancingDetails } from './set/financing_details';
import { IAveragePriceDetail } from './set/average_price_detail';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { ITrdRepIndicatorsGrp } from './set/trd_rep_indicators_grp';
import { ITrdInstrmtLegGrp } from './set/trd_instrmt_leg_grp';
import { ITrdRegTimestamps } from './set/trd_reg_timestamps';
import { IPositionAmountData } from './set/position_amount_data';
import { ITradeQtyGrp } from './set/trade_qty_grp';
import { ITrdCapRptAckSideGrp } from './set/trd_cap_rpt_ack_side_grp';
import { IStandardTrailer } from './set/standard_trailer';
export interface ITradeCaptureReportAck {
    StandardHeader: IStandardHeader;
    TradeReportID?: string;
    TradeID?: string;
    SecondaryTradeID?: string;
    FirmTradeID?: string;
    SecondaryFirmTradeID?: string;
    TradeReportTransType?: number;
    TradeReportType?: number;
    TrdType?: number;
    TrdSubType?: number;
    SecondaryTrdType?: number;
    OffsetInstruction?: number;
    TradeHandlingInstr?: string;
    OrigTradeHandlingInstr?: string;
    OrigTradeDate?: Date;
    OrigTradeID?: string;
    OrigSecondaryTradeID?: string;
    TransferReason?: string;
    RootParties?: IRootParties;
    ExecType?: string;
    TradeReportRefID?: string;
    SecondaryTradeReportRefID?: string;
    TrdRptStatus?: number;
    TrdAckStatus?: number;
    TradeReportRejectReason?: number;
    RejectText?: string;
    EncodedRejectTextLen?: number;
    EncodedRejectText?: Buffer;
    SecondaryTradeReportID?: string;
    SubscriptionRequestType?: string;
    TradeLinkID?: string;
    TrdMatchID?: string;
    ExecID?: string;
    SecondaryExecID?: string;
    ExecRestatementReason?: number;
    PreviouslyReported?: boolean;
    PriceType?: number;
    PriceQualifierGrp?: IPriceQualifierGrp;
    CrossType?: number;
    UnderlyingTradingSessionID?: string;
    UnderlyingTradingSessionSubID?: string;
    SettlSessID?: string;
    SettlSessSubID?: string;
    QtyType?: number;
    LastQty?: number;
    LastPx?: number;
    VenueType?: string;
    MarketSegmentID?: string;
    MarketID?: string;
    Instrument?: IInstrument;
    InstrumentExtension?: IInstrumentExtension;
    FinancingDetails?: IFinancingDetails;
    LastParPx?: number;
    CalculatedCcyLastQty?: number;
    LastSwapPoints?: number;
    PriceMarkup?: number;
    AveragePriceDetail?: IAveragePriceDetail;
    Currency?: string;
    CurrencyCodeSource?: string;
    SettlCurrency?: string;
    SettlCurrencyCodeSource?: string;
    LastSpotRate?: number;
    LastForwardPoints?: number;
    LastMkt?: string;
    TradeDate?: Date;
    ClearingBusinessDate?: Date;
    AvgPx?: number;
    AvgPxGroupID?: string;
    AvgPxIndicator?: number;
    MultiLegReportingType?: string;
    TradeLegRefID?: string;
    TransactTime?: Date;
    SettlType?: string;
    UndInstrmtGrp?: IUndInstrmtGrp;
    MatchStatus?: string;
    MatchType?: string;
    CopyMsgIndicator?: boolean;
    TrdRepIndicatorsGrp?: ITrdRepIndicatorsGrp;
    PublishTrdIndicator?: boolean;
    TradePublishIndicator?: number;
    ShortSaleReason?: number;
    TrdInstrmtLegGrp?: ITrdInstrmtLegGrp;
    TrdRegTimestamps?: ITrdRegTimestamps;
    ResponseTransportType?: number;
    ResponseDestination?: string;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    AsOfIndicator?: string;
    ClearingFeeIndicator?: string;
    PositionAmountData?: IPositionAmountData;
    TierCode?: string;
    MessageEventSource?: string;
    LastUpdateTime?: Date;
    RndPx?: number;
    TradeQtyGrp?: ITradeQtyGrp;
    TrdCapRptAckSideGrp?: ITrdCapRptAckSideGrp;
    RptSys?: string;
    GrossTradeAmt?: number;
    SettlDate?: Date;
    FeeMultiplier?: number;
    RiskLimitCheckStatus?: number;
    StandardTrailer: IStandardTrailer;
}
