/// <reference types="node" />
import { IInstrument } from './instrument';
import { IUndInstrmtGrp } from './und_instrmt_grp';
import { IInstrmtLegGrp } from './instrmt_leg_grp';
import { IYieldData } from './yield_data';
import { ISpreadOrBenchmarkCurveData } from './spread_or_benchmark_curve_data';
import { ISecSizesGrp } from './sec_sizes_grp';
import { IStatsIndGrp } from './stats_ind_grp';
import { IParties } from './parties';
import { IRateSource } from './rate_source';
export interface IMDIncGrp {
    MDUpdateAction: string;
    DeleteReason?: string;
    MDSubBookType?: number;
    MarketDepth?: number;
    MDEntryType?: string;
    MDEntryID?: string;
    MDEntryRefID?: string;
    Instrument?: IInstrument;
    UndInstrmtGrp?: IUndInstrmtGrp;
    InstrmtLegGrp?: IInstrmtLegGrp;
    FinancialStatus?: string;
    CorporateAction?: string;
    MDEntryPx?: number;
    PriceType?: number;
    YieldData?: IYieldData;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    OrdType?: string;
    Currency?: string;
    MDEntrySize?: number;
    SecSizesGrp?: ISecSizesGrp[];
    LotType?: string;
    MDEntryDate?: Date;
    MDEntryTime?: string;
    TickDirection?: string;
    MDMkt?: string;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    SecurityTradingStatus?: number;
    HaltReason?: number;
    QuoteCondition?: string;
    TradeCondition?: string;
    TrdType?: number;
    MatchType?: string;
    MDEntryOriginator?: string;
    LocationID?: string;
    DeskID?: string;
    OpenCloseSettlFlag?: string;
    TimeInForce?: string;
    ExpireDate?: Date;
    ExpireTime?: Date;
    MinQty?: number;
    ExecInst?: string;
    SellerDays?: number;
    OrderID?: string;
    SecondaryOrderID?: string;
    QuoteEntryID?: string;
    TradeID?: string;
    MDEntryBuyer?: string;
    MDEntrySeller?: string;
    NumberOfOrders?: number;
    MDEntryPositionNo?: number;
    Scope?: string;
    PriceDelta?: number;
    NetChgPrevDay?: number;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    MDPriceLevel?: number;
    OrderCapacity?: string;
    MDOriginType?: number;
    HighPx?: number;
    LowPx?: number;
    TradeVolume?: number;
    SettlType?: string;
    SettlDate?: Date;
    TransBkdTime?: Date;
    TransactTime?: Date;
    MDQuoteType?: number;
    RptSeq?: number;
    DealingCapacity?: string;
    MDEntrySpotRate?: number;
    MDEntryForwardPoints?: number;
    StatsIndGrp?: IStatsIndGrp[];
    Parties?: IParties[];
    SettlCurrency?: string;
    RateSource?: IRateSource[];
    FirstPx?: number;
    LastPx?: number;
    MDStreamID?: string;
}
