/// <reference types="node" />
import { IParties } from './parties';
import { IClrInstGrp } from './clr_inst_grp';
import { ICommissionData } from './commission_data';
import { IContAmtGrp } from './cont_amt_grp';
import { IStipulations } from './stipulations';
import { IMiscFeesGrp } from './misc_fees_grp';
import { ITrdAllocGrp } from './trd_alloc_grp';
import { ISideTrdRegTS } from './side_trd_reg_ts';
import { ISettlDetails } from './settl_details';
import { ITradeReportOrderDetail } from './trade_report_order_detail';
export interface ITrdCapRptSideGrp {
    Side: string;
    SideLastQty?: number;
    SideTradeReportID?: string;
    SideFillStationCd?: string;
    SideReasonCd?: string;
    RptSeq?: number;
    SideTrdSubTyp?: number;
    NetGrossInd?: number;
    SideCurrency?: string;
    SideSettlCurrency?: string;
    Parties?: IParties[];
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    ProcessCode?: string;
    OddLot?: boolean;
    ClrInstGrp?: IClrInstGrp[];
    TradeInputSource?: string;
    TradeInputDevice?: string;
    ComplianceID?: string;
    SolicitedFlag?: boolean;
    CustOrderCapacity?: number;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    TimeBracket?: string;
    CommissionData?: ICommissionData;
    NumDaysInterest?: number;
    ExDate?: Date;
    AccruedInterestRate?: number;
    AccruedInterestAmt?: number;
    InterestAtMaturity?: number;
    EndAccruedInterestAmt?: number;
    StartCash?: number;
    EndCash?: number;
    Concession?: number;
    TotalTakedown?: number;
    NetMoney?: number;
    SettlCurrAmt?: number;
    SettlCurrFxRate?: number;
    SettlCurrFxRateCalc?: string;
    PositionEffect?: string;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    SideMultiLegReportingType?: number;
    ContAmtGrp?: IContAmtGrp[];
    Stipulations?: IStipulations[];
    MiscFeesGrp?: IMiscFeesGrp[];
    ExchangeRule?: string;
    TradeAllocIndicator?: number;
    PreallocMethod?: string;
    AllocID?: string;
    TrdAllocGrp?: ITrdAllocGrp[];
    SideTrdRegTS?: ISideTrdRegTS[];
    SettlDetails?: ISettlDetails[];
    SideGrossTradeAmt?: number;
    AggressorIndicator?: boolean;
    ExchangeSpecialInstructions?: string;
    OrderCategory?: string;
    TradeReportOrderDetail?: ITradeReportOrderDetail;
    SideExecID?: string;
    OrderDelay?: number;
    OrderDelayUnit?: number;
    SideLiquidityInd?: number;
}
