/// <reference types="node" />
import { IUndSecAltIDGrp } from './und_sec_alt_id_grp';
import { IUnderlyingStipulations } from './underlying_stipulations';
import { IUndlyInstrumentParties } from './undly_instrument_parties';
export interface IUnderlyingInstrument {
    UnderlyingSymbol?: string;
    UnderlyingSymbolSfx?: string;
    UnderlyingSecurityID?: string;
    UnderlyingSecurityIDSource?: string;
    UndSecAltIDGrp?: IUndSecAltIDGrp[];
    UnderlyingProduct?: number;
    UnderlyingCFICode?: string;
    UnderlyingSecurityType?: string;
    UnderlyingSecuritySubType?: string;
    UnderlyingMaturityMonthYear?: string;
    UnderlyingMaturityDate?: Date;
    UnderlyingMaturityTime?: string;
    UnderlyingCouponPaymentDate?: Date;
    UnderlyingIssueDate?: Date;
    UnderlyingRepoCollateralSecurityType?: string;
    UnderlyingRepurchaseTerm?: number;
    UnderlyingRepurchaseRate?: number;
    UnderlyingFactor?: number;
    UnderlyingCreditRating?: string;
    UnderlyingInstrRegistry?: string;
    UnderlyingCountryOfIssue?: string;
    UnderlyingStateOrProvinceOfIssue?: string;
    UnderlyingLocaleOfIssue?: string;
    UnderlyingRedemptionDate?: Date;
    UnderlyingStrikePrice?: number;
    UnderlyingStrikeCurrency?: string;
    UnderlyingOptAttribute?: string;
    UnderlyingContractMultiplier?: number;
    UnderlyingUnitOfMeasure?: string;
    UnderlyingUnitOfMeasureQty?: number;
    UnderlyingPriceUnitOfMeasure?: string;
    UnderlyingPriceUnitOfMeasureQty?: number;
    UnderlyingTimeUnit?: string;
    UnderlyingExerciseStyle?: number;
    UnderlyingCouponRate?: number;
    UnderlyingSecurityExchange?: string;
    UnderlyingIssuer?: string;
    EncodedUnderlyingIssuerLen?: number;
    EncodedUnderlyingIssuer?: Buffer;
    UnderlyingSecurityDesc?: string;
    EncodedUnderlyingSecurityDescLen?: number;
    EncodedUnderlyingSecurityDesc?: Buffer;
    UnderlyingCPProgram?: string;
    UnderlyingCPRegType?: string;
    UnderlyingAllocationPercent?: number;
    UnderlyingCurrency?: string;
    UnderlyingQty?: number;
    UnderlyingSettlementType?: number;
    UnderlyingCashAmount?: number;
    UnderlyingCashType?: string;
    UnderlyingPx?: number;
    UnderlyingDirtyPrice?: number;
    UnderlyingEndPrice?: number;
    UnderlyingStartValue?: number;
    UnderlyingCurrentValue?: number;
    UnderlyingEndValue?: number;
    UnderlyingStipulations?: IUnderlyingStipulations[];
    UnderlyingAdjustedQuantity?: number;
    UnderlyingFXRate?: number;
    UnderlyingFXRateCalc?: string;
    UnderlyingCapValue?: number;
    UndlyInstrumentParties?: IUndlyInstrumentParties[];
    UnderlyingSettlMethod?: string;
    UnderlyingPutOrCall?: number;
    UnderlyingContractMultiplierUnit?: number;
    UnderlyingFlowScheduleType?: number;
    UnderlyingRestructuringType?: string;
    UnderlyingSeniority?: string;
    UnderlyingNotionalPercentageOutstanding?: number;
    UnderlyingOriginalNotionalPercentageOutstanding?: number;
    UnderlyingAttachmentPoint?: number;
    UnderlyingDetachmentPoint?: number;
}
