import { IStandardHeader } from './set/standard_header';
import { IApplicationSequenceControl } from './set/application_sequence_control';
import { IRootParties } from './set/root_parties';
import { IInstrument } from './set/instrument';
import { IFinancingDetails } from './set/financing_details';
import { IYieldData } from './set/yield_data';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IPositionAmountData } from './set/position_amount_data';
import { ITrdInstrmtLegGrp } from './set/trd_instrmt_leg_grp';
import { ITrdRegTimestamps } from './set/trd_reg_timestamps';
import { ITrdCapRptSideGrp } from './set/trd_cap_rpt_side_grp';
import { ITrdRepIndicatorsGrp } from './set/trd_rep_indicators_grp';
import { IStandardTrailer } from './set/standard_trailer';
export interface ITradeCaptureReport {
    StandardHeader: IStandardHeader;
    ApplicationSequenceControl?: IApplicationSequenceControl;
    TradeReportID?: string;
    TradeID?: string;
    SecondaryTradeID?: string;
    FirmTradeID?: string;
    SecondaryFirmTradeID?: string;
    TradeReportTransType?: number;
    TradeReportType?: number;
    TrdRptStatus?: number;
    TradeRequestID?: string;
    TrdType?: number;
    TrdSubType?: number;
    SecondaryTrdType?: number;
    TradeHandlingInstr?: string;
    OrigTradeHandlingInstr?: string;
    OrigTradeDate?: Date;
    OrigTradeID?: string;
    OrigSecondaryTradeID?: string;
    TransferReason?: string;
    ExecType?: string;
    TotNumTradeReports?: number;
    LastRptRequested?: boolean;
    UnsolicitedIndicator?: boolean;
    SubscriptionRequestType?: string;
    TradeReportRefID?: string;
    SecondaryTradeReportRefID?: string;
    SecondaryTradeReportID?: string;
    TradeLinkID?: string;
    TrdMatchID?: string;
    ExecID?: string;
    SecondaryExecID?: string;
    ExecRestatementReason?: number;
    PreviouslyReported?: boolean;
    PriceType?: number;
    RootParties?: IRootParties[];
    AsOfIndicator?: string;
    SettlSessID?: string;
    SettlSessSubID?: string;
    Instrument: IInstrument;
    FinancingDetails?: IFinancingDetails;
    QtyType?: number;
    YieldData?: IYieldData;
    UndInstrmtGrp?: IUndInstrmtGrp;
    UnderlyingTradingSessionID?: string;
    UnderlyingTradingSessionSubID?: string;
    LastQty: number;
    LastPx: number;
    CalculatedCcyLastQty?: number;
    Currency?: string;
    SettlCurrency?: string;
    LastParPx?: number;
    LastSpotRate?: number;
    LastForwardPoints?: number;
    LastSwapPoints?: number;
    LastMkt?: string;
    TradeDate?: Date;
    ClearingBusinessDate?: Date;
    AvgPx?: number;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    AvgPxIndicator?: number;
    PositionAmountData?: IPositionAmountData[];
    MultiLegReportingType?: string;
    TradeLegRefID?: string;
    TrdInstrmtLegGrp?: ITrdInstrmtLegGrp[];
    TransactTime?: Date;
    TrdRegTimestamps?: ITrdRegTimestamps[];
    SettlType?: string;
    SettlDate?: Date;
    UnderlyingSettlementDate?: Date;
    MatchStatus?: string;
    MatchType?: string;
    TrdCapRptSideGrp: ITrdCapRptSideGrp[];
    Volatility?: number;
    DividendYield?: number;
    RiskFreeRate?: number;
    CurrencyRatio?: number;
    CopyMsgIndicator?: boolean;
    TrdRepIndicatorsGrp?: ITrdRepIndicatorsGrp[];
    PublishTrdIndicator?: boolean;
    TradePublishIndicator?: number;
    ShortSaleReason?: number;
    TierCode?: string;
    MessageEventSource?: string;
    LastUpdateTime?: Date;
    RndPx?: number;
    TZTransactTime?: string;
    ReportedPxDiff?: boolean;
    GrossTradeAmt?: number;
    RejectText?: string;
    FeeMultiplier?: number;
    StandardTrailer: IStandardTrailer;
    VenueType?: string;
    MarketSegmentID?: string;
    MarketID?: string;
}
