/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IAllocationNoOrders } from './set/allocation_no_orders';
import { IAllocationNoExecs } from './set/allocation_no_execs';
import { IAllocationNoAllocs } from './set/allocation_no_allocs';
import { IStandardTrailer } from './set/standard_trailer';
export interface IAllocation {
    StandardHeader: IStandardHeader;
    AllocID: string;
    AllocTransType: string;
    RefAllocID?: string;
    AllocLinkID?: string;
    AllocLinkType?: number;
    NoOrders?: IAllocationNoOrders[];
    NoExecs?: IAllocationNoExecs[];
    Side: string;
    Symbol: string;
    SymbolSfx?: string;
    SecurityID?: string;
    IDSource?: string;
    SecurityType?: string;
    MaturityMonthYear?: string;
    MaturityDay?: string;
    PutOrCall?: number;
    StrikePrice?: number;
    OptAttribute?: string;
    ContractMultiplier?: number;
    CouponRate?: number;
    SecurityExchange?: string;
    Issuer?: string;
    EncodedIssuerLen?: number;
    EncodedIssuer?: Buffer;
    SecurityDesc?: string;
    EncodedSecurityDescLen?: number;
    EncodedSecurityDesc?: Buffer;
    Shares: number;
    LastMkt?: string;
    TradingSessionID?: string;
    AvgPx: number;
    Currency?: string;
    AvgPrxPrecision?: number;
    TradeDate: Date;
    TransactTime?: Date;
    SettlmntTyp?: string;
    FutSettDate?: Date;
    GrossTradeAmt?: number;
    NetMoney?: number;
    OpenClose?: string;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    NumDaysInterest?: number;
    AccruedInterestRate?: number;
    NoAllocs?: IAllocationNoAllocs[];
    StandardTrailer: IStandardTrailer;
}
