/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IStandardTrailer } from './set/standard_trailer';
export interface IBidRequest {
    StandardHeader: IStandardHeader;
    BidID?: string;
    ClientBidID: string;
    BidRequestTransType: string;
    ListName?: string;
    TotalNumSecurities: number;
    BidType: number;
    NumTickets?: number;
    Currency?: string;
    SideValue1?: number;
    SideValue2?: number;
    NoBidDescriptors?: number;
    BidDescriptorType?: number;
    BidDescriptor?: string;
    SideValueInd?: number;
    LiquidityValue?: number;
    LiquidityNumSecurities?: number;
    LiquidityPctLow?: number;
    LiquidityPctHigh?: number;
    EFPTrackingError?: number;
    FairValue?: number;
    OutsideIndexPct?: number;
    ValueOfFutures?: number;
    NoBidComponents?: number;
    ListID?: string;
    Side?: string;
    TradingSessionID?: string;
    NetGrossInd?: number;
    SettlmntTyp?: string;
    FutSettDate?: Date;
    Account?: string;
    LiquidityIndType?: number;
    WtAverageLiquidity?: number;
    ExchangeForPhysical?: boolean;
    OutMainCntryUIndex?: number;
    CrossPercent?: number;
    ProgRptReqs?: number;
    ProgPeriodInterval?: number;
    IncTaxInd?: number;
    ForexReq?: boolean;
    NumBidders?: number;
    TradeDate?: Date;
    TradeType: string;
    BasisPxType: string;
    StrikeTime?: Date;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StandardTrailer: IStandardTrailer;
}
