/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IStandardTrailer } from './set/standard_trailer';
export interface IOrderList {
    StandardHeader: IStandardHeader;
    ListID: string;
    BidID?: string;
    ClientBidID?: string;
    ProgRptReqs?: number;
    BidType: number;
    ProgPeriodInterval?: number;
    ListExecInstType?: string;
    ListExecInst?: string;
    EncodedListExecInstLen?: number;
    EncodedListExecInst?: Buffer;
    TotNoOrders: number;
    NoOrders: number;
    ClOrdID: string;
    ListSeqNo: number;
    SettlInstMode?: string;
    ClientID?: string;
    ExecBroker?: string;
    Account?: string;
    NoAllocs?: number;
    AllocAccount?: string;
    AllocShares?: number;
    SettlmntTyp?: string;
    FutSettDate?: Date;
    HandlInst?: string;
    ExecInst?: string;
    MinQty?: number;
    MaxFloor?: number;
    ExDestination?: string;
    NoTradingSessions?: number;
    TradingSessionID?: string;
    ProcessCode?: string;
    Symbol: string;
    SymbolSfx?: string;
    SecurityID?: string;
    IDSource?: string;
    SecurityType?: string;
    MaturityMonthYear?: string;
    MaturityDay?: number;
    PutOrCall?: number;
    StrikePrice?: number;
    OptAttribute?: string;
    ContractMultiplier?: number;
    CouponRate?: number;
    SecurityExchange?: string;
    Issuer?: string;
    EncodedIssuerLen?: number;
    EncodedIssuer?: Buffer;
    SecurityDesc?: string;
    EncodedSecurityDescLen?: number;
    EncodedSecurityDesc?: Buffer;
    PrevClosePx?: number;
    Side: string;
    SideValueInd?: number;
    LocateReqd?: boolean;
    TransactTime?: Date;
    OrderQty?: number;
    CashOrderQty?: number;
    OrdType?: string;
    Price?: number;
    StopPx?: number;
    Currency?: string;
    ComplianceID?: string;
    SolicitedFlag?: boolean;
    IOIid?: string;
    QuoteID?: string;
    TimeInForce?: string;
    EffectiveTime?: Date;
    ExpireDate?: Date;
    ExpireTime?: Date;
    GTBookingInst?: number;
    Commission?: number;
    CommType?: string;
    Rule80A?: string;
    ForexReq?: boolean;
    SettlCurrency?: string;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    FutSettDate2?: Date;
    OrderQty2?: number;
    OpenClose?: string;
    CoveredOrUncovered?: number;
    CustomerOrFirm?: number;
    MaxShow?: number;
    PegDifference?: number;
    DiscretionInst?: string;
    DiscretionOffset?: number;
    ClearingFirm?: string;
    ClearingAccount?: string;
    StandardTrailer: IStandardTrailer;
}
