/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IAllocationNoOrders } from './set/allocation_no_orders';
import { IAllocationNoExecs } from './set/allocation_no_execs';
import { IInstrument } from './set/instrument';
import { IParties } from './set/parties';
import { IAllocationNoAllocs } from './set/allocation_no_allocs';
import { IStandardTrailer } from './set/standard_trailer';
export interface IAllocation {
    StandardHeader: IStandardHeader;
    AllocID: string;
    AllocTransType: string;
    AllocType: number;
    RefAllocID?: string;
    AllocLinkID?: string;
    AllocLinkType?: number;
    BookingRefID?: string;
    NoOrders?: IAllocationNoOrders[];
    NoExecs?: IAllocationNoExecs[];
    Side: string;
    Instrument?: IInstrument;
    Quantity: number;
    LastMkt?: string;
    TradeOriginationDate?: string;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    PriceType?: number;
    AvgPx: number;
    Currency?: string;
    AvgPrxPrecision?: number;
    Parties?: IParties;
    TradeDate: Date;
    TransactTime?: Date;
    SettlmntTyp?: string;
    FutSettDate?: Date;
    GrossTradeAmt?: number;
    Concession?: number;
    TotalTakedown?: number;
    NetMoney?: number;
    PositionEffect?: string;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    NumDaysInterest?: number;
    AccruedInterestRate?: number;
    TotalAccruedInterestAmt?: number;
    LegalConfirm?: boolean;
    NoAllocs?: IAllocationNoAllocs[];
    StandardTrailer: IStandardTrailer;
}
