import { IStandardHeader } from './set/standard_header';
import { INewOrderCrossNoSides } from './set/new_order_cross_no_sides';
import { IInstrument } from './set/instrument';
import { INewOrderCrossNoTradingSessions } from './set/new_order_cross_no_trading_sessions';
import { IStipulations } from './set/stipulations';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IYieldData } from './set/yield_data';
import { IStandardTrailer } from './set/standard_trailer';
export interface INewOrderCross {
    StandardHeader: IStandardHeader;
    CrossID: string;
    CrossType: number;
    CrossPrioritization: number;
    NoSides: INewOrderCrossNoSides[];
    Instrument?: IInstrument;
    SettlmntTyp?: string;
    FutSettDate?: Date;
    HandlInst: string;
    ExecInst?: string;
    MinQty?: number;
    MaxFloor?: number;
    ExDestination?: string;
    NoTradingSessions?: INewOrderCrossNoTradingSessions[];
    ProcessCode?: string;
    PrevClosePx?: number;
    LocateReqd?: boolean;
    TransactTime: Date;
    Stipulations?: IStipulations;
    OrdType: string;
    PriceType?: number;
    Price?: number;
    StopPx?: number;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    YieldData?: IYieldData;
    Currency?: string;
    ComplianceID?: string;
    IOIid?: string;
    QuoteID?: string;
    TimeInForce?: string;
    EffectiveTime?: Date;
    ExpireDate?: Date;
    ExpireTime?: Date;
    GTBookingInst?: number;
    MaxShow?: number;
    PegDifference?: number;
    DiscretionInst?: string;
    DiscretionOffset?: number;
    CancellationRights?: string;
    MoneyLaunderingStatus?: string;
    RegistID?: string;
    Designation?: string;
    AccruedInterestRate?: number;
    AccruedInterestAmt?: number;
    NetMoney?: number;
    StandardTrailer: IStandardTrailer;
}
