/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { INewOrderMultilegNoAllocs } from './set/new_order_multileg_no_allocs';
import { INewOrderMultilegNoTradingSessions } from './set/new_order_multileg_no_trading_sessions';
import { IInstrument } from './set/instrument';
import { INewOrderMultilegNoLegs } from './set/new_order_multileg_no_legs';
import { IOrderQtyData } from './set/order_qty_data';
import { ICommissionData } from './set/commission_data';
import { IStandardTrailer } from './set/standard_trailer';
export interface INewOrderMultileg {
    StandardHeader: IStandardHeader;
    ClOrdID: string;
    SecondaryClOrdID?: string;
    ClOrdLinkID?: string;
    Parties?: IParties;
    Account?: string;
    AccountType?: number;
    DayBookingInst?: string;
    BookingUnit?: string;
    PreallocMethod?: string;
    NoAllocs?: INewOrderMultilegNoAllocs[];
    SettlmntTyp?: string;
    FutSettDate?: Date;
    CashMargin?: string;
    ClearingFeeIndicator?: string;
    HandlInst: string;
    ExecInst?: string;
    MinQty?: number;
    MaxFloor?: number;
    ExDestination?: string;
    NoTradingSessions?: INewOrderMultilegNoTradingSessions[];
    ProcessCode?: string;
    Side: string;
    Instrument?: IInstrument;
    PrevClosePx?: number;
    NoLegs: INewOrderMultilegNoLegs[];
    LocateReqd?: boolean;
    TransactTime: Date;
    QuantityType?: number;
    OrderQtyData?: IOrderQtyData;
    OrdType: string;
    PriceType?: number;
    Price?: number;
    StopPx?: number;
    Currency?: string;
    ComplianceID?: string;
    SolicitedFlag?: boolean;
    IOIid?: string;
    QuoteID?: string;
    TimeInForce?: string;
    EffectiveTime?: Date;
    ExpireDate?: Date;
    ExpireTime?: Date;
    GTBookingInst?: number;
    CommissionData?: ICommissionData;
    OrderCapacity?: string;
    OrderRestrictions?: string;
    CustOrderCapacity?: number;
    ForexReq?: boolean;
    SettlCurrency?: string;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    PositionEffect?: string;
    CoveredOrUncovered?: number;
    MaxShow?: number;
    PegDifference?: number;
    DiscretionInst?: string;
    DiscretionOffset?: number;
    CancellationRights?: string;
    MoneyLaunderingStatus?: string;
    RegistID?: string;
    Designation?: string;
    MultiLegRptTypeReq?: number;
    NetMoney?: number;
    StandardTrailer: IStandardTrailer;
}
