/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { IOrderCancelReplaceRequestNoAllocs } from './set/order_cancel_replace_request_no_allocs';
import { IOrderCancelReplaceRequestNoTradingSessions } from './set/order_cancel_replace_request_no_trading_sessions';
import { IInstrument } from './set/instrument';
import { IOrderQtyData } from './set/order_qty_data';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IYieldData } from './set/yield_data';
import { ICommissionData } from './set/commission_data';
import { IStandardTrailer } from './set/standard_trailer';
export interface IOrderCancelReplaceRequest {
    StandardHeader: IStandardHeader;
    OrderID?: string;
    Parties?: IParties;
    TradeOriginationDate?: string;
    OrigClOrdID: string;
    ClOrdID: string;
    SecondaryClOrdID?: string;
    ClOrdLinkID?: string;
    ListID?: string;
    OrigOrdModTime?: Date;
    Account?: string;
    AccountType?: number;
    DayBookingInst?: string;
    BookingUnit?: string;
    PreallocMethod?: string;
    NoAllocs?: IOrderCancelReplaceRequestNoAllocs[];
    SettlmntTyp?: string;
    FutSettDate?: Date;
    CashMargin?: string;
    ClearingFeeIndicator?: string;
    HandlInst: string;
    ExecInst?: string;
    MinQty?: number;
    MaxFloor?: number;
    ExDestination?: string;
    NoTradingSessions?: IOrderCancelReplaceRequestNoTradingSessions[];
    Instrument?: IInstrument;
    Side: string;
    TransactTime: Date;
    QuantityType?: number;
    OrderQtyData?: IOrderQtyData;
    OrdType: string;
    PriceType?: number;
    Price?: number;
    StopPx?: number;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    YieldData?: IYieldData;
    PegDifference?: number;
    DiscretionInst?: string;
    DiscretionOffset?: number;
    ComplianceID?: string;
    SolicitedFlag?: boolean;
    Currency?: string;
    TimeInForce?: string;
    EffectiveTime?: Date;
    ExpireDate?: Date;
    ExpireTime?: Date;
    GTBookingInst?: number;
    CommissionData?: ICommissionData;
    OrderCapacity?: string;
    OrderRestrictions?: string;
    CustOrderCapacity?: number;
    Rule80A?: string;
    ForexReq?: boolean;
    SettlCurrency?: string;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    FutSettDate2?: Date;
    OrderQty2?: number;
    Price2?: number;
    PositionEffect?: string;
    CoveredOrUncovered?: number;
    MaxShow?: number;
    LocateReqd?: boolean;
    CancellationRights?: string;
    MoneyLaunderingStatus?: string;
    RegistID?: string;
    Designation?: string;
    AccruedInterestRate?: number;
    AccruedInterestAmt?: number;
    NetMoney?: number;
    StandardTrailer: IStandardTrailer;
}
