import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { IStandardTrailer } from './set/standard_trailer';
export interface ISettlementInstructions {
    StandardHeader: IStandardHeader;
    SettlInstID: string;
    SettlInstTransType: string;
    SettlInstRefID: string;
    SettlInstMode: string;
    SettlInstSource: string;
    AllocAccount: string;
    IndividualAllocID?: string;
    ClOrdID?: string;
    TradeDate?: Date;
    AllocID?: string;
    LastMkt?: string;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    Side?: string;
    SecurityType?: string;
    EffectiveTime?: Date;
    TransactTime: Date;
    Parties?: IParties;
    StandInstDbType?: number;
    StandInstDbName?: string;
    StandInstDbID?: string;
    SettlDeliveryType?: number;
    SettlDepositoryCode?: string;
    SettlBrkrCode?: string;
    SettlInstCode?: string;
    SecuritySettlAgentName?: string;
    SecuritySettlAgentCode?: string;
    SecuritySettlAgentAcctNum?: string;
    SecuritySettlAgentAcctName?: string;
    SecuritySettlAgentContactName?: string;
    SecuritySettlAgentContactPhone?: string;
    CashSettlAgentName?: string;
    CashSettlAgentCode?: string;
    CashSettlAgentAcctNum?: string;
    CashSettlAgentAcctName?: string;
    CashSettlAgentContactName?: string;
    CashSettlAgentContactPhone?: string;
    PaymentMethod?: number;
    PaymentRef?: string;
    CardHolderName?: string;
    CardNumber?: string;
    CardStartDate?: Date;
    CardExpDate?: Date;
    CardIssNo?: string;
    PaymentDate?: Date;
    PaymentRemitterID?: string;
    StandardTrailer: IStandardTrailer;
}
