/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IInstrument } from './set/instrument';
import { IParties } from './set/parties';
import { INestedParties } from './set/nested_parties';
import { ICommissionData } from './set/commission_data';
import { IStandardTrailer } from './set/standard_trailer';
export interface IAllocation {
    StandardHeader: IStandardHeader;
    AllocID: string;
    AllocTransType: string;
    RefAllocID?: string;
    AllocLinkID?: string;
    AllocLinkType?: number;
    NoOrders?: number;
    ClOrdID?: string;
    OrderID?: string;
    SecondaryOrderID?: string;
    ListID?: string;
    NoExecs?: number;
    LastShares?: number;
    ExecID?: string;
    LastPx?: number;
    LastCapacity?: string;
    Side: string;
    Instrument: IInstrument;
    Shares: number;
    LastMkt?: string;
    TradingSessionID?: string;
    PriceType?: number;
    AvgPx: number;
    Currency?: string;
    AvgPrxPrecision?: number;
    Parties?: IParties[];
    TradeDate: Date;
    TransactTime?: Date;
    SettlmntTyp?: string;
    FutSettDate?: Date;
    GrossTradeAmt?: number;
    NetMoney?: number;
    OpenClose?: string;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    NumDaysInterest?: number;
    AccruedInterestRate?: number;
    NoAllocs?: number;
    AllocAccount?: string;
    AllocPrice?: number;
    AllocShares?: number;
    ProcessCode?: string;
    NestedParties?: INestedParties[];
    NotifyBrokerOfCredit?: boolean;
    AllocHandlInst?: number;
    AllocText?: string;
    EncodedAllocTextLen?: number;
    EncodedAllocText?: Buffer;
    CommissionData?: ICommissionData;
    AllocAvgPx?: number;
    AllocNetMoney?: number;
    SettlCurrAmt?: number;
    SettlCurrency?: string;
    SettlCurrFxRate?: number;
    SettlCurrFxRateCalc?: string;
    AccruedInterestAmt?: number;
    SettlInstMode?: string;
    NoMiscFees?: number;
    MiscFeeAmt?: number;
    MiscFeeCurr?: string;
    MiscFeeType?: string;
    StandardTrailer: IStandardTrailer;
}
