/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { INestedParties } from './set/nested_parties';
import { IOrderQtyData } from './set/order_qty_data';
import { ICommissionData } from './set/commission_data';
import { IInstrument } from './set/instrument';
import { IStipulations } from './set/stipulations';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IYieldData } from './set/yield_data';
import { IStandardTrailer } from './set/standard_trailer';
export interface ICrossOrderCancelReplaceRequest {
    StandardHeader: IStandardHeader;
    OrderID?: string;
    Side: string;
    OrigClOrdID: string;
    ClOrdID: string;
    Parties?: IParties[];
    Account?: string;
    NoAllocs?: number;
    AllocAccount?: string;
    NestedParties?: INestedParties[];
    AllocShares?: number;
    OrderQtyData: IOrderQtyData;
    CommissionData?: ICommissionData;
    ForexReq?: boolean;
    SettlCurrency?: string;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    OpenClose?: string;
    CoveredOrUncovered?: number;
    SolicitedFlag?: boolean;
    Instrument: IInstrument;
    SettlmntTyp?: string;
    FutSettDate?: Date;
    HandlInst: string;
    ExecInst?: string;
    MinQty?: number;
    MaxFloor?: number;
    ExDestination?: string;
    NoTradingSessions?: number;
    TradingSessionID?: string;
    ProcessCode?: string;
    PrevClosePx?: number;
    LocateReqd?: boolean;
    TransactTime: Date;
    Stipulations?: IStipulations[];
    OrdType: string;
    PriceType?: number;
    Price?: number;
    StopPx?: number;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    YieldData?: IYieldData;
    Currency?: string;
    ComplianceID?: string;
    IOIid?: string;
    QuoteID?: string;
    TimeInForce?: string;
    EffectiveTime?: Date;
    ExpireDate?: Date;
    ExpireTime?: Date;
    GTBookingInst?: number;
    MaxShow?: number;
    PegDifference?: number;
    DiscretionInst?: string;
    DiscretionOffset?: number;
    AccruedInterestRate?: number;
    AccruedInterestAmt?: number;
    NetMoney?: number;
    StandardTrailer: IStandardTrailer;
}
