/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { IInstrument } from './set/instrument';
import { IStipulations } from './set/stipulations';
import { IOrderQtyData } from './set/order_qty_data';
import { ICommissionData } from './set/commission_data';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IYieldData } from './set/yield_data';
import { IInstrumentLeg } from './set/instrument_leg';
import { INestedParties } from './set/nested_parties';
import { IStandardTrailer } from './set/standard_trailer';
export interface IExecutionReport {
    StandardHeader: IStandardHeader;
    OrderID: string;
    SecondaryOrderID?: string;
    ClOrdID?: string;
    OrigClOrdID?: string;
    Parties?: IParties[];
    NoContraBrokers?: number;
    ContraBroker?: string;
    ContraTrader?: string;
    ContraTradeQty?: number;
    ContraTradeTime?: Date;
    ListID?: string;
    ExecID: string;
    ExecRefID?: string;
    ExecType: string;
    OrdStatus: string;
    OrdRejReason?: number;
    ExecRestatementReason?: number;
    Account?: string;
    SettlmntTyp?: string;
    FutSettDate?: Date;
    Instrument: IInstrument;
    Side: string;
    Stipulations?: IStipulations[];
    OrderQtyData: IOrderQtyData;
    OrdType?: string;
    PriceType?: number;
    Price?: number;
    StopPx?: number;
    PegDifference?: number;
    DiscretionInst?: string;
    DiscretionOffset?: number;
    Currency?: string;
    ComplianceID?: string;
    SolicitedFlag?: boolean;
    TimeInForce?: string;
    EffectiveTime?: Date;
    ExpireDate?: Date;
    ExpireTime?: Date;
    ExecInst?: string;
    Rule80A?: string;
    LastShares?: number;
    LastPx?: number;
    LastSpotRate?: number;
    LastForwardPoints?: number;
    LastMkt?: string;
    TradingSessionID?: string;
    LastCapacity?: string;
    LeavesQty: number;
    CumQty: number;
    AvgPx: number;
    DayOrderQty?: number;
    DayCumQty?: number;
    DayAvgPx?: number;
    GTBookingInst?: number;
    TradeDate?: Date;
    TransactTime?: Date;
    ReportToExch?: boolean;
    CommissionData?: ICommissionData;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    YieldData?: IYieldData;
    GrossTradeAmt?: number;
    NumDaysInterest?: number;
    AccruedInterestRate?: number;
    AccruedInterestAmt?: number;
    NetMoney?: number;
    SettlCurrAmt?: number;
    SettlCurrency?: string;
    SettlCurrFxRate?: number;
    SettlCurrFxRateCalc?: string;
    HandlInst?: string;
    MinQty?: number;
    MaxFloor?: number;
    OpenClose?: string;
    MaxShow?: number;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    FutSettDate2?: Date;
    OrderQty2?: number;
    MultiLegReportingType?: string;
    InstrumentLeg?: IInstrumentLeg;
    NestedParties?: INestedParties[];
    StandardTrailer: IStandardTrailer;
}
