import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { IUnderlyingInstrument } from './set/underlying_instrument';
import { IInstrument } from './set/instrument';
import { IStandardTrailer } from './set/standard_trailer';
export interface IMassQuote {
    StandardHeader: IStandardHeader;
    QuoteReqID?: string;
    QuoteID: string;
    QuoteResponseLevel?: number;
    Parties?: IParties[];
    Account?: string;
    DefBidSize?: number;
    DefOfferSize?: number;
    NoQuoteSets: number;
    QuoteSetID: string;
    UnderlyingInstrument?: IUnderlyingInstrument;
    QuoteSetValidUntilTime?: Date;
    TotQuoteEntries: number;
    NoQuoteEntries: number;
    QuoteEntryID: string;
    Instrument?: IInstrument;
    BidPx?: number;
    OfferPx?: number;
    BidSize?: number;
    OfferSize?: number;
    ValidUntilTime?: Date;
    BidSpotRate?: number;
    OfferSpotRate?: number;
    BidForwardPoints?: number;
    OfferForwardPoints?: number;
    TransactTime?: Date;
    TradingSessionID?: string;
    FutSettDate?: Date;
    OrdType?: string;
    FutSettDate2?: Date;
    OrderQty2?: number;
    Currency?: string;
    StandardTrailer: IStandardTrailer;
}
