/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IInstrument } from './set/instrument';
import { IOrderQtyData } from './set/order_qty_data';
import { IParties } from './set/parties';
import { ICommissionData } from './set/commission_data';
import { IStandardTrailer } from './set/standard_trailer';
export interface ITradeCaptureReport {
    StandardHeader: IStandardHeader;
    ExecType: string;
    ExecID?: string;
    ExecRestatementReason?: number;
    Instrument: IInstrument;
    OrderQtyData?: IOrderQtyData;
    LastShares: number;
    LastPx: number;
    LastSpotRate?: number;
    LastForwardPoints?: number;
    LastMkt?: string;
    TradeDate: Date;
    TransactTime: Date;
    SettlmntTyp?: string;
    FutSettDate?: Date;
    Side: string;
    OrderID: string;
    SecondaryOrderID?: string;
    ClOrdID?: string;
    Parties?: IParties[];
    Account?: string;
    ProcessCode?: string;
    Currency?: string;
    ComplianceID?: string;
    SolicitedFlag?: boolean;
    TradingSessionID?: string;
    CommissionData?: ICommissionData;
    GrossTradeAmt?: number;
    NumDaysInterest?: number;
    AccruedInterestRate?: number;
    AccruedInterestAmt?: number;
    NetMoney?: number;
    SettlCurrAmt?: number;
    SettlCurrency?: string;
    SettlCurrFxRate?: number;
    SettlCurrFxRateCalc?: string;
    OpenClose?: string;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    MultiLegReportingType?: string;
    NoMiscFees?: number;
    MiscFeeAmt?: number;
    MiscFeeCurr?: string;
    MiscFeeType?: string;
    StandardTrailer: IStandardTrailer;
}
