import { IStandardHeader } from './set/standard_header';
import { ISideCrossOrdModGrp } from './set/side_cross_ord_mod_grp';
import { IInstrument } from './set/instrument';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IInstrmtLegGrp } from './set/instrmt_leg_grp';
import { ITrdgSesGrp } from './set/trdg_ses_grp';
import { IStipulations } from './set/stipulations';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IYieldData } from './set/yield_data';
import { IPegInstructions } from './set/peg_instructions';
import { IDiscretionInstructions } from './set/discretion_instructions';
import { IStandardTrailer } from './set/standard_trailer';
export interface ICrossOrderCancelReplaceRequest {
    StandardHeader: IStandardHeader;
    OrderID?: string;
    CrossID: string;
    OrigCrossID: string;
    CrossType: number;
    CrossPrioritization: number;
    SideCrossOrdModGrp: ISideCrossOrdModGrp[];
    Instrument: IInstrument;
    UndInstrmtGrp?: IUndInstrmtGrp[];
    InstrmtLegGrp?: IInstrmtLegGrp[];
    SettlType?: string;
    SettlDate?: Date;
    HandlInst?: string;
    ExecInst?: string;
    MinQty?: number;
    MaxFloor?: number;
    ExDestination?: string;
    TrdgSesGrp?: ITrdgSesGrp[];
    ProcessCode?: string;
    PrevClosePx?: number;
    LocateReqd?: boolean;
    TransactTime: Date;
    Stipulations?: IStipulations[];
    OrdType: string;
    PriceType?: number;
    Price?: number;
    StopPx?: number;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    YieldData?: IYieldData;
    Currency?: string;
    ComplianceID?: string;
    IOIID?: string;
    QuoteID?: string;
    TimeInForce?: string;
    EffectiveTime?: Date;
    ExpireDate?: Date;
    ExpireTime?: Date;
    GTBookingInst?: number;
    MaxShow?: number;
    PegInstructions?: IPegInstructions;
    DiscretionInstructions?: IDiscretionInstructions;
    TargetStrategy?: number;
    TargetStrategyParameters?: string;
    ParticipationRate?: number;
    CancellationRights?: string;
    MoneyLaunderingStatus?: string;
    RegistID?: string;
    Designation?: string;
    StandardTrailer: IStandardTrailer;
}
