import { IStandardHeader } from './set/standard_header';
import { IInstrument } from './set/instrument';
import { IFinancingDetails } from './set/financing_details';
import { IOrderQtyData } from './set/order_qty_data';
import { IYieldData } from './set/yield_data';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IPositionAmountData } from './set/position_amount_data';
import { ITrdInstrmtLegGrp } from './set/trd_instrmt_leg_grp';
import { ITrdRegTimestamps } from './set/trd_reg_timestamps';
import { ITrdCapRptSideGrp } from './set/trd_cap_rpt_side_grp';
import { IStandardTrailer } from './set/standard_trailer';
export interface ITradeCaptureReport {
    StandardHeader: IStandardHeader;
    TradeReportID: string;
    TradeReportTransType?: number;
    TradeReportType?: number;
    TradeRequestID?: string;
    TrdType?: number;
    TrdSubType?: number;
    SecondaryTrdType?: number;
    TransferReason?: string;
    ExecType?: string;
    TotNumTradeReports?: number;
    LastRptRequested?: boolean;
    UnsolicitedIndicator?: boolean;
    SubscriptionRequestType?: string;
    TradeReportRefID?: string;
    SecondaryTradeReportRefID?: string;
    SecondaryTradeReportID?: string;
    TradeLinkID?: string;
    TrdMatchID?: string;
    ExecID?: string;
    OrdStatus?: string;
    SecondaryExecID?: string;
    ExecRestatementReason?: number;
    PreviouslyReported: boolean;
    PriceType?: number;
    Instrument: IInstrument;
    FinancingDetails?: IFinancingDetails;
    OrderQtyData?: IOrderQtyData;
    QtyType?: number;
    YieldData?: IYieldData;
    UndInstrmtGrp?: IUndInstrmtGrp[];
    UnderlyingTradingSessionID?: string;
    UnderlyingTradingSessionSubID?: string;
    LastQty: number;
    LastPx: number;
    LastParPx?: number;
    LastSpotRate?: number;
    LastForwardPoints?: number;
    LastMkt?: string;
    TradeDate: Date;
    ClearingBusinessDate?: Date;
    AvgPx?: number;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    AvgPxIndicator?: number;
    PositionAmountData?: IPositionAmountData[];
    MultiLegReportingType?: string;
    TradeLegRefID?: string;
    TrdInstrmtLegGrp?: ITrdInstrmtLegGrp[];
    TransactTime: Date;
    TrdRegTimestamps?: ITrdRegTimestamps[];
    SettlType?: string;
    SettlDate?: Date;
    MatchStatus?: string;
    MatchType?: string;
    TrdCapRptSideGrp: ITrdCapRptSideGrp[];
    CopyMsgIndicator?: boolean;
    PublishTrdIndicator?: boolean;
    ShortSaleReason?: number;
    StandardTrailer: IStandardTrailer;
}
