/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IOrdAllocGrp } from './set/ord_alloc_grp';
import { IExecAllocGrp } from './set/exec_alloc_grp';
import { IInstrument } from './set/instrument';
import { IInstrumentExtension } from './set/instrument_extension';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IInstrmtLegGrp } from './set/instrmt_leg_grp';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IParties } from './set/parties';
import { IStipulations } from './set/stipulations';
import { IYieldData } from './set/yield_data';
import { IRegulatoryTradeIDGrp } from './set/regulatory_trade_id_grp';
import { IPositionAmountData } from './set/position_amount_data';
import { IAllocGrp } from './set/alloc_grp';
import { IRateSource } from './set/rate_source';
export interface IAllocationReport {
    AllocReportID: string;
    AllocID?: string;
    AllocTransType: string;
    AllocReportRefID?: string;
    AllocCancReplaceReason?: number;
    SecondaryAllocID?: string;
    AllocGroupID?: string;
    FirmGroupID?: string;
    AllocReportType: number;
    AllocStatus: number;
    AllocRejCode?: number;
    RefAllocID?: string;
    AllocReversalStatus?: number;
    AllocIntermedReqType?: number;
    AllocLinkID?: string;
    AllocLinkType?: number;
    BookingRefID?: string;
    ClearingBusinessDate?: Date;
    TrdType?: number;
    TrdSubType?: number;
    MultiLegReportingType?: string;
    CustOrderCapacity?: number;
    TradeInputSource?: string;
    RndPx?: number;
    MessageEventSource?: string;
    TradeInputDevice?: string;
    AvgPxIndicator?: number;
    AvgPxGroupID?: string;
    AllocNoOrdersType?: number;
    PreviouslyReported?: boolean;
    ReversalIndicator?: boolean;
    MatchType?: string;
    Side: string;
    Quantity: number;
    QtyType?: number;
    AllocGroupQuantity?: number;
    AllocGroupRemainingQuantity?: number;
    LastMkt?: string;
    TradeOriginationDate?: Date;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    PriceType?: number;
    AvgPx: number;
    AvgParPx?: number;
    Currency?: string;
    AvgPxPrecision?: number;
    TradeDate: Date;
    TransactTime?: Date;
    SettlType?: string;
    SettlDate?: Date;
    BookingType?: number;
    GrossTradeAmt?: number;
    Concession?: number;
    TotalTakedown?: number;
    NetMoney?: number;
    PositionEffect?: string;
    AutoAcceptIndicator?: boolean;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    NumDaysInterest?: number;
    AccruedInterestRate?: number;
    AccruedInterestAmt?: number;
    TotalAccruedInterestAmt?: number;
    InterestAtMaturity?: number;
    EndAccruedInterestAmt?: number;
    StartCash?: number;
    EndCash?: number;
    LegalConfirm?: boolean;
    CustOrderHandlingInst?: string;
    OrderHandlingInstSource?: number;
    TotNoAllocs?: number;
    LastFragment?: boolean;
    VenueType?: string;
    RefRiskLimitCheckID?: string;
    RefRiskLimitCheckIDType?: number;
    RiskLimitCheckStatus?: number;
    ClearDate?: Date;
    ExecutingClaimingIndicator?: number;
    PostTradeType?: number;
    TradeMatchID?: string;
    StandardHeader?: IStandardHeader;
    OrdAllocGrp?: IOrdAllocGrp[];
    ExecAllocGrp?: IExecAllocGrp[];
    Instrument?: IInstrument;
    InstrumentExtension?: IInstrumentExtension;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp[];
    InstrmtLegGrp?: IInstrmtLegGrp[];
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    Parties?: IParties[];
    Stipulations?: IStipulations[];
    YieldData?: IYieldData;
    RegulatoryTradeIDGrp?: IRegulatoryTradeIDGrp[];
    PositionAmountData?: IPositionAmountData[];
    AllocGrp?: IAllocGrp[];
    RateSource?: IRateSource[];
}
