/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { ICollInqQualGrp } from './set/coll_inq_qual_grp';
import { IParties } from './set/parties';
import { IExecCollGrp } from './set/exec_coll_grp';
import { ITrdCollGrp } from './set/trd_coll_grp';
import { IInstrument } from './set/instrument';
import { IFinancingDetails } from './set/financing_details';
import { IInstrmtLegGrp } from './set/instrmt_leg_grp';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { ITrdRegTimestamps } from './set/trd_reg_timestamps';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IStipulations } from './set/stipulations';
import { ISettlInstructionsData } from './set/settl_instructions_data';
export interface ICollateralInquiry {
    CollInquiryID: string;
    SubscriptionRequestType?: string;
    ResponseTransportType?: number;
    ResponseDestination?: string;
    Account?: string;
    AccountType?: number;
    ClOrdID?: string;
    OrderID?: string;
    SecondaryOrderID?: string;
    SecondaryClOrdID?: string;
    SettlDate?: Date;
    Quantity?: number;
    QtyType?: number;
    Currency?: string;
    MarginExcess?: number;
    TotalNetValue?: number;
    CashOutstanding?: number;
    Side?: string;
    Price?: number;
    PriceType?: number;
    AccruedInterestAmt?: number;
    EndAccruedInterestAmt?: number;
    StartCash?: number;
    EndCash?: number;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    SettlSessID?: string;
    SettlSessSubID?: string;
    ClearingBusinessDate?: Date;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StandardHeader?: IStandardHeader;
    CollInqQualGrp?: ICollInqQualGrp[];
    Parties?: IParties[];
    ExecCollGrp?: IExecCollGrp[];
    TrdCollGrp?: ITrdCollGrp[];
    Instrument?: IInstrument;
    FinancingDetails?: IFinancingDetails;
    InstrmtLegGrp?: IInstrmtLegGrp[];
    UndInstrmtGrp?: IUndInstrmtGrp[];
    TrdRegTimestamps?: ITrdRegTimestamps[];
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    Stipulations?: IStipulations[];
    SettlInstructionsData?: ISettlInstructionsData;
}
