/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IApplicationSequenceControl } from './set/application_sequence_control';
import { IInstrument } from './set/instrument';
import { IInstrumentExtension } from './set/instrument_extension';
import { IParties } from './set/parties';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IRelatedInstrumentGrp } from './set/related_instrument_grp';
import { IOrderQtyData } from './set/order_qty_data';
import { IStipulations } from './set/stipulations';
import { IInstrmtLegIOIGrp } from './set/instrmt_leg_ioi_grp';
import { IIOIQualGrp } from './set/ioi_qual_grp';
import { IRoutingGrp } from './set/routing_grp';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IRelativeValueGrp } from './set/relative_value_grp';
import { IYieldData } from './set/yield_data';
export interface IIOI {
    IOIID: string;
    IOITransType: string;
    IOIRefID?: string;
    Side: string;
    QtyType?: number;
    IOIQty: string;
    Currency?: string;
    PriceType?: number;
    Price?: number;
    ValidUntilTime?: Date;
    IOIQltyInd?: string;
    IOINaturalFlag?: boolean;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    TransactTime?: Date;
    URLLink?: string;
    StandardHeader?: IStandardHeader;
    ApplicationSequenceControl?: IApplicationSequenceControl;
    Instrument?: IInstrument;
    InstrumentExtension?: IInstrumentExtension;
    Parties?: IParties[];
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp[];
    RelatedInstrumentGrp?: IRelatedInstrumentGrp[];
    OrderQtyData?: IOrderQtyData;
    Stipulations?: IStipulations[];
    InstrmtLegIOIGrp?: IInstrmtLegIOIGrp[];
    IOIQualGrp?: IIOIQualGrp[];
    RoutingGrp?: IRoutingGrp[];
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    RelativeValueGrp?: IRelativeValueGrp[];
    YieldData?: IYieldData;
}
