/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { ITargetParties } from './set/target_parties';
import { IPreAllocMlegGrp } from './set/pre_alloc_mleg_grp';
import { IValueChecksGrp } from './set/value_checks_grp';
import { IMatchingInstructions } from './set/matching_instructions';
import { IDisplayInstruction } from './set/display_instruction';
import { IDisclosureInstructionGrp } from './set/disclosure_instruction_grp';
import { ITrdgSesGrp } from './set/trdg_ses_grp';
import { IInstrument } from './set/instrument';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { ILegOrdGrp } from './set/leg_ord_grp';
import { IOrderQtyData } from './set/order_qty_data';
import { ITriggeringInstruction } from './set/triggering_instruction';
import { ICommissionData } from './set/commission_data';
import { ICommissionDataGrp } from './set/commission_data_grp';
import { IOrderAttributeGrp } from './set/order_attribute_grp';
import { IPegInstructions } from './set/peg_instructions';
import { IDiscretionInstructions } from './set/discretion_instructions';
import { IStrategyParametersGrp } from './set/strategy_parameters_grp';
export interface INewOrderMultileg {
    ClOrdID: string;
    OrderRequestID?: number;
    SecondaryClOrdID?: string;
    ClOrdLinkID?: string;
    TradeOriginationDate?: Date;
    TradeDate?: Date;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    DayBookingInst?: string;
    BookingUnit?: string;
    PreallocMethod?: string;
    AllocID?: string;
    SettlType?: string;
    SettlDate?: Date;
    CashMargin?: string;
    ClearingFeeIndicator?: string;
    HandlInst?: string;
    ExecInst?: string;
    AuctionInstruction?: number;
    MinQty?: number;
    MinQtyMethod?: number;
    MatchIncrement?: number;
    MaxPriceLevels?: number;
    MaximumPricePercentage?: number;
    SelfMatchPreventionID?: string;
    MaxFloor?: number;
    MarketSegmentID?: string;
    ExDestination?: string;
    ExDestinationIDSource?: string;
    ExDestinationType?: number;
    ProcessCode?: string;
    Side: string;
    ShortMarkingExemptIndicator?: boolean;
    PrevClosePx?: number;
    SwapPoints?: number;
    LocateReqd?: boolean;
    TransactTime: Date;
    QtyType?: number;
    OrdType: string;
    MultilegModel?: number;
    MultilegPriceMethod?: number;
    PriceType?: number;
    Price?: number;
    PriceProtectionScope?: string;
    StopPx?: number;
    Currency?: string;
    TradePriceNegotiationMethod?: number;
    UpfrontPriceType?: number;
    UpfrontPrice?: number;
    ComplianceID?: string;
    ComplianceText?: string;
    EncodedComplianceTextLen?: number;
    EncodedComplianceText?: Buffer;
    SolicitedFlag?: boolean;
    IOIID?: string;
    QuoteID?: string;
    RefOrderID?: string;
    RefOrderIDSource?: string;
    RefClOrdID?: string;
    TimeInForce?: string;
    EffectiveTime?: Date;
    ExpireDate?: Date;
    ExpireTime?: Date;
    GTBookingInst?: number;
    ExposureDuration?: number;
    ExposureDurationUnit?: number;
    OrderCapacity?: string;
    OrderRestrictions?: string;
    TradingCapacity?: number;
    PreTradeAnonymity?: boolean;
    TradePublishIndicator?: number;
    CustOrderCapacity?: number;
    OrderOrigination?: number;
    ForexReq?: boolean;
    SettlCurrency?: string;
    BookingType?: number;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    ClearingAccountType?: number;
    PositionEffect?: string;
    CoveredOrUncovered?: number;
    MaxShow?: number;
    TargetStrategy?: number;
    TargetStrategyParameters?: string;
    RiskFreeRate?: number;
    ParticipationRate?: number;
    CancellationRights?: string;
    MoneyLaunderingStatus?: string;
    RegistID?: string;
    Designation?: string;
    MultiLegRptTypeReq?: number;
    ThrottleInst?: number;
    AuctionType?: number;
    AuctionAllocationPct?: number;
    RelatedHighPrice?: number;
    RelatedLowPrice?: number;
    RelatedPriceSource?: number;
    StandardHeader?: IStandardHeader;
    Parties?: IParties[];
    TargetParties?: ITargetParties[];
    PreAllocMlegGrp?: IPreAllocMlegGrp[];
    ValueChecksGrp?: IValueChecksGrp[];
    MatchingInstructions?: IMatchingInstructions[];
    DisplayInstruction?: IDisplayInstruction;
    DisclosureInstructionGrp?: IDisclosureInstructionGrp[];
    TrdgSesGrp?: ITrdgSesGrp[];
    Instrument?: IInstrument;
    UndInstrmtGrp?: IUndInstrmtGrp[];
    LegOrdGrp?: ILegOrdGrp[];
    OrderQtyData?: IOrderQtyData;
    TriggeringInstruction?: ITriggeringInstruction;
    CommissionData?: ICommissionData;
    CommissionDataGrp?: ICommissionDataGrp[];
    OrderAttributeGrp?: IOrderAttributeGrp[];
    PegInstructions?: IPegInstructions;
    DiscretionInstructions?: IDiscretionInstructions;
    StrategyParametersGrp?: IStrategyParametersGrp[];
}
