/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { ITargetParties } from './set/target_parties';
import { IPreAllocGrp } from './set/pre_alloc_grp';
import { IValueChecksGrp } from './set/value_checks_grp';
import { IMatchingInstructions } from './set/matching_instructions';
import { IDisplayInstruction } from './set/display_instruction';
import { IDisclosureInstructionGrp } from './set/disclosure_instruction_grp';
import { ITrdgSesGrp } from './set/trdg_ses_grp';
import { IInstrument } from './set/instrument';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IStipulations } from './set/stipulations';
import { IOrderQtyData } from './set/order_qty_data';
import { ITriggeringInstruction } from './set/triggering_instruction';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IYieldData } from './set/yield_data';
import { ICommissionData } from './set/commission_data';
import { ICommissionDataGrp } from './set/commission_data_grp';
import { IOrderAttributeGrp } from './set/order_attribute_grp';
import { IPegInstructions } from './set/peg_instructions';
import { IDiscretionInstructions } from './set/discretion_instructions';
import { IStrategyParametersGrp } from './set/strategy_parameters_grp';
import { ITrdRegTimestamps } from './set/trd_reg_timestamps';
export interface INewOrderSingle {
    ClOrdID: string;
    OrderRequestID?: number;
    SecondaryClOrdID?: string;
    ClOrdLinkID?: string;
    TradeOriginationDate?: Date;
    TradeDate?: Date;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    DayBookingInst?: string;
    BookingUnit?: string;
    PreallocMethod?: string;
    AllocID?: string;
    SettlType?: string;
    SettlDate?: Date;
    CashMargin?: string;
    ClearingFeeIndicator?: string;
    HandlInst?: string;
    ExecInst?: string;
    AuctionInstruction?: number;
    MinQty?: number;
    MinQtyMethod?: number;
    MatchIncrement?: number;
    MaxPriceLevels?: number;
    MaximumPricePercentage?: number;
    SelfMatchPreventionID?: string;
    MaxFloor?: number;
    MarketSegmentID?: string;
    ExDestination?: string;
    ExDestinationIDSource?: string;
    ExDestinationType?: number;
    ProcessCode?: string;
    PrevClosePx?: number;
    Side: string;
    ShortMarkingExemptIndicator?: boolean;
    ShortSaleExemptionReason?: number;
    LocateReqd?: boolean;
    TransactTime: Date;
    QtyType?: number;
    OrdType: string;
    PriceType?: number;
    Price?: number;
    PriceProtectionScope?: string;
    StopPx?: number;
    Currency?: string;
    TradePriceNegotiationMethod?: number;
    UpfrontPriceType?: number;
    UpfrontPrice?: number;
    ComplianceID?: string;
    ComplianceText?: string;
    EncodedComplianceTextLen?: number;
    EncodedComplianceText?: Buffer;
    SolicitedFlag?: boolean;
    IOIID?: string;
    QuoteID?: string;
    TimeInForce?: string;
    EffectiveTime?: Date;
    ExpireDate?: Date;
    ExpireTime?: Date;
    GTBookingInst?: number;
    ExposureDuration?: number;
    ExposureDurationUnit?: number;
    OrderCapacity?: string;
    OrderRestrictions?: string;
    TradingCapacity?: number;
    PreTradeAnonymity?: boolean;
    TradePublishIndicator?: number;
    CustOrderCapacity?: number;
    ForexReq?: boolean;
    SettlCurrency?: string;
    BookingType?: number;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    SettlDate2?: Date;
    OrderQty2?: number;
    Price2?: number;
    ClearingAccountType?: number;
    PositionEffect?: string;
    CoveredOrUncovered?: number;
    MaxShow?: number;
    TargetStrategy?: number;
    TargetStrategyParameters?: string;
    ParticipationRate?: number;
    CancellationRights?: string;
    MoneyLaunderingStatus?: string;
    RegistID?: string;
    Designation?: string;
    ManualOrderIndicator?: boolean;
    CustDirectedOrder?: boolean;
    ReceivedDeptID?: string;
    CustOrderHandlingInst?: string;
    OrderHandlingInstSource?: number;
    OrderOrigination?: number;
    OriginatingDeptID?: string;
    ReceivingDeptID?: string;
    OwnerType?: number;
    RefOrderID?: string;
    RefOrderIDSource?: string;
    ThrottleInst?: number;
    RefClOrdID?: string;
    AuctionType?: number;
    AuctionAllocationPct?: number;
    StandardHeader?: IStandardHeader;
    Parties?: IParties[];
    TargetParties?: ITargetParties[];
    PreAllocGrp?: IPreAllocGrp[];
    ValueChecksGrp?: IValueChecksGrp[];
    MatchingInstructions?: IMatchingInstructions[];
    DisplayInstruction?: IDisplayInstruction;
    DisclosureInstructionGrp?: IDisclosureInstructionGrp[];
    TrdgSesGrp?: ITrdgSesGrp[];
    Instrument?: IInstrument;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp[];
    Stipulations?: IStipulations[];
    OrderQtyData?: IOrderQtyData;
    TriggeringInstruction?: ITriggeringInstruction;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    YieldData?: IYieldData;
    CommissionData?: ICommissionData;
    CommissionDataGrp?: ICommissionDataGrp[];
    OrderAttributeGrp?: IOrderAttributeGrp[];
    PegInstructions?: IPegInstructions;
    DiscretionInstructions?: IDiscretionInstructions;
    StrategyParametersGrp?: IStrategyParametersGrp[];
    TrdRegTimestamps?: ITrdRegTimestamps[];
}
