/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IApplicationSequenceControl } from './set/application_sequence_control';
import { IParties } from './set/parties';
import { IInstrument } from './set/instrument';
import { IFinancingDetails } from './set/financing_details';
import { IInstrmtLegGrp } from './set/instrmt_leg_grp';
import { IRelatedInstrumentGrp } from './set/related_instrument_grp';
import { ICollateralAmountGrp } from './set/collateral_amount_grp';
import { IPosUndInstrmtGrp } from './set/pos_und_instrmt_grp';
import { IPositionQty } from './set/position_qty';
import { IPositionAmountData } from './set/position_amount_data';
import { IRegulatoryTradeIDGrp } from './set/regulatory_trade_id_grp';
import { IPaymentGrp } from './set/payment_grp';
import { IRelatedTradeGrp } from './set/related_trade_grp';
export interface IPositionReport {
    PosMaintRptID: string;
    PositionID?: string;
    PosReqID?: string;
    PosReqType?: number;
    PosReportAction?: number;
    MarginReqmtInqID?: string;
    SubscriptionRequestType?: string;
    TotalNumPosReports?: number;
    TotNumReports?: number;
    LastRptRequested?: boolean;
    PosMaintResult?: number;
    UnsolicitedIndicator?: boolean;
    ClearingBusinessDate: Date;
    PreviousClearingBusinessDate?: Date;
    SettlSessID?: string;
    SettlSessSubID?: string;
    PriceType?: number;
    SettlCurrency?: string;
    MessageEventSource?: string;
    ClearedIndicator?: number;
    ContractRefPosType?: number;
    PositionCapacity?: number;
    TerminatedIndicator?: boolean;
    IntraFirmTradeIndicator?: boolean;
    TradeContinuation?: number;
    TradeContinuationText?: string;
    EncodedTradeContinuationTextLen?: number;
    EncodedTradeContinuationText?: Buffer;
    TradeCollateralization?: number;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    TaxonomyType?: string;
    Currency?: string;
    SettlDate?: Date;
    SettlPrice?: number;
    SettlPriceFxRateCalc?: string;
    SettlForwardPoints?: number;
    SettlPriceUnitOfMeasure?: string;
    SettlPriceUnitOfMeasureCurrency?: string;
    SettlPriceType?: number;
    PriorSettlPrice?: number;
    PositionContingentPrice?: number;
    DiscountFactor?: number;
    ValuationDate?: Date;
    ValuationTime?: string;
    ValuationBusinessCenter?: string;
    MatchStatus?: string;
    TransactTime?: Date;
    RegistStatus?: string;
    DeliveryDate?: Date;
    ModelType?: number;
    PriceDelta?: number;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StandardHeader?: IStandardHeader;
    ApplicationSequenceControl?: IApplicationSequenceControl;
    Parties?: IParties[];
    Instrument?: IInstrument;
    FinancingDetails?: IFinancingDetails;
    InstrmtLegGrp?: IInstrmtLegGrp[];
    RelatedInstrumentGrp?: IRelatedInstrumentGrp[];
    CollateralAmountGrp?: ICollateralAmountGrp[];
    PosUndInstrmtGrp?: IPosUndInstrmtGrp[];
    PositionQty?: IPositionQty[];
    PositionAmountData?: IPositionAmountData[];
    RegulatoryTradeIDGrp?: IRegulatoryTradeIDGrp[];
    PaymentGrp?: IPaymentGrp[];
    RelatedTradeGrp?: IRelatedTradeGrp[];
}
