/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IQuotQualGrp } from './set/quot_qual_grp';
import { IValueChecksGrp } from './set/value_checks_grp';
import { IParties } from './set/parties';
import { IInstrument } from './set/instrument';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IOrderQtyData } from './set/order_qty_data';
import { IRateSource } from './set/rate_source';
import { IStipulations } from './set/stipulations';
import { ILegQuotGrp } from './set/leg_quot_grp';
import { ICommissionData } from './set/commission_data';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IRelativeValueGrp } from './set/relative_value_grp';
import { IYieldData } from './set/yield_data';
import { IRoutingGrp } from './set/routing_grp';
export interface IQuote {
    QuoteReqID?: string;
    QuoteID: string;
    BidID?: string;
    OfferID?: string;
    SecondaryQuoteID?: string;
    QuoteMsgID?: string;
    QuoteRespID?: string;
    QuoteType?: number;
    QuoteModelType?: number;
    PrivateQuote?: boolean;
    NegotiationMethod?: number;
    QuoteResponseLevel?: number;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    Side?: string;
    SettlType?: string;
    SettlDate?: Date;
    SettlDate2?: Date;
    OrderQty2?: number;
    Currency?: string;
    SettlCurrency?: string;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    BidPx?: number;
    OfferPx?: number;
    MktBidPx?: number;
    MktOfferPx?: number;
    MinBidSize?: number;
    BidSize?: number;
    TotalBidSize?: number;
    MinOfferSize?: number;
    OfferSize?: number;
    TotalOfferSize?: number;
    MinQty?: number;
    ExposureDuration?: number;
    ExposureDurationUnit?: number;
    ValidUntilTime?: Date;
    BidSpotRate?: number;
    OfferSpotRate?: number;
    BidForwardPoints?: number;
    OfferForwardPoints?: number;
    BidSwapPoints?: number;
    OfferSwapPoints?: number;
    MidPx?: number;
    BidYield?: number;
    MidYield?: number;
    OfferYield?: number;
    TransactTime?: Date;
    OrdType?: string;
    BidForwardPoints2?: number;
    OfferForwardPoints2?: number;
    SettlCurrBidFxRate?: number;
    SettlCurrOfferFxRate?: number;
    SettlCurrFxRateCalc?: string;
    CustOrderCapacity?: number;
    ExDestination?: string;
    ExDestinationIDSource?: string;
    BookingType?: number;
    OrderCapacity?: string;
    OrderRestrictions?: string;
    PriceType?: number;
    BidSpread?: number;
    OfferSpread?: number;
    SelfMatchPreventionID?: string;
    ThrottleInst?: number;
    ComplianceID?: string;
    ComplianceText?: string;
    EncodedComplianceTextLen?: number;
    EncodedComplianceText?: Buffer;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StrikeTime?: Date;
    StandardHeader?: IStandardHeader;
    QuotQualGrp?: IQuotQualGrp[];
    ValueChecksGrp?: IValueChecksGrp[];
    Parties?: IParties[];
    Instrument?: IInstrument;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp[];
    OrderQtyData?: IOrderQtyData;
    RateSource?: IRateSource[];
    Stipulations?: IStipulations[];
    LegQuotGrp?: ILegQuotGrp[];
    CommissionData?: ICommissionData;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    RelativeValueGrp?: IRelativeValueGrp[];
    YieldData?: IYieldData;
    RoutingGrp?: IRoutingGrp[];
}
