/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { ITargetParties } from './set/target_parties';
import { IInstrument } from './set/instrument';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IOrderQtyData } from './set/order_qty_data';
import { IStipulations } from './set/stipulations';
import { ILegQuotStatGrp } from './set/leg_quot_stat_grp';
import { IQuotQualGrp } from './set/quot_qual_grp';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IYieldData } from './set/yield_data';
import { ICommissionData } from './set/commission_data';
import { IThrottleResponse } from './set/throttle_response';
export interface IQuoteStatusReport {
    QuoteStatusReqID?: string;
    QuoteReqID?: string;
    QuoteID?: string;
    BidID?: string;
    OfferID?: string;
    SecondaryQuoteID?: string;
    QuoteMsgID?: string;
    QuoteRespID?: string;
    QuoteType?: number;
    QuoteCancelType?: number;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    Side?: string;
    SettlType?: string;
    SettlDate?: Date;
    SettlDate2?: Date;
    OrderQty2?: number;
    Currency?: string;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    NegotiationMethod?: number;
    ExpireTime?: Date;
    Price?: number;
    PriceType?: number;
    BidQuoteID?: string;
    OfferQuoteID?: string;
    BidMDEntryID?: string;
    OfferMDEntryID?: string;
    BidPx?: number;
    OfferPx?: number;
    MktBidPx?: number;
    MktOfferPx?: number;
    MinBidSize?: number;
    BidSize?: number;
    TotalBidSize?: number;
    MinOfferSize?: number;
    OfferSize?: number;
    TotalOfferSize?: number;
    MinQty?: number;
    ValidUntilTime?: Date;
    BidSpotRate?: number;
    OfferSpotRate?: number;
    BidForwardPoints?: number;
    OfferForwardPoints?: number;
    MidPx?: number;
    BidYield?: number;
    MidYield?: number;
    OfferYield?: number;
    TransactTime?: Date;
    OrdType?: string;
    BidForwardPoints2?: number;
    OfferForwardPoints2?: number;
    SettlCurrBidFxRate?: number;
    SettlCurrOfferFxRate?: number;
    SettlCurrFxRateCalc?: string;
    CustOrderCapacity?: number;
    ExDestination?: string;
    ExDestinationIDSource?: string;
    BookingType?: number;
    OrderCapacity?: string;
    OrderRestrictions?: string;
    QuoteStatus?: number;
    OrdRejReason?: number;
    RejectText?: string;
    EncodedRejectTextLen?: number;
    EncodedRejectText?: Buffer;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    StrikeTime?: Date;
    StandardHeader?: IStandardHeader;
    Parties?: IParties[];
    TargetParties?: ITargetParties[];
    Instrument?: IInstrument;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp[];
    OrderQtyData?: IOrderQtyData;
    Stipulations?: IStipulations[];
    LegQuotStatGrp?: ILegQuotStatGrp[];
    QuotQualGrp?: IQuotQualGrp[];
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    YieldData?: IYieldData;
    CommissionData?: ICommissionData;
    ThrottleResponse?: IThrottleResponse;
}
