import { IComplexEventDates } from './complex_event_dates';
import { IComplexEventRateSourceGrp } from './complex_event_rate_source_grp';
import { IComplexEventRelativeDate } from './complex_event_relative_date';
import { IComplexEventPeriodGrp } from './complex_event_period_grp';
import { IComplexEventCreditEventSourceGrp } from './complex_event_credit_event_source_grp';
import { IComplexEventCreditEventGrp } from './complex_event_credit_event_grp';
export interface IComplexEvents {
    ComplexEventType?: number;
    ComplexOptPayoutPaySide?: number;
    ComplexOptPayoutReceiveSide?: number;
    ComplexOptPayoutUnderlier?: string;
    ComplexOptPayoutAmount?: number;
    ComplexOptPayoutPercentage?: number;
    ComplexOptPayoutTime?: number;
    ComplexOptPayoutCurrency?: string;
    ComplexEventPrice?: number;
    ComplexEventPricePercentage?: number;
    ComplexEventPriceBoundaryMethod?: number;
    ComplexEventPriceBoundaryPrecision?: number;
    ComplexEventPriceTimeType?: number;
    ComplexEventCondition?: number;
    ComplexEventCurrencyOne?: string;
    ComplexEventCurrencyTwo?: string;
    ComplexEventQuoteBasis?: number;
    ComplexEventFixedFXRate?: number;
    ComplexEventSpotRate?: number;
    ComplexEventForwardPoints?: number;
    ComplexEventDeterminationMethod?: string;
    ComplexEventCalculationAgent?: number;
    ComplexEventStrikePrice?: number;
    ComplexEventStrikeFactor?: number;
    ComplexEventStrikeNumberOfOptions?: number;
    ComplexEventCreditEventsXIDRef?: string;
    ComplexEventCreditEventNotifyingParty?: number;
    ComplexEventCreditEventBusinessCenter?: string;
    ComplexEventCreditEventStandardSources?: boolean;
    ComplexEventCreditEventMinimumSources?: number;
    ComplexEventFuturesPriceValuation?: boolean;
    ComplexEventOptionsPriceValuation?: boolean;
    ComplexEventPVFinalPriceElectionFallback?: number;
    ComplexEventXID?: string;
    ComplexEventXIDRef?: string;
    ComplexEventDates?: IComplexEventDates[];
    ComplexEventRateSourceGrp?: IComplexEventRateSourceGrp[];
    ComplexEventRelativeDate?: IComplexEventRelativeDate;
    ComplexEventPeriodGrp?: IComplexEventPeriodGrp[];
    ComplexEventCreditEventSourceGrp?: IComplexEventCreditEventSourceGrp[];
    ComplexEventCreditEventGrp?: IComplexEventCreditEventGrp[];
}
