/// <reference types="node" />
import { IParties } from './parties';
import { IPreAllocGrp } from './pre_alloc_grp';
import { IDisplayInstruction } from './display_instruction';
import { ITrdgSesGrp } from './trdg_ses_grp';
import { IInstrument } from './instrument';
import { IUndInstrmtGrp } from './und_instrmt_grp';
import { IStipulations } from './stipulations';
import { IOrderQtyData } from './order_qty_data';
import { ITriggeringInstruction } from './triggering_instruction';
import { ISpreadOrBenchmarkCurveData } from './spread_or_benchmark_curve_data';
import { IYieldData } from './yield_data';
import { ICommissionData } from './commission_data';
import { ICommissionDataGrp } from './commission_data_grp';
import { IPegInstructions } from './peg_instructions';
import { IDiscretionInstructions } from './discretion_instructions';
import { IStrategyParametersGrp } from './strategy_parameters_grp';
export interface IListOrdGrp {
    ClOrdID: string;
    SecondaryClOrdID?: string;
    ListSeqNo: number;
    ClOrdLinkID?: string;
    SettlInstMode?: string;
    TradeOriginationDate?: Date;
    TradeDate?: Date;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    DayBookingInst?: string;
    BookingUnit?: string;
    AllocID?: string;
    PreallocMethod?: string;
    SettlType?: string;
    SettlDate?: Date;
    CashMargin?: string;
    ClearingFeeIndicator?: string;
    HandlInst?: string;
    ExecInst?: string;
    MinQty?: number;
    MatchIncrement?: number;
    MaxPriceLevels?: number;
    MaxFloor?: number;
    ExDestination?: string;
    ExDestinationIDSource?: string;
    ProcessCode?: string;
    PrevClosePx?: number;
    Side: string;
    ShortMarkingExemptIndicator?: boolean;
    ShortSaleExemptionReason?: number;
    SideValueInd?: number;
    LocateReqd?: boolean;
    TransactTime?: Date;
    QtyType?: number;
    OrdType?: string;
    PriceType?: number;
    Price?: number;
    PriceProtectionScope?: string;
    StopPx?: number;
    Currency?: string;
    ComplianceID?: string;
    ComplianceText?: string;
    EncodedComplianceTextLen?: number;
    EncodedComplianceText?: Buffer;
    SolicitedFlag?: boolean;
    IOIID?: string;
    QuoteID?: string;
    RefOrderID?: string;
    RefOrderIDSource?: string;
    TimeInForce?: string;
    EffectiveTime?: Date;
    ExpireDate?: Date;
    ExpireTime?: Date;
    GTBookingInst?: number;
    ExposureDuration?: number;
    ExposureDurationUnit?: number;
    OrderCapacity?: string;
    OrderRestrictions?: string;
    PreTradeAnonymity?: boolean;
    CustOrderCapacity?: number;
    ForexReq?: boolean;
    SettlCurrency?: string;
    BookingType?: number;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    SettlDate2?: Date;
    OrderQty2?: number;
    Price2?: number;
    PositionEffect?: string;
    CoveredOrUncovered?: number;
    MaxShow?: number;
    TargetStrategy?: number;
    TargetStrategyParameters?: string;
    ParticipationRate?: number;
    Designation?: string;
    ManualOrderIndicator?: boolean;
    Parties?: IParties[];
    PreAllocGrp?: IPreAllocGrp[];
    DisplayInstruction?: IDisplayInstruction;
    TrdgSesGrp?: ITrdgSesGrp[];
    Instrument: IInstrument;
    UndInstrmtGrp?: IUndInstrmtGrp[];
    Stipulations?: IStipulations[];
    OrderQtyData: IOrderQtyData;
    TriggeringInstruction?: ITriggeringInstruction;
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    YieldData?: IYieldData;
    CommissionData?: ICommissionData;
    CommissionDataGrp?: ICommissionDataGrp[];
    PegInstructions?: IPegInstructions;
    DiscretionInstructions?: IDiscretionInstructions;
    StrategyParametersGrp?: IStrategyParametersGrp[];
}
