import { IInstrument } from './instrument';
import { IFinancingDetails } from './financing_details';
import { IUndInstrmtGrp } from './und_instrmt_grp';
import { IOrderQtyData } from './order_qty_data';
import { IRateSource } from './rate_source';
import { IStipulations } from './stipulations';
import { IQuotReqLegsGrp } from './quot_req_legs_grp';
import { IQuotQualGrp } from './quot_qual_grp';
import { ISpreadOrBenchmarkCurveData } from './spread_or_benchmark_curve_data';
import { IYieldData } from './yield_data';
import { IParties } from './parties';
export interface IQuotReqGrp {
    PrevClosePx?: number;
    QuoteRequestType?: number;
    QuoteID?: string;
    SecondaryQuoteID?: string;
    QuoteType?: number;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    TradeOriginationDate?: Date;
    NumOfCompetitors?: number;
    Side?: string;
    QtyType?: number;
    MinQty?: number;
    SettlType?: string;
    SettlDate?: Date;
    SettlDate2?: Date;
    OrderQty2?: number;
    Currency?: string;
    SettlCurrency?: string;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    TrdType?: number;
    RegulatoryTransactionType?: number;
    NegotiationMethod?: number;
    QuotePriceType?: number;
    OrdType?: string;
    ValidUntilTime?: Date;
    ExpireTime?: Date;
    ResponseTime?: Date;
    QuoteDisplayTime?: Date;
    ExposureDuration?: number;
    ExposureDurationUnit?: number;
    TransactTime?: Date;
    PriceType?: number;
    Price?: number;
    MidPx?: number;
    Price2?: number;
    StrikeTime?: Date;
    Instrument: IInstrument;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp[];
    OrderQtyData?: IOrderQtyData;
    RateSource?: IRateSource[];
    Stipulations?: IStipulations[];
    QuotReqLegsGrp?: IQuotReqLegsGrp[];
    QuotQualGrp?: IQuotQualGrp[];
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    YieldData?: IYieldData;
    Parties?: IParties[];
}
