/// <reference types="node" />
import { IParties } from './parties';
import { ISideCrossLegGrp } from './side_cross_leg_grp';
import { IPreAllocGrp } from './pre_alloc_grp';
import { IOrderQtyData } from './order_qty_data';
import { ICommissionData } from './commission_data';
import { ICommissionDataGrp } from './commission_data_grp';
export interface ISideCrossOrdModGrp {
    Side: string;
    ShortMarkingExemptIndicator?: boolean;
    OrigClOrdID?: string;
    ClOrdID: string;
    SecondaryClOrdID?: string;
    ClOrdLinkID?: string;
    SideShortSaleExemptionReason?: number;
    TradeOriginationDate?: Date;
    TradeDate?: Date;
    Account?: string;
    AcctIDSource?: number;
    AccountType?: number;
    DayBookingInst?: string;
    BookingUnit?: string;
    PreallocMethod?: string;
    AllocID?: string;
    QtyType?: number;
    OrderCapacity?: string;
    OrderRestrictions?: string;
    PreTradeAnonymity?: boolean;
    CustOrderCapacity?: number;
    ForexReq?: boolean;
    SettlCurrency?: string;
    BookingType?: number;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    ClearingAccountType?: number;
    PositionEffect?: string;
    CoveredOrUncovered?: number;
    CashMargin?: string;
    ClearingFeeIndicator?: string;
    SolicitedFlag?: boolean;
    SideComplianceID?: string;
    SideTimeInForce?: Date;
    Parties?: IParties[];
    SideCrossLegGrp?: ISideCrossLegGrp[];
    PreAllocGrp?: IPreAllocGrp[];
    OrderQtyData: IOrderQtyData;
    CommissionData?: ICommissionData;
    CommissionDataGrp?: ICommissionDataGrp[];
}
