/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IApplicationSequenceControl } from './set/application_sequence_control';
import { ITradePriceConditionGrp } from './set/trade_price_condition_grp';
import { IRegulatoryTradeIDGrp } from './set/regulatory_trade_id_grp';
import { IRootParties } from './set/root_parties';
import { IInstrument } from './set/instrument';
import { IInstrumentExtension } from './set/instrument_extension';
import { IFinancingDetails } from './set/financing_details';
import { IPaymentGrp } from './set/payment_grp';
import { IYieldData } from './set/yield_data';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IRelatedInstrumentGrp } from './set/related_instrument_grp';
import { ICollateralAmountGrp } from './set/collateral_amount_grp';
import { IRateSource } from './set/rate_source';
import { ISpreadOrBenchmarkCurveData } from './set/spread_or_benchmark_curve_data';
import { IPositionAmountData } from './set/position_amount_data';
import { ITrdInstrmtLegGrp } from './set/trd_instrmt_leg_grp';
import { ITrdRegTimestamps } from './set/trd_reg_timestamps';
import { ITradeQtyGrp } from './set/trade_qty_grp';
import { ITrdCapRptSideGrp } from './set/trd_cap_rpt_side_grp';
import { ITrdRepIndicatorsGrp } from './set/trd_rep_indicators_grp';
import { ITrdRegPublicationGrp } from './set/trd_reg_publication_grp';
import { IMandatoryClearingJurisdictionGrp } from './set/mandatory_clearing_jurisdiction_grp';
import { IAttachmentGrp } from './set/attachment_grp';
export interface ITradeCaptureReport {
    TradeReportID?: string;
    TradeID?: string;
    SecondaryTradeID?: string;
    FirmTradeID?: string;
    SecondaryFirmTradeID?: string;
    PackageID?: string;
    TradeNumber?: number;
    TradeReportTransType?: number;
    TradeReportType?: number;
    TrdRptStatus?: number;
    TradeRequestID?: string;
    TrdType?: number;
    TrdSubType?: number;
    SecondaryTrdType?: number;
    AlgorithmicTradeIndicator?: number;
    OffsetInstruction?: number;
    TradeHandlingInstr?: string;
    OrigTradeHandlingInstr?: string;
    OrigTradeDate?: Date;
    OrigTradeID?: string;
    OrigSecondaryTradeID?: string;
    TransferReason?: string;
    ExecType?: string;
    TotNumTradeReports?: number;
    LastRptRequested?: boolean;
    UnsolicitedIndicator?: boolean;
    SubscriptionRequestType?: string;
    TradeReportRefID?: string;
    SecondaryTradeReportRefID?: string;
    SecondaryTradeReportID?: string;
    TradeLinkID?: string;
    TrdMatchID?: string;
    ExecID?: string;
    SecondaryExecID?: string;
    ExecRestatementReason?: number;
    RegulatoryTransactionType?: number;
    PreviouslyReported?: boolean;
    PriceType?: number;
    CrossType?: number;
    AsOfIndicator?: string;
    SettlSessID?: string;
    SettlSessSubID?: string;
    VenueType?: string;
    MarketSegmentID?: string;
    MarketID?: string;
    TaxonomyType?: string;
    QtyType?: number;
    UnderlyingTradingSessionID?: string;
    UnderlyingTradingSessionSubID?: string;
    LastQty?: number;
    LastQtyVariance?: number;
    LastQtyChanged?: number;
    LastMultipliedQty?: number;
    TotalTradeQty?: number;
    TotalTradeMultipliedQty?: number;
    LastPx?: number;
    MidPx?: number;
    DifferentialPrice?: number;
    CalculatedCcyLastQty?: number;
    Currency?: string;
    SettlCurrency?: string;
    SettlPriceFxRateCalc?: string;
    LastParPx?: number;
    LastSpotRate?: number;
    LastForwardPoints?: number;
    LastSwapPoints?: number;
    PricePrecision?: number;
    LastMkt?: string;
    ClearingTradePrice?: number;
    TradePriceNegotiationMethod?: number;
    LastUpfrontPrice?: number;
    UpfrontPriceType?: number;
    TradeDate?: Date;
    ClearingBusinessDate?: Date;
    AvgPx?: number;
    AvgPxGroupID?: string;
    AvgPxIndicator?: number;
    ValuationDate?: Date;
    ValuationTime?: string;
    ValuationBusinessCenter?: string;
    MultiLegReportingType?: string;
    TradeLegRefID?: string;
    TransactTime?: Date;
    SettlType?: string;
    SettlDate?: Date;
    UnderlyingSettlementDate?: Date;
    MatchStatus?: string;
    ExecMethod?: number;
    MatchType?: string;
    Volatility?: number;
    TimeToExpiration?: number;
    DividendYield?: number;
    RiskFreeRate?: number;
    PriceDelta?: number;
    CurrencyRatio?: number;
    CopyMsgIndicator?: boolean;
    PublishTrdIndicator?: boolean;
    TradePublishIndicator?: number;
    ShortSaleReason?: number;
    TierCode?: string;
    MessageEventSource?: string;
    LastUpdateTime?: Date;
    RndPx?: number;
    TZTransactTime?: string;
    ReportedPxDiff?: boolean;
    GrossTradeAmt?: number;
    TotalGrossTradeAmt?: number;
    OrdRejReason?: number;
    RejectText?: string;
    EncodedRejectTextLen?: number;
    EncodedRejectText?: Buffer;
    FeeMultiplier?: number;
    ClearedIndicator?: number;
    ClearingIntention?: number;
    ClearingInstruction?: number;
    BackloadedTradeIndicator?: boolean;
    ConfirmationMethod?: number;
    MandatoryClearingIndicator?: boolean;
    MixedSwapIndicator?: boolean;
    MultiAssetSwapIndicator?: boolean;
    InternationalSwapIndicator?: boolean;
    OffMarketPriceIndicator?: boolean;
    VerificationMethod?: number;
    ClearingRequirementException?: number;
    IRSDirection?: string;
    RegulatoryReportType?: number;
    VoluntaryRegulatoryReport?: boolean;
    TradeCollateralization?: number;
    TradeContinuation?: number;
    TradeContingency?: number;
    TradeVersion?: string;
    HistoricalReportIndicator?: boolean;
    DeltaCrossed?: boolean;
    TradeContinuationText?: string;
    EncodedTradeContinuationTextLen?: number;
    EncodedTradeContinuationText?: Buffer;
    IntraFirmTradeIndicator?: boolean;
    AffiliatedFirmsTradeIndicator?: boolean;
    RiskLimitCheckStatus?: number;
    StandardHeader?: IStandardHeader;
    ApplicationSequenceControl?: IApplicationSequenceControl;
    TradePriceConditionGrp?: ITradePriceConditionGrp[];
    RegulatoryTradeIDGrp?: IRegulatoryTradeIDGrp[];
    RootParties?: IRootParties[];
    Instrument?: IInstrument;
    InstrumentExtension?: IInstrumentExtension;
    FinancingDetails?: IFinancingDetails;
    PaymentGrp?: IPaymentGrp[];
    YieldData?: IYieldData;
    UndInstrmtGrp?: IUndInstrmtGrp[];
    RelatedInstrumentGrp?: IRelatedInstrumentGrp[];
    CollateralAmountGrp?: ICollateralAmountGrp[];
    RateSource?: IRateSource[];
    SpreadOrBenchmarkCurveData?: ISpreadOrBenchmarkCurveData;
    PositionAmountData?: IPositionAmountData[];
    TrdInstrmtLegGrp?: ITrdInstrmtLegGrp[];
    TrdRegTimestamps?: ITrdRegTimestamps[];
    TradeQtyGrp?: ITradeQtyGrp[];
    TrdCapRptSideGrp?: ITrdCapRptSideGrp[];
    TrdRepIndicatorsGrp?: ITrdRepIndicatorsGrp[];
    TrdRegPublicationGrp?: ITrdRegPublicationGrp[];
    MandatoryClearingJurisdictionGrp?: IMandatoryClearingJurisdictionGrp[];
    AttachmentGrp?: IAttachmentGrp[];
}
