/// <reference types="node" />
import { IStandardHeader } from './set/standard_header';
import { IParties } from './set/parties';
import { IInstrument } from './set/instrument';
import { IInstrumentExtension } from './set/instrument_extension';
import { IFinancingDetails } from './set/financing_details';
import { IUndInstrmtGrp } from './set/und_instrmt_grp';
import { IInstrmtLegGrp } from './set/instrmt_leg_grp';
import { ITrdCapDtGrp } from './set/trd_cap_dt_grp';
export interface ITradeCaptureReportRequest {
    TradeRequestID: string;
    TradeID?: string;
    SecondaryTradeID?: string;
    FirmTradeID?: string;
    SecondaryFirmTradeID?: string;
    TradeRequestType: number;
    SubscriptionRequestType?: string;
    TradeReportID?: string;
    SecondaryTradeReportID?: string;
    SecondaryExecID?: string;
    ExecID?: string;
    ExecType?: string;
    OrderID?: string;
    ClOrdID?: string;
    MatchStatus?: string;
    TrdType?: number;
    TrdSubType?: number;
    OffsetInstruction?: number;
    TradeHandlingInstr?: string;
    TransferReason?: string;
    SecondaryTrdType?: number;
    TradeLinkID?: string;
    TrdMatchID?: string;
    ClearingBusinessDate?: Date;
    TradingSessionID?: string;
    TradingSessionSubID?: string;
    TimeBracket?: string;
    Side?: string;
    MultiLegReportingType?: string;
    TradeInputSource?: string;
    TradeInputDevice?: string;
    ResponseTransportType?: number;
    ResponseDestination?: string;
    Text?: string;
    EncodedTextLen?: number;
    EncodedText?: Buffer;
    MessageEventSource?: string;
    StandardHeader?: IStandardHeader;
    Parties?: IParties[];
    Instrument?: IInstrument;
    InstrumentExtension?: IInstrumentExtension;
    FinancingDetails?: IFinancingDetails;
    UndInstrmtGrp?: IUndInstrmtGrp[];
    InstrmtLegGrp?: IInstrmtLegGrp[];
    TrdCapDtGrp?: ITrdCapDtGrp[];
}
