"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileReplayer = void 0;
const transport_1 = require("../transport");
const factory_1 = require("../transport/factory");
class FileReplayer {
    constructor(config) {
        this.config = config;
    }
    replayFixFile(replayFile) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((accept, reject) => {
                try {
                    const arr = [];
                    const transport = new factory_1.MsgTransport(1, this.config, new transport_1.FileDuplex(replayFile));
                    transport.receiver.on('msg', (msgType, m) => {
                        arr.push(m.clone());
                    });
                    transport.receiver.on('end', () => {
                        accept(arr);
                    });
                    transport.receiver.on('error', (e) => {
                        reject(e);
                    });
                }
                catch (e) {
                    reject(e);
                }
            });
        });
    }
}
exports.FileReplayer = FileReplayer;
//# sourceMappingURL=replay.js.map