import { IDerivativeSecurityAltIDGrp } from './derivative_security_alt_id_grp'
import { IDerivativeSecurityXML } from './derivative_security_xml'
import { IDerivativeEventsGrp } from './derivative_events_grp'
import { IDerivativeInstrumentParties } from './derivative_instrument_parties'

export interface IDerivativeInstrument {
  DerivativeSymbol?: string// [1] 1214 (String)
  DerivativeSymbolSfx?: string// [2] 1215 (String)
  DerivativeSecurityID?: string// [3] 1216 (String)
  DerivativeSecurityIDSource?: string// [4] 1217 (String)
  DerivativeSecurityAltIDGrp?: IDerivativeSecurityAltIDGrp// [5] NoDerivativeSecurityAltID.1218, DerivativeSecurityAltID.1219, DerivativeSecurityAltIDSource.1220
  DerivativeProduct?: number// [6] 1246 (Int)
  DerivativeProductComplex?: string// [7] 1228 (String)
  DerivFlexProductEligibilityIndicator?: boolean// [8] 1243 (Boolean)
  DerivativeSecurityGroup?: string// [9] 1247 (String)
  DerivativeCFICode?: string// [10] 1248 (String)
  DerivativeUPICode?: string// [11] 2892 (String)
  DerivativeSecurityType?: string// [12] 1249 (String)
  DerivativeSecuritySubType?: string// [13] 1250 (String)
  DerivativeMaturityMonthYear?: string// [14] 1251 (String)
  DerivativeMaturityDate?: Date// [15] 1252 (LocalDate)
  DerivativeMaturityTime?: string// [16] 1253 (String)
  DerivativeSettleOnOpenFlag?: string// [17] 1254 (String)
  DerivativeInstrmtAssignmentMethod?: string// [18] 1255 (String)
  DerivativeSecurityStatus?: string// [19] 1256 (String)
  DerivativeIssueDate?: Date// [20] 1276 (LocalDate)
  DerivativeInstrRegistry?: string// [21] 1257 (String)
  DerivativeCountryOfIssue?: string// [22] 1258 (String)
  DerivativeStateOrProvinceOfIssue?: string// [23] 1259 (String)
  DerivativeLocaleOfIssue?: string// [24] 1260 (String)
  DerivativeStrikePrice?: number// [25] 1261 (Float)
  DerivativeStrikeCurrency?: string// [26] 1262 (String)
  DerivativeStrikeCurrencyCodeSource?: string// [27] 2912 (String)
  DerivativeStrikeMultiplier?: number// [28] 1263 (Float)
  DerivativeStrikeValue?: number// [29] 1264 (Float)
  DerivativeOptAttribute?: string// [30] 1265 (String)
  DerivativeContractMultiplier?: number// [31] 1266 (Float)
  DerivativeContractMultiplierUnit?: number// [32] 1438 (Int)
  DerivativeFlowScheduleType?: number// [33] 1442 (Int)
  DerivativeMinPriceIncrement?: number// [34] 1267 (Float)
  DerivativeMinPriceIncrementAmount?: number// [35] 1268 (Float)
  DerivativeUnitOfMeasure?: string// [36] 1269 (String)
  DerivativeUnitOfMeasureQty?: number// [37] 1270 (Float)
  DerivativeUnitOfMeasureCurrency?: string// [38] 1722 (String)
  DerivativeUnitOfMeasureCurrencyCodeSource?: string// [39] 2913 (String)
  DerivativePriceUnitOfMeasure?: string// [40] 1315 (String)
  DerivativePriceUnitOfMeasureQty?: number// [41] 1316 (Float)
  DerivativePriceUnitOfMeasureCurrency?: string// [42] 1723 (String)
  DerivativePriceUnitOfMeasureCurrencyCodeSource?: string// [43] 2914 (String)
  DerivativeSettlMethod?: string// [44] 1317 (String)
  DerivativePriceQuoteMethod?: string// [45] 1318 (String)
  DerivativeValuationMethod?: string// [46] 1319 (String)
  DerivativePriceQuoteCurrency?: string// [47] 1576 (String)
  DerivativePriceQuoteCurrencyCodeSource?: string// [48] 2915 (String)
  DerivativeListMethod?: number// [49] 1320 (Int)
  DerivativeCapPrice?: number// [50] 1321 (Float)
  DerivativeFloorPrice?: number// [51] 1322 (Float)
  DerivativePutOrCall?: number// [52] 1323 (Int)
  DerivativeInTheMoneyCondition?: number// [53] 2684 (Int)
  DerivativeContraryInstructionEligibilityIndicator?: boolean// [54] 2688 (Boolean)
  DerivativeExerciseStyle?: number// [55] 1299 (Int)
  DerivativeOptPayAmount?: number// [56] 1225 (Float)
  DerivativeTimeUnit?: string// [57] 1271 (String)
  DerivativeSecurityExchange?: string// [58] 1272 (String)
  DerivativePositionLimit?: number// [59] 1273 (Int)
  DerivativeNTPositionLimit?: number// [60] 1274 (Int)
  DerivativeIssuer?: string// [61] 1275 (String)
  DerivativeEncodedIssuerLen?: number// [62] 1277 (Length)
  DerivativeEncodedIssuer?: Buffer// [63] 1278 (RawData)
  DerivativeSecurityDesc?: string// [64] 1279 (String)
  DerivativeEncodedSecurityDescLen?: number// [65] 1280 (Length)
  DerivativeEncodedSecurityDesc?: Buffer// [66] 1281 (RawData)
  DerivativeSecurityXML?: IDerivativeSecurityXML// [67] DerivativeSecurityXMLLen.1282, DerivativeSecurityXML.1283, DerivativeSecurityXMLSchema.1284
  DerivativeContractSettlMonth?: string// [68] 1285 (String)
  DerivativeEventsGrp?: IDerivativeEventsGrp// [69] NoDerivativeEvents.1286, DerivativeEventType.1287 .. DerivativeEventText.1291
  DerivativeInstrumentParties?: IDerivativeInstrumentParties// [70] NoDerivativeInstrumentParties.1292, DerivativeInstrumentPartyID.1293 .. DerivativeInstrumentPartySubIDType.1298
}
