import { ILegPaymentScheduleRateSourceGrp } from './leg_payment_schedule_rate_source_grp'
import { ILegPaymentScheduleFixingDateBusinessCenterGrp } from './leg_payment_schedule_fixing_date_business_center_grp'
import { ILegPaymentScheduleFixingDayGrp } from './leg_payment_schedule_fixing_day_grp'
import { ILegPaymentScheduleInterimExchangeDateBusinessCenterGrp } from './leg_payment_schedule_interim_exchange_date_business_center_grp'

export interface ILegPaymentScheduleGrpNoLegPaymentSchedules {
  LegPaymentScheduleType?: number// [1] 40375 (Int)
  LegPaymentScheduleXID?: string// [2] 41533 (String)
  LegPaymentScheduleXIDRef?: string// [3] 41534 (String)
  LegPaymentScheduleStubType?: number// [4] 40376 (Int)
  LegPaymentScheduleStartDateUnadjusted?: Date// [5] 40377 (LocalDate)
  LegPaymentScheduleEndDateUnadjusted?: Date// [6] 40378 (LocalDate)
  LegPaymentSchedulePaySide?: number// [7] 40379 (Int)
  LegPaymentScheduleReceiveSide?: number// [8] 40380 (Int)
  LegPaymentScheduleNotional?: number// [9] 40381 (Float)
  LegPaymentScheduleCurrency?: string// [10] 40382 (String)
  LegPaymentScheduleRate?: number// [11] 40383 (Float)
  LegPaymentScheduleRateMultiplier?: number// [12] 40384 (Float)
  LegPaymentScheduleRateSpread?: number// [13] 40385 (Float)
  LegPaymentScheduleRateCurrency?: string// [14] 41535 (String)
  LegPaymentScheduleRateUnitOfMeasure?: string// [15] 41536 (String)
  LegPaymentScheduleRateConversionFactor?: number// [16] 41537 (Float)
  LegPaymentScheduleRateSpreadType?: number// [17] 41538 (Int)
  LegPaymentScheduleRateSpreadPositionType?: number// [18] 40386 (Int)
  LegPaymentScheduleRateTreatment?: number// [19] 40387 (Int)
  LegPaymentScheduleFixedAmount?: number// [20] 40388 (Float)
  LegPaymentScheduleFixedCurrency?: string// [21] 40389 (String)
  LegPaymentScheduleSettlPeriodPrice?: number// [22] 41539 (Float)
  LegPaymentScheduleSettlPeriodPriceCurrency?: string// [23] 41540 (String)
  LegPaymentScheduleSettlPeriodPriceUnitOfMeasure?: string// [24] 41541 (String)
  LegPaymentScheduleStepUnitOfMeasure?: string// [25] 41542 (String)
  LegPaymentScheduleStepFrequencyPeriod?: number// [26] 40390 (Int)
  LegPaymentScheduleStepFrequencyUnit?: string// [27] 40391 (String)
  LegPaymentScheduleStepOffsetValue?: number// [28] 40392 (Float)
  LegPaymentScheduleStepRate?: number// [29] 40393 (Float)
  LegPaymentScheduleStepOffsetRate?: number// [30] 40394 (Float)
  LegPaymentScheduleStepRelativeTo?: number// [31] 40395 (Int)
  LegPaymentScheduleRateSourceGrp?: ILegPaymentScheduleRateSourceGrp// [32] NoLegPaymentScheduleRateSources.40414, LegPaymentScheduleRateSource.40415 .. LegPaymentScheduleReferencePage.40417
  LegPaymentScheduleFixingDateUnadjusted?: Date// [33] 40396 (LocalDate)
  LegPaymentScheduleWeight?: number// [34] 40397 (Float)
  LegPaymentScheduleFixingDateRelativeTo?: number// [35] 40398 (Int)
  LegPaymentScheduleFixingDateBusinessDayConvention?: number// [36] 40399 (Int)
  LegPaymentScheduleFixingDateBusinessCenterGrp?: ILegPaymentScheduleFixingDateBusinessCenterGrp// [37] NoLegPaymentScheduleFixingDateBusinessCenters.40927, LegPaymentScheduleFixingDateBusinessCenter.40400
  LegPaymentScheduleFixingDateOffsetPeriod?: number// [38] 40401 (Int)
  LegPaymentScheduleFixingDateOffsetUnit?: string// [39] 40402 (String)
  LegPaymentScheduleFixingDateOffsetDayType?: number// [40] 40403 (Int)
  LegPaymentScheduleFixingDayDistribution?: number// [41] 41543 (Int)
  LegPaymentScheduleFixingDayCount?: number// [42] 41544 (Int)
  LegPaymentScheduleFixingDateAdjusted?: Date// [43] 40404 (LocalDate)
  LegPaymentScheduleFixingDayGrp?: ILegPaymentScheduleFixingDayGrp// [44] NoLegPaymentScheduleFixingDays.41530, LegPaymentScheduleFixingDayOfWeek.41531, LegPaymentScheduleFixingDayNumber.41532
  LegPaymentScheduleFixingLagPeriod?: number// [45] 41545 (Int)
  LegPaymentScheduleFixingLagUnit?: string// [46] 41546 (String)
  LegPaymentScheduleFixingFirstObservationDateOffsetPeriod?: number// [47] 41547 (Int)
  LegPaymentScheduleFixingFirstObservationDateOffsetUnit?: string// [48] 41548 (String)
  LegPaymentScheduleFixingTime?: string// [49] 40405 (String)
  LegPaymentScheduleFixingTimeBusinessCenter?: string// [50] 40406 (String)
  LegPaymentScheduleInterimExchangePaymentDateRelativeTo?: number// [51] 40407 (Int)
  LegPaymentScheduleInterimExchangeDatesBusinessDayConvention?: number// [52] 40408 (Int)
  LegPaymentScheduleInterimExchangeDateBusinessCenterGrp?: ILegPaymentScheduleInterimExchangeDateBusinessCenterGrp// [53] NoLegPaymentScheduleInterimExchangeDateBusinessCenters.40928, LegPaymentScheduleInterimExchangeDatesBusinessCenter.40409
  LegPaymentScheduleInterimExchangeDatesOffsetPeriod?: number// [54] 40410 (Int)
  LegPaymentScheduleInterimExchangeDatesOffsetUnit?: string// [55] 40411 (String)
  LegPaymentScheduleInterimExchangeDatesOffsetDayType?: number// [56] 40412 (Int)
  LegPaymentScheduleInterimExchangeDateAdjusted?: Date// [57] 40413 (LocalDate)
}
