import { ILegPaymentStreamPricingBusinessCenterGrp } from './leg_payment_stream_pricing_business_center_grp'
import { ILegPaymentStreamPricingDayGrp } from './leg_payment_stream_pricing_day_grp'
import { ILegPaymentStreamPricingDateGrp } from './leg_payment_stream_pricing_date_grp'
import { ILegPaymentStreamFormula } from './leg_payment_stream_formula'
import { ILegDividendConditions } from './leg_dividend_conditions'
import { ILegReturnRateGrp } from './leg_return_rate_grp'

export interface ILegPaymentStreamFloatingRate {
  LegPaymentStreamRateIndex?: string// [1] 40331 (String)
  LegPaymentStreamRateIndexSource?: number// [2] 40332 (Int)
  LegPaymentStreamRateIndexID?: string// [3] 43088 (String)
  LegPaymentStreamRateIndexIDSource?: string// [4] 43089 (String)
  LegPaymentStreamRateIndexCurveUnit?: string// [5] 40333 (String)
  LegPaymentStreamRateIndexCurvePeriod?: number// [6] 40334 (Int)
  LegPaymentStreamRateIndex2?: string// [7] 43116 (String)
  LegPaymentStreamRateIndex2Source?: number// [8] 43117 (Int)
  LegPaymentStreamRateIndex2ID?: string// [9] 43118 (String)
  LegPaymentStreamRateIndex2IDSource?: string// [10] 43119 (String)
  LegPaymentStreamRateIndex2CurveUnit?: string// [11] 41563 (String)
  LegPaymentStreamRateIndex2CurvePeriod?: number// [12] 41564 (Int)
  LegPaymentStreamRateIndexLocation?: string// [13] 41565 (String)
  LegPaymentStreamRateIndexLevel?: number// [14] 41566 (Float)
  LegPaymentStreamRateIndexUnitOfMeasure?: string// [15] 41567 (String)
  LegPaymentStreamSettlLevel?: number// [16] 41568 (Int)
  LegPaymentStreamReferenceLevel?: number// [17] 41569 (Float)
  LegPaymentStreamReferenceLevelUnitOfMeasure?: string// [18] 41570 (String)
  LegPaymentStreamReferenceLevelEqualsZeroIndicator?: boolean// [19] 41571 (Boolean)
  LegPaymentStreamRateMultiplier?: number// [20] 40335 (Float)
  LegPaymentStreamRateSpread?: number// [21] 40336 (Float)
  LegPaymentStreamRateSpreadCurrency?: string// [22] 41572 (String)
  LegPaymentStreamRateSpreadUnitOfMeasure?: string// [23] 41573 (String)
  LegPaymentStreamRateConversionFactor?: number// [24] 41574 (Float)
  LegPaymentStreamRateSpreadType?: number// [25] 41575 (Int)
  LegPaymentStreamRateSpreadPositionType?: number// [26] 40337 (Int)
  LegPaymentStreamRateTreatment?: number// [27] 40338 (Int)
  LegPaymentStreamCapRate?: number// [28] 40339 (Float)
  LegPaymentStreamCapRateBuySide?: number// [29] 40340 (Int)
  LegPaymentStreamCapRateSellSide?: number// [30] 40341 (Int)
  LegPaymentStreamFloorRate?: number// [31] 40342 (Float)
  LegPaymentStreamFloorRateBuySide?: number// [32] 40343 (Int)
  LegPaymentStreamFloorRateSellSide?: number// [33] 40344 (Int)
  LegPaymentStreamInitialRate?: number// [34] 40345 (Float)
  LegPaymentStreamLastResetRate?: number// [35] 41576 (Float)
  LegPaymentStreamFinalRate?: number// [36] 41577 (Float)
  LegPaymentStreamFinalRateRoundingDirection?: string// [37] 40346 (String)
  LegPaymentStreamFinalRatePrecision?: number// [38] 40347 (Int)
  LegPaymentStreamAveragingMethod?: number// [39] 40348 (Int)
  LegPaymentStreamNegativeRateTreatment?: number// [40] 40349 (Int)
  LegPaymentStreamCalculationLagPeriod?: number// [41] 41578 (Int)
  LegPaymentStreamCalculationLagUnit?: string// [42] 41579 (String)
  LegPaymentStreamFirstObservationDateUnadjusted?: Date// [43] 42462 (LocalDate)
  LegPaymentStreamFirstObservationDateRelativeTo?: number// [44] 42463 (Int)
  LegPaymentStreamFirstObservationDateOffsetDayType?: number// [45] 42464 (Int)
  LegPaymentStreamFirstObservationDateOffsetPeriod?: number// [46] 41580 (Int)
  LegPaymentStreamFirstObservationDateOffsetUnit?: string// [47] 41581 (String)
  LegPaymentStreamFirstObservationDateAdjusted?: Date// [48] 42465 (LocalDate)
  LegPaymentStreamPricingDayType?: number// [49] 41582 (Int)
  LegPaymentStreamPricingDayDistribution?: number// [50] 41583 (Int)
  LegPaymentStreamPricingDayCount?: number// [51] 41584 (Int)
  LegPaymentStreamPricingBusinessCalendar?: string// [52] 41585 (String)
  LegPaymentStreamPricingBusinessDayConvention?: number// [53] 41586 (Int)
  LegPaymentStreamPricingBusinessCenterGrp?: ILegPaymentStreamPricingBusinessCenterGrp// [54] NoLegPaymentStreamPricingBusinessCenters.41561, LegPaymentStreamPricingBusinessCenter.41562
  LegPaymentStreamPricingDayGrp?: ILegPaymentStreamPricingDayGrp// [55] NoLegPaymentStreamPricingDays.41596, LegPaymentStreamPricingDayOfWeek.41597, LegPaymentStreamPricingDayNumber.41598
  LegPaymentStreamPricingDateGrp?: ILegPaymentStreamPricingDateGrp// [56] NoLegPaymentStreamPricingDates.41593, LegPaymentStreamPricingDate.41594, LegPaymentStreamPricingDateType.41595
  LegPaymentStreamInflationLagPeriod?: number// [57] 40350 (Int)
  LegPaymentStreamInflationLagUnit?: string// [58] 40351 (String)
  LegPaymentStreamInflationLagDayType?: number// [59] 40352 (Int)
  LegPaymentStreamInflationInterpolationMethod?: number// [60] 40353 (Int)
  LegPaymentStreamInflationIndexSource?: number// [61] 40354 (Int)
  LegPaymentStreamInflationPublicationSource?: string// [62] 40355 (String)
  LegPaymentStreamInflationInitialIndexLevel?: number// [63] 40356 (Float)
  LegPaymentStreamInflationFallbackBondApplicable?: boolean// [64] 40357 (Boolean)
  LegPaymentStreamFRADiscounting?: number// [65] 40358 (Int)
  LegPaymentStreamUnderlierRefID?: string// [66] 42466 (String)
  LegPaymentStreamFormula?: ILegPaymentStreamFormula// [67] LegPaymentStreamFormulaCurrency.42482, LegPaymentStreamFormulaCurrencyDeterminationMethod.42483 .. LegPaymentStreamFormulaImage.42452
  LegDividendConditions?: ILegDividendConditions// [68] LegDividendReinvestmentIndicator.42337, LegDividendEntitlementEvent.42338 .. LegAllDividendsIndicator.42356
  LegReturnRateNotionalReset?: boolean// [69] 42467 (Boolean)
  LegReturnRateGrp?: ILegReturnRateGrp// [70] NoLegReturnRates.42534, LegReturnRatePriceSequence.42535 .. LegReturnRateFinalPriceFallback.42559
  LegPaymentStreamLinkInitialLevel?: number// [71] 42468 (Float)
  LegPaymentStreamLinkClosingLevelIndicator?: boolean// [72] 42469 (Boolean)
  LegPaymentStreamLinkExpiringLevelIndicator?: boolean// [73] 42470 (Boolean)
  LegPaymentStreamLinkEstimatedTradingDays?: number// [74] 42471 (Int)
  LegPaymentStreamLinkStrikePrice?: number// [75] 42472 (Float)
  LegPaymentStreamLinkStrikePriceType?: number// [76] 42473 (Int)
  LegPaymentStreamLinkMaximumBoundary?: number// [77] 42474 (Float)
  LegPaymentStreamLinkMinimumBoundary?: number// [78] 42475 (Float)
  LegPaymentStreamLinkNumberOfDataSeries?: number// [79] 42476 (Int)
  LegPaymentStreamVarianceUnadjustedCap?: number// [80] 42477 (Float)
  LegPaymentStreamRealizedVarianceMethod?: number// [81] 42478 (Int)
  LegPaymentStreamDaysAdjustmentIndicator?: boolean// [82] 42479 (Boolean)
  LegPaymentStreamNearestExchangeContractRefID?: string// [83] 42480 (String)
  LegPaymentStreamVegaNotionalAmount?: number// [84] 42481 (Float)
}
