import { INestedParties } from './nested_parties'

export interface IMDStatisticParameters {
  MDStatisticType: number// [1] 2456 (Int)
  MDStatisticScope: number// [2] 2457 (Int)
  MDStatisticSubScope?: number// [3] 2458 (Int)
  MDStatisticScopeType?: number// [4] 2459 (Int)
  MDStatisticName?: string// [5] 2454 (String)
  MDStatisticDesc?: string// [6] 2455 (String)
  EncodedMDStatisticDescLen?: number// [7] 2481 (Length)
  EncodedMDStatisticDesc?: Buffer// [8] 2482 (RawData)
  MarketDepth?: number// [9] 264 (Int)
  MDStatisticFrequencyPeriod?: number// [10] 2460 (Int)
  MDStatisticFrequencyUnit?: number// [11] 2461 (Int)
  MDStatisticDelayPeriod?: number// [12] 2462 (Int)
  MDStatisticDelayUnit?: number// [13] 2463 (Int)
  MDStatisticIntervalType: number// [14] 2464 (Int)
  MDStatisticIntervalTypeUnit?: string// [15] 2465 (String)
  MDStatisticIntervalPeriod?: number// [16] 2466 (Int)
  MDStatisticIntervalUnit?: number// [17] 2467 (Int)
  MDStatisticStartDate?: Date// [18] 2468 (UtcTimestamp)
  MDStatisticEndDate?: Date// [19] 2469 (UtcTimestamp)
  MDStatisticStartTime?: Date// [20] 2470 (UtcTimeOnly)
  MDStatisticEndTime?: Date// [21] 2471 (UtcTimeOnly)
  MDStatisticRatioType?: number// [22] 2472 (Int)
  NestedParties?: INestedParties// [23] NoNestedPartyIDs.539, NestedPartyID.524 .. NestedPartySubIDType.805
  AnnualTradingBusinessDays?: number// [24] 2584 (Int)
  TradingCapacity?: number// [25] 1815 (Int)
  OrdType?: string// [26] 40 (String)
  TimeInForce?: string// [27] 59 (String)
  QuoteCondition?: string// [28] 276 (String)
  TradeCondition?: string// [29] 277 (String)
  Side?: string// [30] 54 (String)
  TradeInputSource?: string// [31] 578 (String)
  TradingSessionID?: string// [32] 336 (String)
  TradingSessionSubID?: string// [33] 625 (String)
  MDOriginType?: number// [34] 1024 (Int)
  MDValueTier?: number// [35] 2711 (Int)
  TradSesMethod?: number// [36] 338 (Int)
  MDFeedType?: string// [37] 1022 (String)
  ExposureDuration?: number// [38] 1629 (Int)
  ExposureDurationUnit?: number// [39] 1916 (Int)
  AggressorIndicator?: boolean// [40] 1057 (Boolean)
}
