import { IPaymentScheduleRateSourceGrp } from './payment_schedule_rate_source_grp'
import { IPaymentScheduleFixingDateBusinessCenterGrp } from './payment_schedule_fixing_date_business_center_grp'
import { IPaymentScheduleFixingDayGrp } from './payment_schedule_fixing_day_grp'
import { IPaymentScheduleInterimExchangeDateBusinessCenterGrp } from './payment_schedule_interim_exchange_date_business_center_grp'

export interface IPaymentScheduleGrpNoPaymentSchedules {
  PaymentScheduleType?: number// [1] 40829 (Int)
  PaymentScheduleXID?: string// [2] 41164 (String)
  PaymentScheduleXIDRef?: string// [3] 41165 (String)
  PaymentScheduleStubType?: number// [4] 40830 (Int)
  PaymentScheduleStartDateUnadjusted?: Date// [5] 40831 (LocalDate)
  PaymentScheduleEndDateUnadjusted?: Date// [6] 40832 (LocalDate)
  PaymentSchedulePaySide?: number// [7] 40833 (Int)
  PaymentScheduleReceiveSide?: number// [8] 40834 (Int)
  PaymentScheduleNotional?: number// [9] 40835 (Float)
  PaymentScheduleCurrency?: string// [10] 40836 (String)
  PaymentScheduleRate?: number// [11] 40837 (Float)
  PaymentScheduleRateMultiplier?: number// [12] 40838 (Float)
  PaymentScheduleRateSpread?: number// [13] 40839 (Float)
  PaymentScheduleRateCurrency?: string// [14] 41166 (String)
  PaymentScheduleRateUnitOfMeasure?: string// [15] 41167 (String)
  PaymentScheduleRateConversionFactor?: number// [16] 41168 (Float)
  PaymentScheduleRateSpreadType?: number// [17] 41169 (Int)
  PaymentScheduleRateSpreadPositionType?: number// [18] 40840 (Int)
  PaymentScheduleRateTreatment?: number// [19] 40841 (Int)
  PaymentScheduleFixedAmount?: number// [20] 40842 (Float)
  PaymentScheduleFixedCurrency?: string// [21] 40843 (String)
  PaymentScheduleSettlPeriodPrice?: number// [22] 41170 (Float)
  PaymentScheduleSettlPeriodPriceCurrency?: string// [23] 41171 (String)
  PaymentScheduleSettlPeriodPriceUnitOfMeasure?: string// [24] 41172 (String)
  PaymentScheduleStepUnitOfMeasure?: string// [25] 41173 (String)
  PaymentScheduleStepFrequencyPeriod?: number// [26] 40844 (Int)
  PaymentScheduleStepFrequencyUnit?: string// [27] 40845 (String)
  PaymentScheduleStepOffsetValue?: number// [28] 40846 (Float)
  PaymentScheduleStepRate?: number// [29] 40847 (Float)
  PaymentScheduleStepOffsetRate?: number// [30] 40848 (Float)
  PaymentScheduleStepRelativeTo?: number// [31] 40849 (Int)
  PaymentScheduleRateSourceGrp?: IPaymentScheduleRateSourceGrp// [32] NoPaymentScheduleRateSources.40868, PaymentScheduleRateSource.40869 .. PaymentScheduleReferencePage.40871
  PaymentScheduleFixingDateUnadjusted?: Date// [33] 40850 (LocalDate)
  PaymentScheduleWeight?: number// [34] 40851 (Float)
  PaymentScheduleFixingDateRelativeTo?: number// [35] 40852 (Int)
  PaymentScheduleFixingDateBusinessDayConvention?: number// [36] 40853 (Int)
  PaymentScheduleFixingDateBusinessCenterGrp?: IPaymentScheduleFixingDateBusinessCenterGrp// [37] NoPaymentScheduleFixingDateBusinessCenters.40977, PaymentScheduleFixingDateBusinessCenter.40854
  PaymentScheduleFixingDateOffsetPeriod?: number// [38] 40855 (Int)
  PaymentScheduleFixingDateOffsetUnit?: string// [39] 40856 (String)
  PaymentScheduleFixingDateOffsetDayType?: number// [40] 40857 (Int)
  PaymentScheduleFixingDayDistribution?: number// [41] 41174 (Int)
  PaymentScheduleFixingDayCount?: number// [42] 41175 (Int)
  PaymentScheduleFixingDateAdjusted?: Date// [43] 40858 (LocalDate)
  PaymentScheduleFixingDayGrp?: IPaymentScheduleFixingDayGrp// [44] NoPaymentScheduleFixingDays.41161, PaymentScheduleFixingDayOfWeek.41162, PaymentScheduleFixingDayNumber.41163
  PaymentScheduleFixingLagPeriod?: number// [45] 41176 (Int)
  PaymentScheduleFixingLagUnit?: string// [46] 41177 (String)
  PaymentScheduleFixingFirstObservationDateOffsetPeriod?: number// [47] 41178 (Int)
  PaymentScheduleFixingFirstObservationDateOffsetUnit?: string// [48] 41179 (String)
  PaymentScheduleFixingTime?: string// [49] 40859 (String)
  PaymentScheduleFixingTimeBusinessCenter?: string// [50] 40860 (String)
  PaymentScheduleInterimExchangePaymentDateRelativeTo?: number// [51] 40861 (Int)
  PaymentScheduleInterimExchangeDatesBusinessDayConvention?: number// [52] 40862 (Int)
  PaymentScheduleInterimExchangeDateBusinessCenterGrp?: IPaymentScheduleInterimExchangeDateBusinessCenterGrp// [53] NoPaymentScheduleInterimExchangeDateBusinessCenters.40945, PaymentScheduleInterimExchangeDatesBusinessCenter.40863
  PaymentScheduleInterimExchangeDatesOffsetPeriod?: number// [54] 40864 (Int)
  PaymentScheduleInterimExchangeDatesOffsetUnit?: string// [55] 40865 (String)
  PaymentScheduleInterimExchangeDatesOffsetDayType?: number// [56] 40866 (Int)
  PaymentScheduleInterimExchangeDateAdjusted?: Date// [57] 40867 (LocalDate)
}
