import { IPaymentStreamPricingBusinessCenterGrp } from './payment_stream_pricing_business_center_grp'
import { IPaymentStreamPricingDayGrp } from './payment_stream_pricing_day_grp'
import { IPaymentStreamPricingDateGrp } from './payment_stream_pricing_date_grp'
import { IPaymentStreamFormula } from './payment_stream_formula'
import { IDividendConditions } from './dividend_conditions'
import { IReturnRateGrp } from './return_rate_grp'

export interface IPaymentStreamFloatingRate {
  PaymentStreamRateIndex?: string// [1] 40789 (String)
  PaymentStreamRateIndexSource?: number// [2] 40790 (Int)
  PaymentStreamRateIndexID?: string// [3] 43090 (String)
  PaymentStreamRateIndexIDSource?: string// [4] 43091 (String)
  PaymentStreamRateIndexCurveUnit?: string// [5] 40791 (String)
  PaymentStreamRateIndexCurvePeriod?: number// [6] 40792 (Int)
  PaymentStreamRateIndex2?: string// [7] 43112 (String)
  PaymentStreamRateIndex2Source?: number// [8] 43113 (Int)
  PaymentStreamRateIndex2ID?: string// [9] 43114 (String)
  PaymentStreamRateIndex2IDSource?: string// [10] 43115 (String)
  PaymentStreamRateIndex2CurvePeriod?: number// [11] 41194 (Int)
  PaymentStreamRateIndex2CurveUnit?: string// [12] 41195 (String)
  PaymentStreamRateIndexLocation?: string// [13] 41196 (String)
  PaymentStreamRateIndexLevel?: number// [14] 41197 (Float)
  PaymentStreamRateIndexUnitOfMeasure?: string// [15] 41198 (String)
  PaymentStreamSettlLevel?: number// [16] 41199 (Int)
  PaymentStreamReferenceLevel?: number// [17] 41200 (Float)
  PaymentStreamReferenceLevelUnitOfMeasure?: string// [18] 41201 (String)
  PaymentStreamReferenceLevelEqualsZeroIndicator?: boolean// [19] 41202 (Boolean)
  PaymentStreamRateMultiplier?: number// [20] 40793 (Float)
  PaymentStreamRateSpread?: number// [21] 40794 (Float)
  PaymentStreamRateSpreadCurrency?: string// [22] 41203 (String)
  PaymentStreamRateSpreadUnitOfMeasure?: string// [23] 41204 (String)
  PaymentStreamRateConversionFactor?: number// [24] 41205 (Float)
  PaymentStreamRateSpreadType?: number// [25] 41206 (Int)
  PaymentStreamRateSpreadPositionType?: number// [26] 40795 (Int)
  PaymentStreamRateTreatment?: number// [27] 40796 (Int)
  PaymentStreamCapRate?: number// [28] 40797 (Float)
  PaymentStreamCapRateBuySide?: number// [29] 40798 (Int)
  PaymentStreamCapRateSellSide?: number// [30] 40799 (Int)
  PaymentStreamFloorRate?: number// [31] 40800 (Float)
  PaymentStreamFloorRateBuySide?: number// [32] 40801 (Int)
  PaymentStreamFloorRateSellSide?: number// [33] 40802 (Int)
  PaymentStreamInitialRate?: number// [34] 40803 (Float)
  PaymentStreamLastResetRate?: number// [35] 41207 (Float)
  PaymentStreamFinalRate?: number// [36] 41208 (Float)
  PaymentStreamFinalRateRoundingDirection?: string// [37] 40804 (String)
  PaymentStreamFinalRatePrecision?: number// [38] 40805 (Int)
  PaymentStreamAveragingMethod?: number// [39] 40806 (Int)
  PaymentStreamNegativeRateTreatment?: number// [40] 40807 (Int)
  PaymentStreamCalculationLagPeriod?: number// [41] 41209 (Int)
  PaymentStreamCalculationLagUnit?: string// [42] 41210 (String)
  PaymentStreamFirstObservationDateUnadjusted?: Date// [43] 42663 (LocalDate)
  PaymentStreamFirstObservationDateRelativeTo?: number// [44] 42664 (Int)
  PaymentStreamFirstObservationDateOffsetDayType?: number// [45] 42665 (Int)
  PaymentStreamFirstObservationDateOffsetPeriod?: number// [46] 41211 (Int)
  PaymentStreamFirstObservationDateOffsetUnit?: string// [47] 41212 (String)
  PaymentStreamFirstObservationDateAdjusted?: Date// [48] 42666 (LocalDate)
  PaymentStreamPricingDayType?: number// [49] 41213 (Int)
  PaymentStreamPricingDayDistribution?: number// [50] 41214 (Int)
  PaymentStreamPricingDayCount?: number// [51] 41215 (Int)
  PaymentStreamPricingBusinessCalendar?: string// [52] 41216 (String)
  PaymentStreamPricingBusinessDayConvention?: number// [53] 41217 (Int)
  PaymentStreamPricingBusinessCenterGrp?: IPaymentStreamPricingBusinessCenterGrp// [54] NoPaymentStreamPricingBusinessCenters.41192, PaymentStreamPricingBusinessCenter.41193
  PaymentStreamPricingDayGrp?: IPaymentStreamPricingDayGrp// [55] NoPaymentStreamPricingDays.41227, PaymentStreamPricingDayOfWeek.41228, PaymentStreamPricingDayNumber.41229
  PaymentStreamPricingDateGrp?: IPaymentStreamPricingDateGrp// [56] NoPaymentStreamPricingDates.41224, PaymentStreamPricingDate.41225, PaymentStreamPricingDateType.41226
  PaymentStreamInflationLagPeriod?: number// [57] 40808 (Int)
  PaymentStreamInflationLagUnit?: string// [58] 40809 (String)
  PaymentStreamInflationLagDayType?: number// [59] 40810 (Int)
  PaymentStreamInflationInterpolationMethod?: number// [60] 40811 (Int)
  PaymentStreamInflationIndexSource?: number// [61] 40812 (Int)
  PaymentStreamInflationPublicationSource?: string// [62] 40813 (String)
  PaymentStreamInflationInitialIndexLevel?: number// [63] 40814 (Float)
  PaymentStreamInflationFallbackBondApplicable?: boolean// [64] 40815 (Boolean)
  PaymentStreamFRADiscounting?: number// [65] 40816 (Int)
  PaymentStreamUnderlierRefID?: string// [66] 42667 (String)
  PaymentStreamFormula?: IPaymentStreamFormula// [67] PaymentStreamFormulaCurrency.42686, PaymentStreamFormulaCurrencyDeterminationMethod.42687 .. PaymentStreamFormulaImage.42653
  DividendConditions?: IDividendConditions// [68] DividendReinvestmentIndicator.42245, DividendEntitlementEvent.42246 .. AllDividendsIndicator.42264
  ReturnRateNotionalReset?: boolean// [69] 42668 (Boolean)
  ReturnRateGrp?: IReturnRateGrp// [70] NoReturnRates.42735, ReturnRatePriceSequence.42736 .. ReturnRateFinalPriceFallback.42760
  PaymentStreamLinkInitialLevel?: number// [71] 42669 (Float)
  PaymentStreamLinkClosingLevelIndicator?: boolean// [72] 42670 (Boolean)
  PaymentStreamLinkExpiringLevelIndicator?: boolean// [73] 42671 (Boolean)
  PaymentStreamLinkEstimatedTradingDays?: number// [74] 42672 (Int)
  PaymentStreamLinkStrikePrice?: number// [75] 42673 (Float)
  PaymentStreamLinkStrikePriceType?: number// [76] 42674 (Int)
  PaymentStreamLinkMaximumBoundary?: number// [77] 42675 (Float)
  PaymentStreamLinkMinimumBoundary?: number// [78] 42676 (Float)
  PaymentStreamLinkNumberOfDataSeries?: number// [79] 42677 (Int)
  PaymentStreamVarianceUnadjustedCap?: number// [80] 42678 (Float)
  PaymentStreamRealizedVarianceMethod?: number// [81] 42679 (Int)
  PaymentStreamDaysAdjustmentIndicator?: boolean// [82] 42680 (Boolean)
  PaymentStreamNearestExchangeContractRefID?: string// [83] 42681 (String)
  PaymentStreamVegaNotionalAmount?: number// [84] 42682 (Float)
}
