import { IUnderlyingPaymentStreamPricingBusinessCenterGrp } from './underlying_payment_stream_pricing_business_center_grp'
import { IUnderlyingPaymentStreamPricingDayGrp } from './underlying_payment_stream_pricing_day_grp'
import { IUnderlyingPaymentStreamPricingDateGrp } from './underlying_payment_stream_pricing_date_grp'
import { IUnderlyingPaymentStreamFormula } from './underlying_payment_stream_formula'
import { IUnderlyingDividendConditions } from './underlying_dividend_conditions'
import { IUnderlyingReturnRateGrp } from './underlying_return_rate_grp'

export interface IUnderlyingPaymentStreamFloatingRate {
  UnderlyingPaymentStreamRateIndex?: string// [1] 40620 (String)
  UnderlyingPaymentStreamRateIndexSource?: number// [2] 40621 (Int)
  UnderlyingPaymentStreamRateIndexID?: string// [3] 43092 (String)
  UnderlyingPaymentStreamRateIndexIDSource?: string// [4] 43093 (String)
  UnderlyingPaymentStreamRateIndexCurveUnit?: string// [5] 40622 (String)
  UnderlyingPaymentStreamRateIndexCurvePeriod?: number// [6] 40623 (Int)
  UnderlyingPaymentStreamRateIndex2?: string// [7] 43120 (String)
  UnderlyingPaymentStreamRateIndex2Source?: number// [8] 43121 (Int)
  UnderlyingPaymentStreamRateIndex2ID?: string// [9] 43122 (String)
  UnderlyingPaymentStreamRateIndex2IDSource?: string// [10] 43123 (String)
  UnderlyingPaymentStreamRateIndex2CurveUnit?: string// [11] 41911 (String)
  UnderlyingPaymentStreamRateIndex2CurvePeriod?: number// [12] 41912 (Int)
  UnderlyingPaymentStreamRateIndexLocation?: string// [13] 41913 (String)
  UnderlyingPaymentStreamRateIndexLevel?: number// [14] 41914 (Float)
  UnderlyingPaymentStreamRateIndexUnitOfMeasure?: string// [15] 41915 (String)
  UnderlyingPaymentStreamSettlLevel?: number// [16] 41916 (Int)
  UnderlyingPaymentStreamReferenceLevel?: number// [17] 41917 (Float)
  UnderlyingPaymentStreamReferenceLevelUnitOfMeasure?: string// [18] 41918 (String)
  UnderlyingPaymentStreamReferenceLevelEqualsZeroIndicator?: boolean// [19] 41919 (Boolean)
  UnderlyingPaymentStreamRateMultiplier?: number// [20] 40624 (Float)
  UnderlyingPaymentStreamRateSpread?: number// [21] 40625 (Float)
  UnderlyingPaymentStreamRateSpreadCurrency?: string// [22] 41920 (String)
  UnderlyingPaymentStreamRateSpreadUnitOfMeasure?: string// [23] 41921 (String)
  UnderlyingPaymentStreamRateConversionFactor?: number// [24] 41922 (Float)
  UnderlyingPaymentStreamRateSpreadType?: number// [25] 41923 (Int)
  UnderlyingPaymentStreamRateSpreadPositionType?: number// [26] 40626 (Int)
  UnderlyingPaymentStreamRateTreatment?: number// [27] 40627 (Int)
  UnderlyingPaymentStreamCapRate?: number// [28] 40628 (Float)
  UnderlyingPaymentStreamCapRateBuySide?: number// [29] 40629 (Int)
  UnderlyingPaymentStreamCapRateSellSide?: number// [30] 40630 (Int)
  UnderlyingPaymentStreamFloorRate?: number// [31] 40631 (Float)
  UnderlyingPaymentStreamFloorRateBuySide?: number// [32] 40632 (Int)
  UnderlyingPaymentStreamFloorRateSellSide?: number// [33] 40633 (Int)
  UnderlyingPaymentStreamInitialRate?: number// [34] 40634 (Float)
  UnderlyingPaymentStreamLastResetRate?: number// [35] 41924 (Float)
  UnderlyingPaymentStreamFinalRate?: number// [36] 41925 (Float)
  UnderlyingPaymentStreamFinalRateRoundingDirection?: string// [37] 40635 (String)
  UnderlyingPaymentStreamFinalRatePrecision?: number// [38] 40636 (Int)
  UnderlyingPaymentStreamAveragingMethod?: number// [39] 40637 (Int)
  UnderlyingPaymentStreamNegativeRateTreatment?: number// [40] 40638 (Int)
  UnderlyingPaymentStreamCalculationLagPeriod?: number// [41] 41926 (Int)
  UnderlyingPaymentStreamCalculationLagUnit?: string// [42] 41927 (String)
  UnderlyingPaymentStreamFirstObservationDateUnadjusted?: Date// [43] 42958 (LocalDate)
  UnderlyingPaymentStreamFirstObservationDateRelativeTo?: number// [44] 42959 (Int)
  UnderlyingPaymentStreamFirstObservationDateOffsetDayType?: number// [45] 42960 (Int)
  UnderlyingPaymentStreamFirstObservationDateOffsetPeriod?: number// [46] 41928 (Int)
  UnderlyingPaymentStreamFirstObservationDateOffsetUnit?: string// [47] 41929 (String)
  UnderlyingPaymentStreamFirstObservationDateAdjusted?: Date// [48] 42961 (LocalDate)
  UnderlyingPaymentStreamPricingDayType?: number// [49] 41930 (Int)
  UnderlyingPaymentStreamPricingDayDistribution?: number// [50] 41931 (Int)
  UnderlyingPaymentStreamPricingDayCount?: number// [51] 41932 (Int)
  UnderlyingPaymentStreamPricingBusinessCalendar?: string// [52] 41933 (String)
  UnderlyingPaymentStreamPricingBusinessDayConvention?: number// [53] 41934 (Int)
  UnderlyingPaymentStreamPricingBusinessCenterGrp?: IUnderlyingPaymentStreamPricingBusinessCenterGrp// [54] NoUnderlyingPaymentStreamPricingBusinessCenters.41909, UnderlyingPaymentStreamPricingBusinessCenter.41910
  UnderlyingPaymentStreamPricingDayGrp?: IUnderlyingPaymentStreamPricingDayGrp// [55] NoUnderlyingPaymentStreamPricingDays.41944, UnderlyingPaymentStreamPricingDayOfWeek.41945, UnderlyingPaymentStreamPricingDayNumber.41946
  UnderlyingPaymentStreamPricingDateGrp?: IUnderlyingPaymentStreamPricingDateGrp// [56] NoUnderlyingPaymentStreamPricingDates.41941, UnderlyingPaymentStreamPricingDate.41942, UnderlyingPaymentStreamPricingDateType.41943
  UnderlyingPaymentStreamInflationLagPeriod?: number// [57] 40639 (Int)
  UnderlyingPaymentStreamInflationLagUnit?: string// [58] 40640 (String)
  UnderlyingPaymentStreamInflationLagDayType?: number// [59] 40641 (Int)
  UnderlyingPaymentStreamInflationInterpolationMethod?: number// [60] 40642 (Int)
  UnderlyingPaymentStreamInflationIndexSource?: number// [61] 40643 (Int)
  UnderlyingPaymentStreamInflationPublicationSource?: string// [62] 40644 (String)
  UnderlyingPaymentStreamInflationInitialIndexLevel?: number// [63] 40645 (Float)
  UnderlyingPaymentStreamInflationFallbackBondApplicable?: boolean// [64] 40646 (Boolean)
  UnderlyingPaymentStreamFRADiscounting?: number// [65] 40647 (Int)
  UnderlyingPaymentStreamUnderlierRefID?: string// [66] 42962 (String)
  UnderlyingPaymentStreamFormula?: IUnderlyingPaymentStreamFormula// [67] UnderlyingPaymentStreamFormulaCurrency.42978, UnderlyingPaymentStreamFormulaCurrencyDeterminationMethod.42979 .. UnderlyingPaymentStreamFormulaImage.42948
  UnderlyingDividendConditions?: IUnderlyingDividendConditions// [68] UnderlyingDividendReinvestmentIndicator.42826, UnderlyingDividendEntitlementEvent.42827 .. UnderlyingAllDividendsIndicator.42845
  UnderlyingReturnRateNotionalReset?: boolean// [69] 42963 (Boolean)
  UnderlyingReturnRateGrp?: IUnderlyingReturnRateGrp// [70] NoUnderlyingReturnRates.43034, UnderlyingReturnRatePriceSequence.43035 .. UnderlyingReturnRateFinalPriceFallback.43059
  UnderlyingPaymentStreamLinkInitialLevel?: number// [71] 42964 (Float)
  UnderlyingPaymentStreamLinkClosingLevelIndicator?: boolean// [72] 42965 (Boolean)
  UnderlyingPaymentStreamLinkExpiringLevelIndicator?: boolean// [73] 42966 (Boolean)
  UnderlyingPaymentStreamLinkEstimatedTradingDays?: number// [74] 42967 (Int)
  UnderlyingPaymentStreamLinkStrikePrice?: number// [75] 42968 (Float)
  UnderlyingPaymentStreamLinkStrikePriceType?: number// [76] 42969 (Int)
  UnderlyingPaymentStreamLinkMaximumBoundary?: number// [77] 42970 (Float)
  UnderlyingPaymentStreamLinkMinimumBoundary?: number// [78] 42971 (Float)
  UnderlyingPaymentStreamLinkNumberOfDataSeries?: number// [79] 42972 (Int)
  UnderlyingPaymentStreamVarianceUnadjustedCap?: number// [80] 42973 (Float)
  UnderlyingPaymentStreamRealizedVarianceMethod?: number// [81] 42974 (Int)
  UnderlyingPaymentStreamDaysAdjustmentIndicator?: boolean// [82] 42975 (Boolean)
  UnderlyingPaymentStreamNearestExchangeContractRefID?: string// [83] 42976 (String)
  UnderlyingPaymentStreamVegaNotionalAmount?: number// [84] 42977 (Float)
}
