import { IStandardHeader } from './set/standard_header'
import { IApplIDRequestGrp } from './set/appl_id_request_grp'
import { IStandardTrailer } from './set/standard_trailer'
import { IParties } from './set/parties'

/*
****************************************************************
* This message is used to request a retransmission of a set of *
* one or more messages generated by the application specified  *
* in RefApplID (1355).                                         *
****************************************************************
*/
export interface IApplicationMessageRequest {
  StandardHeader: IStandardHeader
  ApplReqID: string// 1346
  ApplReqType: number// 1347
  ApplIDRequestGrp?: IApplIDRequestGrp[]
  Text?: string// 58
  EncodedTextLen?: number// 354
  EncodedText?: Buffer// 355
  StandardTrailer: IStandardTrailer
  Parties?: IParties[]
}
