import { IStandardHeader } from './set/standard_header'
import { INewOrderSingleNoAllocs } from './set/new_order_single_no_allocs'
import { INewOrderSingleNoTradingSessions } from './set/new_order_single_no_trading_sessions'
import { IStandardTrailer } from './set/standard_trailer'

export interface INewOrderSingle {
  StandardHeader: IStandardHeader// [1] BeginString.8, BodyLength.9 .. OnBehalfOfSendingTime.370
  ClOrdID: string// [2] 11 (String)
  ClientID?: string// [3] 109 (String)
  ExecBroker?: string// [4] 76 (String)
  Account?: string// [5] 1 (String)
  NoAllocs?: INewOrderSingleNoAllocs[]// [6] AllocAccount.79, AllocShares.80
  SettlmntTyp?: string// [7] 63 (String)
  FutSettDate?: Date// [8] 64 (LocalDate)
  HandlInst: string// [9] 21 (String)
  ExecInst?: string// [10] 18 (String)
  MinQty?: number// [11] 110 (Float)
  MaxFloor?: number// [12] 111 (Float)
  ExDestination?: string// [13] 100 (String)
  NoTradingSessions?: INewOrderSingleNoTradingSessions[]// [14] TradingSessionID.336
  ProcessCode?: string// [15] 81 (String)
  Symbol: string// [16] 55 (String)
  SymbolSfx?: string// [17] 65 (String)
  SecurityID?: string// [18] 48 (String)
  IDSource?: string// [19] 22 (String)
  SecurityType?: string// [20] 167 (String)
  MaturityMonthYear?: string// [21] 200 (String)
  MaturityDay?: string// [22] 205 (String)
  PutOrCall?: number// [23] 201 (Int)
  StrikePrice?: number// [24] 202 (Float)
  OptAttribute?: string// [25] 206 (String)
  ContractMultiplier?: number// [26] 231 (Float)
  CouponRate?: number// [27] 223 (Float)
  SecurityExchange?: string// [28] 207 (String)
  Issuer?: string// [29] 106 (String)
  EncodedIssuerLen?: number// [30] 348 (Length)
  EncodedIssuer?: Buffer// [31] 349 (RawData)
  SecurityDesc?: string// [32] 107 (String)
  EncodedSecurityDescLen?: number// [33] 350 (Length)
  EncodedSecurityDesc?: Buffer// [34] 351 (RawData)
  PrevClosePx?: number// [35] 140 (Float)
  Side: string// [36] 54 (String)
  LocateReqd?: boolean// [37] 114 (Boolean)
  TransactTime: Date// [38] 60 (UtcTimestamp)
  OrderQty?: number// [39] 38 (Float)
  CashOrderQty?: number// [40] 152 (Float)
  OrdType: string// [41] 40 (String)
  Price?: number// [42] 44 (Float)
  StopPx?: number// [43] 99 (Float)
  Currency?: string// [44] 15 (String)
  ComplianceID?: string// [45] 376 (String)
  SolicitedFlag?: boolean// [46] 377 (Boolean)
  IOIid?: string// [47] 23 (String)
  QuoteID?: string// [48] 117 (String)
  TimeInForce?: string// [49] 59 (String)
  EffectiveTime?: Date// [50] 168 (UtcTimestamp)
  ExpireDate?: Date// [51] 432 (LocalDate)
  ExpireTime?: Date// [52] 126 (UtcTimestamp)
  GTBookingInst?: number// [53] 427 (Int)
  Commission?: number// [54] 12 (Float)
  CommType?: string// [55] 13 (String)
  Rule80A?: string// [56] 47 (String)
  ForexReq?: boolean// [57] 121 (Boolean)
  SettlCurrency?: string// [58] 120 (String)
  Text?: string// [59] 58 (String)
  EncodedTextLen?: number// [60] 354 (Length)
  EncodedText?: Buffer// [61] 355 (RawData)
  FutSettDate2?: Date// [62] 193 (LocalDate)
  OrderQty2?: number// [63] 192 (Float)
  OpenClose?: string// [64] 77 (String)
  CoveredOrUncovered?: number// [65] 203 (Int)
  CustomerOrFirm?: number// [66] 204 (Int)
  MaxShow?: number// [67] 210 (Float)
  PegDifference?: number// [68] 211 (Float)
  DiscretionInst?: string// [69] 388 (String)
  DiscretionOffset?: number// [70] 389 (Float)
  ClearingFirm?: string// [71] 439 (String)
  ClearingAccount?: string// [72] 440 (String)
  StandardTrailer: IStandardTrailer// [73] SignatureLength.93, Signature.89, CheckSum.10
}
