import { IStandardHeader } from './set/standard_header'
import { IOrderCancelReplaceRequestNoAllocs } from './set/order_cancel_replace_request_no_allocs'
import { IOrderCancelReplaceRequestNoTradingSessions } from './set/order_cancel_replace_request_no_trading_sessions'
import { IStandardTrailer } from './set/standard_trailer'

export interface IOrderCancelReplaceRequest {
  StandardHeader: IStandardHeader// [1] BeginString.8, BodyLength.9 .. OnBehalfOfSendingTime.370
  OrderID?: string// [2] 37 (String)
  ClientID?: string// [3] 109 (String)
  ExecBroker?: string// [4] 76 (String)
  OrigClOrdID: string// [5] 41 (String)
  ClOrdID: string// [6] 11 (String)
  ListID?: string// [7] 66 (String)
  Account?: string// [8] 1 (String)
  NoAllocs?: IOrderCancelReplaceRequestNoAllocs[]// [9] AllocAccount.79, AllocShares.80
  SettlmntTyp?: string// [10] 63 (String)
  FutSettDate?: Date// [11] 64 (LocalDate)
  HandlInst: string// [12] 21 (String)
  ExecInst?: string// [13] 18 (String)
  MinQty?: number// [14] 110 (Float)
  MaxFloor?: number// [15] 111 (Float)
  ExDestination?: string// [16] 100 (String)
  NoTradingSessions?: IOrderCancelReplaceRequestNoTradingSessions[]// [17] TradingSessionID.336
  Symbol: string// [18] 55 (String)
  SymbolSfx?: string// [19] 65 (String)
  SecurityID?: string// [20] 48 (String)
  IDSource?: string// [21] 22 (String)
  SecurityType?: string// [22] 167 (String)
  MaturityMonthYear?: string// [23] 200 (String)
  MaturityDay?: string// [24] 205 (String)
  PutOrCall?: number// [25] 201 (Int)
  StrikePrice?: number// [26] 202 (Float)
  OptAttribute?: string// [27] 206 (String)
  ContractMultiplier?: number// [28] 231 (Float)
  CouponRate?: number// [29] 223 (Float)
  SecurityExchange?: string// [30] 207 (String)
  Issuer?: string// [31] 106 (String)
  EncodedIssuerLen?: number// [32] 348 (Length)
  EncodedIssuer?: Buffer// [33] 349 (RawData)
  SecurityDesc?: string// [34] 107 (String)
  EncodedSecurityDescLen?: number// [35] 350 (Length)
  EncodedSecurityDesc?: Buffer// [36] 351 (RawData)
  Side: string// [37] 54 (String)
  TransactTime: Date// [38] 60 (UtcTimestamp)
  OrderQty?: number// [39] 38 (Float)
  CashOrderQty?: number// [40] 152 (Float)
  OrdType: string// [41] 40 (String)
  Price?: number// [42] 44 (Float)
  StopPx?: number// [43] 99 (Float)
  PegDifference?: number// [44] 211 (Float)
  DiscretionInst?: string// [45] 388 (String)
  DiscretionOffset?: number// [46] 389 (Float)
  ComplianceID?: string// [47] 376 (String)
  SolicitedFlag?: boolean// [48] 377 (Boolean)
  Currency?: string// [49] 15 (String)
  TimeInForce?: string// [50] 59 (String)
  EffectiveTime?: Date// [51] 168 (UtcTimestamp)
  ExpireDate?: Date// [52] 432 (LocalDate)
  ExpireTime?: Date// [53] 126 (UtcTimestamp)
  GTBookingInst?: number// [54] 427 (Int)
  Commission?: number// [55] 12 (Float)
  CommType?: string// [56] 13 (String)
  Rule80A?: string// [57] 47 (String)
  ForexReq?: boolean// [58] 121 (Boolean)
  SettlCurrency?: string// [59] 120 (String)
  Text?: string// [60] 58 (String)
  EncodedTextLen?: number// [61] 354 (Length)
  EncodedText?: Buffer// [62] 355 (RawData)
  FutSettDate2?: Date// [63] 193 (LocalDate)
  OrderQty2?: number// [64] 192 (Float)
  OpenClose?: string// [65] 77 (String)
  CoveredOrUncovered?: number// [66] 203 (Int)
  CustomerOrFirm?: number// [67] 204 (Int)
  MaxShow?: number// [68] 210 (Float)
  LocateReqd?: boolean// [69] 114 (Boolean)
  ClearingFirm?: string// [70] 439 (String)
  ClearingAccount?: string// [71] 440 (String)
  StandardTrailer: IStandardTrailer// [72] SignatureLength.93, Signature.89, CheckSum.10
}
