import { IStandardHeader } from './set/standard_header'
import { IStandardTrailer } from './set/standard_trailer'

export interface IQuote {
  StandardHeader: IStandardHeader// [1] BeginString.8, BodyLength.9 .. OnBehalfOfSendingTime.370
  QuoteReqID?: string// [2] 131 (String)
  QuoteID: string// [3] 117 (String)
  QuoteResponseLevel?: number// [4] 301 (Int)
  TradingSessionID?: string// [5] 336 (String)
  Symbol: string// [6] 55 (String)
  SymbolSfx?: string// [7] 65 (String)
  SecurityID?: string// [8] 48 (String)
  IDSource?: string// [9] 22 (String)
  SecurityType?: string// [10] 167 (String)
  MaturityMonthYear?: string// [11] 200 (String)
  MaturityDay?: string// [12] 205 (String)
  PutOrCall?: number// [13] 201 (Int)
  StrikePrice?: number// [14] 202 (Float)
  OptAttribute?: string// [15] 206 (String)
  ContractMultiplier?: number// [16] 231 (Float)
  CouponRate?: number// [17] 223 (Float)
  SecurityExchange?: string// [18] 207 (String)
  Issuer?: string// [19] 106 (String)
  EncodedIssuerLen?: number// [20] 348 (Length)
  EncodedIssuer?: Buffer// [21] 349 (RawData)
  SecurityDesc?: string// [22] 107 (String)
  EncodedSecurityDescLen?: number// [23] 350 (Length)
  EncodedSecurityDesc?: Buffer// [24] 351 (RawData)
  BidPx?: number// [25] 132 (Float)
  OfferPx?: number// [26] 133 (Float)
  BidSize?: number// [27] 134 (Float)
  OfferSize?: number// [28] 135 (Float)
  ValidUntilTime?: Date// [29] 62 (UtcTimestamp)
  BidSpotRate?: number// [30] 188 (Float)
  OfferSpotRate?: number// [31] 190 (Float)
  BidForwardPoints?: number// [32] 189 (Float)
  OfferForwardPoints?: number// [33] 191 (Float)
  TransactTime?: Date// [34] 60 (UtcTimestamp)
  FutSettDate?: Date// [35] 64 (LocalDate)
  OrdType?: string// [36] 40 (String)
  FutSettDate2?: Date// [37] 193 (LocalDate)
  OrderQty2?: number// [38] 192 (Float)
  Currency?: string// [39] 15 (String)
  StandardTrailer: IStandardTrailer// [40] SignatureLength.93, Signature.89, CheckSum.10
}
