import { IStandardHeader } from './set/standard_header'
import { IStandardTrailer } from './set/standard_trailer'

export interface ISettlementInstructions {
  StandardHeader: IStandardHeader// [1] BeginString.8, BodyLength.9 .. OnBehalfOfSendingTime.370
  SettlInstID: string// [2] 162 (String)
  SettlInstTransType: string// [3] 163 (String)
  SettlInstRefID: string// [4] 214 (String)
  SettlInstMode: string// [5] 160 (String)
  SettlInstSource: string// [6] 165 (String)
  AllocAccount: string// [7] 79 (String)
  SettlLocation?: string// [8] 166 (String)
  TradeDate?: Date// [9] 75 (LocalDate)
  AllocID?: string// [10] 70 (String)
  LastMkt?: string// [11] 30 (String)
  TradingSessionID?: string// [12] 336 (String)
  Side?: string// [13] 54 (String)
  SecurityType?: string// [14] 167 (String)
  EffectiveTime?: Date// [15] 168 (UtcTimestamp)
  TransactTime: Date// [16] 60 (UtcTimestamp)
  ClientID?: string// [17] 109 (String)
  ExecBroker?: string// [18] 76 (String)
  StandInstDbType?: number// [19] 169 (Int)
  StandInstDbName?: string// [20] 170 (String)
  StandInstDbID?: string// [21] 171 (String)
  SettlDeliveryType?: number// [22] 172 (Int)
  SettlDepositoryCode?: string// [23] 173 (String)
  SettlBrkrCode?: string// [24] 174 (String)
  SettlInstCode?: string// [25] 175 (String)
  SecuritySettlAgentName?: string// [26] 176 (String)
  SecuritySettlAgentCode?: string// [27] 177 (String)
  SecuritySettlAgentAcctNum?: string// [28] 178 (String)
  SecuritySettlAgentAcctName?: string// [29] 179 (String)
  SecuritySettlAgentContactName?: string// [30] 180 (String)
  SecuritySettlAgentContactPhone?: string// [31] 181 (String)
  CashSettlAgentName?: string// [32] 182 (String)
  CashSettlAgentCode?: string// [33] 183 (String)
  CashSettlAgentAcctNum?: string// [34] 184 (String)
  CashSettlAgentAcctName?: string// [35] 185 (String)
  CashSettlAgentContactName?: string// [36] 186 (String)
  CashSettlAgentContactPhone?: string// [37] 187 (String)
  StandardTrailer: IStandardTrailer// [38] SignatureLength.93, Signature.89, CheckSum.10
}
