import { IInstrumentNoSecurityAltID } from './instrument_no_security_alt_id'

export interface IInstrument {
  Symbol?: string// [1] 55 (String)
  SymbolSfx?: string// [2] 65 (String)
  SecurityID?: string// [3] 48 (String)
  SecurityIDSource?: string// [4] 22 (String)
  NoSecurityAltID?: IInstrumentNoSecurityAltID[]// [5] SecurityAltID.455, SecurityAltIDSource.456
  Product?: number// [6] 460 (Int)
  CFICode?: string// [7] 461 (String)
  SecurityType?: string// [8] 167 (String)
  MaturityMonthYear?: string// [9] 200 (String)
  MaturityDate?: Date// [10] 541 (LocalDate)
  CouponPaymentDate?: string// [11] 224 (String)
  IssueDate?: string// [12] 225 (String)
  RepoCollateralSecurityType?: string// [13] 239 (String)
  RepurchaseTerm?: number// [14] 226 (Int)
  RepurchaseRate?: number// [15] 227 (Float)
  Factor?: number// [16] 228 (Float)
  CreditRating?: string// [17] 255 (String)
  InstrRegistry?: string// [18] 543 (String)
  CountryOfIssue?: string// [19] 470 (String)
  StateOrProvinceOfIssue?: string// [20] 471 (String)
  LocaleOfIssue?: string// [21] 472 (String)
  RedemptionDate?: string// [22] 240 (String)
  StrikePrice?: number// [23] 202 (Float)
  OptAttribute?: string// [24] 206 (String)
  ContractMultiplier?: number// [25] 231 (Float)
  CouponRate?: number// [26] 223 (Float)
  SecurityExchange?: string// [27] 207 (String)
  Issuer?: string// [28] 106 (String)
  EncodedIssuerLen?: number// [29] 348 (Length)
  EncodedIssuer?: Buffer// [30] 349 (RawData)
  SecurityDesc?: string// [31] 107 (String)
  EncodedSecurityDescLen?: number// [32] 350 (Length)
  EncodedSecurityDesc?: Buffer// [33] 351 (RawData)
}
