import { IStandardHeader } from './set/standard_header'
import { IParties } from './set/parties'
import { IStandardTrailer } from './set/standard_trailer'

export interface ISettlementInstructions {
  StandardHeader: IStandardHeader// [1] BeginString.8, BodyLength.9 .. HopRefID.630
  SettlInstID: string// [2] 162 (String)
  SettlInstTransType: string// [3] 163 (String)
  SettlInstRefID: string// [4] 214 (String)
  SettlInstMode: string// [5] 160 (String)
  SettlInstSource: string// [6] 165 (String)
  AllocAccount: string// [7] 79 (String)
  IndividualAllocID?: string// [8] 467 (String)
  ClOrdID?: string// [9] 11 (String)
  TradeDate?: Date// [10] 75 (LocalDate)
  AllocID?: string// [11] 70 (String)
  LastMkt?: string// [12] 30 (String)
  TradingSessionID?: string// [13] 336 (String)
  TradingSessionSubID?: string// [14] 625 (String)
  Side?: string// [15] 54 (String)
  SecurityType?: string// [16] 167 (String)
  EffectiveTime?: Date// [17] 168 (UtcTimestamp)
  TransactTime: Date// [18] 60 (UtcTimestamp)
  Parties?: IParties// [19] NoPartyIDs.453, PartyID.448 .. PartySubID.523
  StandInstDbType?: number// [20] 169 (Int)
  StandInstDbName?: string// [21] 170 (String)
  StandInstDbID?: string// [22] 171 (String)
  SettlDeliveryType?: number// [23] 172 (Int)
  SettlDepositoryCode?: string// [24] 173 (String)
  SettlBrkrCode?: string// [25] 174 (String)
  SettlInstCode?: string// [26] 175 (String)
  SecuritySettlAgentName?: string// [27] 176 (String)
  SecuritySettlAgentCode?: string// [28] 177 (String)
  SecuritySettlAgentAcctNum?: string// [29] 178 (String)
  SecuritySettlAgentAcctName?: string// [30] 179 (String)
  SecuritySettlAgentContactName?: string// [31] 180 (String)
  SecuritySettlAgentContactPhone?: string// [32] 181 (String)
  CashSettlAgentName?: string// [33] 182 (String)
  CashSettlAgentCode?: string// [34] 183 (String)
  CashSettlAgentAcctNum?: string// [35] 184 (String)
  CashSettlAgentAcctName?: string// [36] 185 (String)
  CashSettlAgentContactName?: string// [37] 186 (String)
  CashSettlAgentContactPhone?: string// [38] 187 (String)
  PaymentMethod?: number// [39] 492 (Int)
  PaymentRef?: string// [40] 476 (String)
  CardHolderName?: string// [41] 488 (String)
  CardNumber?: string// [42] 489 (String)
  CardStartDate?: Date// [43] 503 (LocalDate)
  CardExpDate?: Date// [44] 490 (LocalDate)
  CardIssNo?: string// [45] 491 (String)
  PaymentDate?: Date// [46] 504 (LocalDate)
  PaymentRemitterID?: string// [47] 505 (String)
  StandardTrailer: IStandardTrailer// [48] SignatureLength.93, Signature.89, CheckSum.10
}
