import { ILegPaymentScheduleRateSourceGrp } from './leg_payment_schedule_rate_source_grp'
import { ILegPaymentScheduleFixingDateBusinessCenterGrp } from './leg_payment_schedule_fixing_date_business_center_grp'
import { ILegPaymentScheduleFixingDayGrp } from './leg_payment_schedule_fixing_day_grp'
import { ILegPaymentScheduleInterimExchangeDateBusinessCenterGrp } from './leg_payment_schedule_interim_exchange_date_business_center_grp'

export interface ILegPaymentScheduleGrp {
  LegPaymentScheduleType?: number// [1] 40375 (Int)
  LegPaymentScheduleXID?: string// [1] 41533 (String)
  LegPaymentScheduleXIDRef?: string// [1] 41534 (String)
  LegPaymentScheduleStubType?: number// [1] 40376 (Int)
  LegPaymentScheduleStartDateUnadjusted?: Date// [1] 40377 (LocalDate)
  LegPaymentScheduleEndDateUnadjusted?: Date// [1] 40378 (LocalDate)
  LegPaymentSchedulePaySide?: number// [1] 40379 (Int)
  LegPaymentScheduleReceiveSide?: number// [1] 40380 (Int)
  LegPaymentScheduleNotional?: number// [1] 40381 (Float)
  LegPaymentScheduleCurrency?: string// [1] 40382 (String)
  LegPaymentScheduleRate?: number// [1] 40383 (Float)
  LegPaymentScheduleRateMultiplier?: number// [1] 40384 (Float)
  LegPaymentScheduleRateSpread?: number// [1] 40385 (Float)
  LegPaymentScheduleRateCurrency?: string// [1] 41535 (String)
  LegPaymentScheduleRateUnitOfMeasure?: string// [1] 41536 (String)
  LegPaymentScheduleRateConversionFactor?: number// [1] 41537 (Float)
  LegPaymentScheduleRateSpreadType?: number// [1] 41538 (Int)
  LegPaymentScheduleRateSpreadPositionType?: number// [1] 40386 (Int)
  LegPaymentScheduleRateTreatment?: number// [1] 40387 (Int)
  LegPaymentScheduleFixedAmount?: number// [1] 40388 (Float)
  LegPaymentScheduleFixedCurrency?: string// [1] 40389 (String)
  LegPaymentScheduleSettlPeriodPrice?: number// [1] 41539 (Float)
  LegPaymentScheduleSettlPeriodPriceCurrency?: string// [1] 41540 (String)
  LegPaymentScheduleSettlPeriodPriceUnitOfMeasure?: string// [1] 41541 (String)
  LegPaymentScheduleStepUnitOfMeasure?: string// [1] 41542 (String)
  LegPaymentScheduleStepFrequencyPeriod?: number// [1] 40390 (Int)
  LegPaymentScheduleStepFrequencyUnit?: string// [1] 40391 (String)
  LegPaymentScheduleStepOffsetValue?: number// [1] 40392 (Float)
  LegPaymentScheduleStepRate?: number// [1] 40393 (Float)
  LegPaymentScheduleStepOffsetRate?: number// [1] 40394 (Float)
  LegPaymentScheduleStepRelativeTo?: number// [1] 40395 (Int)
  LegPaymentScheduleFixingDateUnadjusted?: Date// [1] 40396 (LocalDate)
  LegPaymentScheduleWeight?: number// [1] 40397 (Float)
  LegPaymentScheduleFixingDateRelativeTo?: number// [1] 40398 (Int)
  LegPaymentScheduleFixingDateBusinessDayConvention?: number// [1] 40399 (Int)
  LegPaymentScheduleFixingDateOffsetPeriod?: number// [1] 40401 (Int)
  LegPaymentScheduleFixingDateOffsetUnit?: string// [1] 40402 (String)
  LegPaymentScheduleFixingDateOffsetDayType?: number// [1] 40403 (Int)
  LegPaymentScheduleFixingDayDistribution?: number// [1] 41543 (Int)
  LegPaymentScheduleFixingDayCount?: number// [1] 41544 (Int)
  LegPaymentScheduleFixingDateAdjusted?: Date// [1] 40404 (LocalDate)
  LegPaymentScheduleFixingLagPeriod?: number// [1] 41545 (Int)
  LegPaymentScheduleFixingLagUnit?: string// [1] 41546 (String)
  LegPaymentScheduleFixingFirstObservationDateOffsetPeriod?: number// [1] 41547 (Int)
  LegPaymentScheduleFixingFirstObservationDateOffsetUnit?: string// [1] 41548 (String)
  LegPaymentScheduleFixingTime?: string// [1] 40405 (String)
  LegPaymentScheduleFixingTimeBusinessCenter?: string// [1] 40406 (String)
  LegPaymentScheduleInterimExchangePaymentDateRelativeTo?: number// [1] 40407 (Int)
  LegPaymentScheduleInterimExchangeDatesBusinessDayConvention?: number// [1] 40408 (Int)
  LegPaymentScheduleInterimExchangeDatesOffsetPeriod?: number// [1] 40410 (Int)
  LegPaymentScheduleInterimExchangeDatesOffsetUnit?: string// [1] 40411 (String)
  LegPaymentScheduleInterimExchangeDatesOffsetDayType?: number// [1] 40412 (Int)
  LegPaymentScheduleInterimExchangeDateAdjusted?: Date// [1] 40413 (LocalDate)
  LegPaymentScheduleRateSourceGrp?: ILegPaymentScheduleRateSourceGrp[]// [1] Src.40415, Typ.40416, RefPg.40417
  LegPaymentScheduleFixingDateBusinessCenterGrp?: ILegPaymentScheduleFixingDateBusinessCenterGrp[]// [2] Ctr.40400
  LegPaymentScheduleFixingDayGrp?: ILegPaymentScheduleFixingDayGrp[]// [3] DayOfWk.41531, DayNum.41532
  LegPaymentScheduleInterimExchangeDateBusinessCenterGrp?: ILegPaymentScheduleInterimExchangeDateBusinessCenterGrp[]// [4] Ctr.40409
}
