import { IPaymentScheduleRateSourceGrp } from './payment_schedule_rate_source_grp'
import { IPaymentScheduleFixingDateBusinessCenterGrp } from './payment_schedule_fixing_date_business_center_grp'
import { IPaymentScheduleFixingDayGrp } from './payment_schedule_fixing_day_grp'
import { IPaymentScheduleInterimExchangeDateBusinessCenterGrp } from './payment_schedule_interim_exchange_date_business_center_grp'

export interface IPaymentScheduleGrp {
  PaymentScheduleType?: number// [1] 40829 (Int)
  PaymentScheduleXID?: string// [1] 41164 (String)
  PaymentScheduleXIDRef?: string// [1] 41165 (String)
  PaymentScheduleStubType?: number// [1] 40830 (Int)
  PaymentScheduleStartDateUnadjusted?: Date// [1] 40831 (LocalDate)
  PaymentScheduleEndDateUnadjusted?: Date// [1] 40832 (LocalDate)
  PaymentSchedulePaySide?: number// [1] 40833 (Int)
  PaymentScheduleReceiveSide?: number// [1] 40834 (Int)
  PaymentScheduleNotional?: number// [1] 40835 (Float)
  PaymentScheduleCurrency?: string// [1] 40836 (String)
  PaymentScheduleRate?: number// [1] 40837 (Float)
  PaymentScheduleRateMultiplier?: number// [1] 40838 (Float)
  PaymentScheduleRateSpread?: number// [1] 40839 (Float)
  PaymentScheduleRateCurrency?: string// [1] 41166 (String)
  PaymentScheduleRateUnitOfMeasure?: string// [1] 41167 (String)
  PaymentScheduleRateConversionFactor?: number// [1] 41168 (Float)
  PaymentScheduleRateSpreadType?: number// [1] 41169 (Int)
  PaymentScheduleRateSpreadPositionType?: number// [1] 40840 (Int)
  PaymentScheduleRateTreatment?: number// [1] 40841 (Int)
  PaymentScheduleFixedAmount?: number// [1] 40842 (Float)
  PaymentScheduleFixedCurrency?: string// [1] 40843 (String)
  PaymentScheduleSettlPeriodPrice?: number// [1] 41170 (Float)
  PaymentScheduleSettlPeriodPriceCurrency?: string// [1] 41171 (String)
  PaymentScheduleSettlPeriodPriceUnitOfMeasure?: string// [1] 41172 (String)
  PaymentScheduleStepUnitOfMeasure?: string// [1] 41173 (String)
  PaymentScheduleStepFrequencyPeriod?: number// [1] 40844 (Int)
  PaymentScheduleStepFrequencyUnit?: string// [1] 40845 (String)
  PaymentScheduleStepOffsetValue?: number// [1] 40846 (Float)
  PaymentScheduleStepRate?: number// [1] 40847 (Float)
  PaymentScheduleStepOffsetRate?: number// [1] 40848 (Float)
  PaymentScheduleStepRelativeTo?: number// [1] 40849 (Int)
  PaymentScheduleFixingDateUnadjusted?: Date// [1] 40850 (LocalDate)
  PaymentScheduleWeight?: number// [1] 40851 (Float)
  PaymentScheduleFixingDateRelativeTo?: number// [1] 40852 (Int)
  PaymentScheduleFixingDateBusinessDayConvention?: number// [1] 40853 (Int)
  PaymentScheduleFixingDateOffsetPeriod?: number// [1] 40855 (Int)
  PaymentScheduleFixingDateOffsetUnit?: string// [1] 40856 (String)
  PaymentScheduleFixingDateOffsetDayType?: number// [1] 40857 (Int)
  PaymentScheduleFixingDayDistribution?: number// [1] 41174 (Int)
  PaymentScheduleFixingDayCount?: number// [1] 41175 (Int)
  PaymentScheduleFixingDateAdjusted?: Date// [1] 40858 (LocalDate)
  PaymentScheduleFixingLagPeriod?: number// [1] 41176 (Int)
  PaymentScheduleFixingLagUnit?: string// [1] 41177 (String)
  PaymentScheduleFixingFirstObservationDateOffsetPeriod?: number// [1] 41178 (Int)
  PaymentScheduleFixingFirstObservationDateOffsetUnit?: string// [1] 41179 (String)
  PaymentScheduleFixingTime?: string// [1] 40859 (String)
  PaymentScheduleFixingTimeBusinessCenter?: string// [1] 40860 (String)
  PaymentScheduleInterimExchangePaymentDateRelativeTo?: number// [1] 40861 (Int)
  PaymentScheduleInterimExchangeDatesBusinessDayConvention?: number// [1] 40862 (Int)
  PaymentScheduleInterimExchangeDatesOffsetPeriod?: number// [1] 40864 (Int)
  PaymentScheduleInterimExchangeDatesOffsetUnit?: string// [1] 40865 (String)
  PaymentScheduleInterimExchangeDatesOffsetDayType?: number// [1] 40866 (Int)
  PaymentScheduleInterimExchangeDateAdjusted?: Date// [1] 40867 (LocalDate)
  PaymentScheduleRateSourceGrp?: IPaymentScheduleRateSourceGrp[]// [1] Src.40869, Typ.40870, RefPg.40871
  PaymentScheduleFixingDateBusinessCenterGrp?: IPaymentScheduleFixingDateBusinessCenterGrp[]// [2] Ctr.40854
  PaymentScheduleFixingDayGrp?: IPaymentScheduleFixingDayGrp[]// [3] DayOfWk.41162, DayNum.41163
  PaymentScheduleInterimExchangeDateBusinessCenterGrp?: IPaymentScheduleInterimExchangeDateBusinessCenterGrp[]// [4] Ctr.40863
}
