import { IUnderlyingPaymentScheduleRateSourceGrp } from './underlying_payment_schedule_rate_source_grp'
import { IUnderlyingPaymentScheduleFixingDateBusinessCenterGrp } from './underlying_payment_schedule_fixing_date_business_center_grp'
import { IUnderlyingPaymentScheduleFixingDayGrp } from './underlying_payment_schedule_fixing_day_grp'
import { IUnderlyingPaymentScheduleInterimExchangeDateBusinessCenterGrp } from './underlying_payment_schedule_interim_exchange_date_business_center_grp'

export interface IUnderlyingPaymentScheduleGrp {
  UnderlyingPaymentScheduleType?: number// [1] 40665 (Int)
  UnderlyingPaymentScheduleXID?: string// [1] 41881 (String)
  UnderlyingPaymentScheduleXIDRef?: string// [1] 41882 (String)
  UnderlyingPaymentScheduleStubType?: number// [1] 40666 (Int)
  UnderlyingPaymentScheduleStartDateUnadjusted?: Date// [1] 40667 (LocalDate)
  UnderlyingPaymentScheduleEndDateUnadjusted?: Date// [1] 40668 (LocalDate)
  UnderlyingPaymentSchedulePaySide?: number// [1] 40669 (Int)
  UnderlyingPaymentScheduleReceiveSide?: number// [1] 40670 (Int)
  UnderlyingPaymentScheduleNotional?: number// [1] 40671 (Float)
  UnderlyingPaymentScheduleCurrency?: string// [1] 40672 (String)
  UnderlyingPaymentScheduleRate?: number// [1] 40673 (Float)
  UnderlyingPaymentScheduleRateMultiplier?: number// [1] 40674 (Float)
  UnderlyingPaymentScheduleRateSpread?: number// [1] 40675 (Float)
  UnderlyingPaymentScheduleRateCurrency?: string// [1] 41883 (String)
  UnderlyingPaymentScheduleRateUnitOfMeasure?: string// [1] 41884 (String)
  UnderlyingPaymentScheduleRateConversionFactor?: number// [1] 41885 (Float)
  UnderlyingPaymentScheduleRateSpreadType?: number// [1] 41886 (Int)
  UnderlyingPaymentScheduleRateSpreadPositionType?: number// [1] 40676 (Int)
  UnderlyingPaymentScheduleRateTreatment?: number// [1] 40677 (Int)
  UnderlyingPaymentScheduleFixedAmount?: number// [1] 40678 (Float)
  UnderlyingPaymentScheduleFixedCurrency?: string// [1] 40679 (String)
  UnderlyingPaymentScheduleSettlPeriodPrice?: number// [1] 41887 (Float)
  UnderlyingPaymentScheduleSettlPeriodPriceCurrency?: string// [1] 41888 (String)
  UnderlyingPaymentScheduleSettlPeriodPriceUnitOfMeasure?: string// [1] 41889 (String)
  UnderlyingPaymentScheduleStepUnitOfMeasure?: string// [1] 41890 (String)
  UnderlyingPaymentScheduleStepFrequencyPeriod?: number// [1] 40680 (Int)
  UnderlyingPaymentScheduleStepFrequencyUnit?: string// [1] 40681 (String)
  UnderlyingPaymentScheduleStepOffsetValue?: number// [1] 40682 (Float)
  UnderlyingPaymentScheduleStepRate?: number// [1] 40683 (Float)
  UnderlyingPaymentScheduleStepOffsetRate?: number// [1] 40684 (Float)
  UnderlyingPaymentScheduleStepRelativeTo?: number// [1] 40685 (Int)
  UnderlyingPaymentScheduleFixingDateUnadjusted?: Date// [1] 40686 (LocalDate)
  UnderlyingPaymentScheduleWeight?: number// [1] 40687 (Float)
  UnderlyingPaymentScheduleFixingDateRelativeTo?: number// [1] 40688 (Int)
  UnderlyingPaymentScheduleFixingDateBusinessDayCnvtn?: number// [1] 40689 (Int)
  UnderlyingPaymentScheduleFixingDateOffsetPeriod?: number// [1] 40691 (Int)
  UnderlyingPaymentScheduleFixingDateOffsetUnit?: string// [1] 40692 (String)
  UnderlyingPaymentScheduleFixingDateOffsetDayType?: number// [1] 40693 (Int)
  UnderlyingPaymentScheduleFixingDayDistribution?: number// [1] 41891 (Int)
  UnderlyingPaymentScheduleFixingDayCount?: number// [1] 41892 (Int)
  UnderlyingPaymentScheduleFixingDateAdjusted?: Date// [1] 40694 (LocalDate)
  UnderlyingPaymentScheduleFixingLagPeriod?: number// [1] 41893 (Int)
  UnderlyingPaymentScheduleFixingLagUnit?: string// [1] 41894 (String)
  UnderlyingPaymentScheduleFixingFirstObservationDateOffsetPeriod?: number// [1] 41895 (Int)
  UnderlyingPaymentScheduleFixingFirstObservationDateOffsetUnit?: string// [1] 41896 (String)
  UnderlyingPaymentScheduleFixingTime?: string// [1] 40695 (String)
  UnderlyingPaymentScheduleFixingTimeBusinessCenter?: string// [1] 40696 (String)
  UnderlyingPaymentScheduleInterimExchangePaymentDateRelativeTo?: number// [1] 40697 (Int)
  UnderlyingPaymentScheduleInterimExchangeDatesBusinessDayConvention?: number// [1] 40698 (Int)
  UnderlyingPaymentScheduleInterimExchangeDatesOffsetPeriod?: number// [1] 40700 (Int)
  UnderlyingPaymentScheduleInterimExchangeDatesOffsetUnit?: string// [1] 40701 (String)
  UnderlyingPaymentScheduleInterimExchangeDatesOffsetDayType?: number// [1] 40702 (Int)
  UnderlyingPaymentScheduleInterimExchangeDateAdjusted?: Date// [1] 40703 (LocalDate)
  UnderlyingPaymentScheduleRateSourceGrp?: IUnderlyingPaymentScheduleRateSourceGrp[]// [1] Src.40705, Typ.40706, RefPg.40707
  UnderlyingPaymentScheduleFixingDateBusinessCenterGrp?: IUnderlyingPaymentScheduleFixingDateBusinessCenterGrp[]// [2] Ctr.40690
  UnderlyingPaymentScheduleFixingDayGrp?: IUnderlyingPaymentScheduleFixingDayGrp[]// [3] DayOfWk.41879, DayNum.41880
  UnderlyingPaymentScheduleInterimExchangeDateBusinessCenterGrp?: IUnderlyingPaymentScheduleInterimExchangeDateBusinessCenterGrp[]// [4] Ctr.40699
}
